/**
*  @file		    hd3MaskDefine.h
*  @brief
*  @author:    hd3 tream
*  @date		   03/09/2015
*  @version     initialize version
*  Copyright:   Shanghai Baosight Software Co. Ltd.
*/
#ifndef HD3_INCLUDE_GUARD_HD3MASKDEFINE_H
#define HD3_INCLUDE_GUARD_HD3MASKDEFINE_H

#include "data_types.h"
#include "hd3Enum.h"

/*
* 궨
* Ӧöǰ׺HD3ΪHD3M
*/

#define HD3M_ALL ((int64)0XFFFFFFFFFFFFFFFFLL)
// Tag

#define HD3M_TAG_CLASS_BASIC    ((int64)1 << HD3_TAG_CLASS_BASIC)
#define HD3M_TAG_CLASS_ALARM    ((int64)1 << HD3_TAG_CLASS_ALARM)
#define HD3M_TAG_CLASS_STATS    ((int64)1 << HD3_TAG_CLASS_STATS)
#define HD3M_TAG_CLASS_CALC    ((int64)1 << HD3_TAG_CLASS_CALC)
#define HD3M_TAG_CLASS_SPC    ((int64)1 <<HD3_TAG_CLASS_SPC)
#define HD3M_TAG_CLASS_SYS    ((int64)1 <<HD3_TAG_CLASS_SYS)

// Tag
#define HD3M_COMM_PROP_TAG_NAME    ((int64)1 << HD3_COMM_PROP_TAG_NAME)
#define HD3M_COMM_PROP_ARCHIVING    ((int64)1 << HD3_COMM_PROP_ARCHIVING)
#define HD3M_COMM_PROP_CHANGE_DATE    ((int64)1 << HD3_COMM_PROP_CHANGE_DATE)
#define HD3M_COMM_PROP_CHANGER    ((int64)1 << HD3_COMM_PROP_CHANGER)
#define HD3M_COMM_PROP_COMP_DEV    ((int64)1 << HD3_COMM_PROP_COMP_DEV)
#define HD3M_COMM_PROP_COMP_MAX_TIME    ((int64)1 << HD3_COMM_PROP_COMP_MAX_TIME)
#define HD3M_COMM_PROP_COMP_TYPE    ((int64)1 << HD3_COMM_PROP_COMP_TYPE)
#define HD3M_COMM_PROP_CREATION_DATE    ((int64)1 << HD3_COMM_PROP_CREATION_DATE)
#define HD3M_COMM_PROP_CREATOR    ((int64)1 << HD3_COMM_PROP_CREATOR)
#define HD3M_COMM_PROP_REC_ACCESS    ((int64)1 << HD3_COMM_PROP_REC_ACCESS)
#define HD3M_COMM_PROP_REC_NORMAL_GROUP    ((int64)1 << HD3_COMM_PROP_REC_NORMAL_GROUP)
#define HD3M_COMM_PROP_REC_OWNER_GROUP    ((int64)1 << HD3_COMM_PROP_REC_OWNER_GROUP)
#define HD3M_COMM_PROP_DESCRIPTOR    ((int64)1 << HD3_COMM_PROP_DESCRIPTOR)
#define HD3M_COMM_PROP_DIGITAL_SET    ((int64)1 << HD3_COMM_PROP_DIGITAL_SET)
#define HD3M_COMM_PROP_ENG_UNITS    ((int64)1 << HD3_COMM_PROP_ENG_UNITS)
#define HD3M_COMM_PROP_EXC_MAX_TIME    ((int64)1 << HD3_COMM_PROP_EXC_MAX_TIME)
#define HD3M_COMM_PROP_EXC_DEV    ((int64)1 << HD3_COMM_PROP_EXC_DEV)
#define HD3M_COMM_PROP_TAGID    ((int64)1 << HD3_COMM_PROP_TAGID)
#define HD3M_COMM_PROP_TAG_TYPE    ((int64)1 << HD3_COMM_PROP_TAG_TYPE)
#define HD3M_COMM_PROP_TAG_ACCESS    ((int64)1 << HD3_COMM_PROP_TAG_ACCESS)
#define HD3M_COMM_PROP_TAG_NORMAL_GROUP    ((int64)1 << HD3_COMM_PROP_TAG_NORMAL_GROUP)
#define HD3M_COMM_PROP_TAG_OWNER_GROUP    ((int64)1 << HD3_COMM_PROP_TAG_OWNER_GROUP)
#define HD3M_COMM_PROP_SCAN    ((int64)1 << HD3_COMM_PROP_SCAN)
#define HD3M_COMM_PROP_SPAN    ((int64)1 << HD3_COMM_PROP_SPAN)
#define HD3M_COMM_PROP_MIN_VALUE    ((int64)1 << HD3_COMM_PROP_MIN_VALUE)
#define HD3M_COMM_PROP_TAG_CLASS    ((int64)1 << HD3_COMM_PROP_TAG_CLASS)
#define HD3M_COMM_PROP_TAG_AVALIABLE    ((int64)1 << HD3_COMM_PROP_TAG_AVALIABLE)
#define HD3M_COMM_PROP_PARAM1    ((int64)1 << HD3_COMM_PROP_PARAM1)
#define HD3M_COMM_PROP_PARAM2    ((int64)1 << HD3_COMM_PROP_PARAM2)
#define HD3M_COMM_PROP_PARAM3    ((int64)1 << HD3_COMM_PROP_PARAM3)
#define HD3M_COMM_PROP_PARAM4    ((int64)1 << HD3_COMM_PROP_PARAM4)
#define HD3M_COMM_PROP_PARAM5    ((int64)1 << HD3_COMM_PROP_PARAM5)
#define HD3M_COMM_PROP_OPC_STATE    ((int64)1 << HD3_COMM_PROP_OPC_STATE)
#define HD3M_COMM_PROP_IMV_STRING  ((int64)1 << HD3_COMM_PROP_IMV_STRING)
#define HD3M_COMM_PROP_EXT_STRING1  ((int64)1 << HD3_COMM_PROP_EXT_STRING1)
#define HD3M_COMM_PROP_EXT_STRING2  ((int64)1 << HD3_COMM_PROP_EXT_STRING2)
// ͨ
#define HD3M_PT_EXT_PROP_INSTRUMENT_ADDRESS    ((int64)1 << HD3_PT_EXT_PROP_INSTRUMENT_ADDRESS)
#define HD3M_PT_EXT_PROP_INSTRUMENT_ADDRESS_TYPE    ((int64)1 << HD3_PT_EXT_PROP_INSTRUMENT_ADDRESS_TYPE)
#define HD3M_PT_EXT_PROP_COLLECTOR_NAME    ((int64)1 << HD3_PT_EXT_PROP_COLLECTOR_NAME)
#define HD3M_PT_EXT_PROP_COLLECTOR_ID    ((int64)1 << HD3_PT_EXT_PROP_COLLECTOR_ID)
#define HD3M_PT_EXT_PROP_DEVICE_NAME    ((int64)1 << HD3_PT_EXT_PROP_DEVICE_NAME)
#define HD3M_PT_EXT_PROP_DEVICE_ID    ((int64)1 << HD3_PT_EXT_PROP_DEVICE_ID)
#define HD3M_PT_EXT_PROP_SCAN_GROUP_NAME    ((int64)1 << HD3_PT_EXT_PROP_SCAN_GROUP_NAME)
#define HD3M_PT_EXT_PROP_SCAN_GROUP_ID    ((int64)1 << HD3_PT_EXT_PROP_SCAN_GROUP_ID)
#define HD3M_PT_EXT_PROP_DATA_ORDER    ((int64)1 << HD3_PT_EXT_PROP_DATA_ORDER)
//ͬ
#define HD3M_CLOUD_PROP_TAG_NAME     ((int64)1 << HD3_CLOUD_PROP_TAG_NAME)
#define HD3M_CLOUD_PROP_SERVERID	   ((int64)1 << HD3_CLOUD_PROP_SERVERID)
#define HD3M_CLOUD_PROP_SYNC		   ((int64)1 << HD3_CLOUD_PROP_SYNC)
#define HD3M_CLOUD_PROP_PERIOD	   ((int64)1 << HD3_CLOUD_PROP_PERIOD)
#define HD3M_CLOUD_PROP_COMP_DEV	   ((int64)1 << HD3_CLOUD_PROP_COMP_DEV)
#define HD3M_CLOUD_PROP_CREATION_DATE	   ((int64)1 << HD3_CLOUD_PROP_CREATION_DATE)
#define HD3M_CLOUD_PROP_CHANGE_VERSION     ((int64)1 << HD3_CLOUD_PROP_CHANGE_VERSION)

//ͬ
#define HD3M_BIG_DATA_PROP_TAG_NAME     ((int64)1 << HD3_BIG_DATA_PROP_TAG_NAME)
#define HD3M_BIG_DATA_PROP_SERVERID	   ((int64)1 << HD3_BIG_DATA_PROP_SERVERID)
#define HD3M_BIG_DATA_PROP_SYNC		   ((int64)1 << HD3_BIG_DATA_PROP_SYNC)
#define HD3M_BIG_DATA_PROP_PERIOD	   ((int64)1 << HD3_BIG_DATA_PROP_PERIOD)
#define HD3M_BIG_DATA_PROP_COMP_DEV	   ((int64)1 << HD3_BIG_DATA_PROP_COMP_DEV)
#define HD3M_BIG_DATA_PROP_CREATION_DATE	   ((int64)1 << HD3_BIG_DATA_PROP_CREATION_DATE)
#define HD3M_BIG_DATA_PROP_CHANGE_VERSION     ((int64)1 << HD3_BIG_DATA_PROP_CHANGE_VERSION)
#define HD3M_BIG_DATA_PROP_CLOUD_EN_NAME     ((int64)1 << HD3_BIG_DATA_PROP_CLOUD_EN_NAME)
#define HD3M_BIG_DATA_PROP_CLOUD_CH_NAME     ((int64)1 << HD3_BIG_DATA_PROP_CLOUD_CH_NAME)
#define HD3M_BIG_DATA_PROP_REFERENCE_EN_NAME     ((int64)1 << HD3_BIG_DATA_PROP_REFERENCE_EN_NAME)
#define HD3M_BIG_DATA_PROP_REFERENCE_CH_NAME     ((int64)1 << HD3_BIG_DATA_PROP_REFERENCE_CH_NAME)
#define HD3M_BIG_DATA_PROP_REFERENCE_SOURCE_IDENTIFIER     ((int64)1 << HD3_BIG_DATA_PROP_REFERENCE_SOURCE_IDENTIFIER)
#define HD3M_BIG_DATA_PROP_UNIT_NUMBER     ((int64)1 << HD3_BIG_DATA_PROP_UNIT_NUMBER)
#define HD3M_BIG_DATA_PROP_SYNCHRO_TIME     ((int64)1 << HD3_BIG_DATA_PROP_SYNCHRO_TIME)
#define HD3M_BIG_DATA_PROP_FACTORY     ((int64)1 << HD3_BIG_DATA_PROP_FACTORY)
#define HD3M_BIG_DATA_PROP_AREA     ((int64)1 << HD3_BIG_DATA_PROP_AREA)
#define HD3M_BIG_DATA_PROP_INTEGER_NUMBER     ((int64)1 << HD3_BIG_DATA_PROP_INTEGER_NUMBER)
#define HD3M_BIG_DATA_PROP_EFFECITIVE_NUMBER     ((int64)1 << HD3_BIG_DATA_PROP_EFFECTIVE_NUMBER)
#define HD3M_BIG_DATA_PROP_COEFFICIENT     ((int64)1 << HD3_BIG_DATA_PROP_COEFFICIENT)
#define HD3M_BIG_DATA_PROP_EQUIPMENT     ((int64)1 << HD3_BIG_DATA_PROP_EQUIPMENT)
#define HD3M_BIG_DATA_PROP_COLLECT_INTERVAL     ((int64)1 << HD3_BIG_DATA_PROP_COLLECT_INTERVAL)
#define HD3M_BIG_DATA_PROP_SEND_FREQUENCY     ((int64)1 << HD3_BIG_DATA_PROP_SEND_FREQUENCY)
#define HD3M_BIG_DATA_PROP_SEND_MODE     ((int64)1 << HD3_BIG_DATA_PROP_SEND_MODE)

// 
#define HD3M_AM_EXT_PROP_TEST1    ((int64)1 << HD3_AM_EXT_PROP_TEST1)
#define HD3M_AM_EXT_PROP_TEST2    ((int64)1 << HD3_AM_EXT_PROP_TEST2)
#define HD3M_AM_EXT_PROP_TEST3    ((int64)1 << HD3_AM_EXT_PROP_TEST3)
#define HD3M_AM_EXT_PROP_TEST4    ((int64)1 << HD3_AM_EXT_PROP_TEST4)
#define HD3M_AM_EXT_PROP_ACTION1    ((int64)1 << HD3_AM_EXT_PROP_ACTION1)
#define HD3M_AM_EXT_PROP_ACTION2    ((int64)1 << HD3_AM_EXT_PROP_ACTION2)
#define HD3M_AM_EXT_PROP_ACTION3    ((int64)1 << HD3_AM_EXT_PROP_ACTION3)
#define HD3M_AM_EXT_PROP_ACTION4    ((int64)1 << HD3_AM_EXT_PROP_ACTION4)
#define HD3M_AM_EXT_PROP_SOURCE_TAG    ((int64)1 << HD3_AM_EXT_PROP_SOURCE_TAG)
#define HD3M_AM_EXT_PROP_ALARM_GROUP_ID    ((int64)1 << HD3_AM_EXT_PROP_ALARM_GROUP_ID)
#define HD3M_AM_EXT_PROP_AUTOACK    ((int64)1 << HD3_AM_EXT_PROP_AUTOACK)
#define HD3M_AM_EXT_PROP_TIME_DEADBAND    ((int64)1 << HD3_AM_EXT_PROP_TIME_DEADBAND)
#define HD3M_AM_EXT_PROP_VALUE_DEADBAND    ((int64)1 << HD3_AM_EXT_PROP_VALUE_DEADBAND)

// ͳƵ
#define HD3M_ST_EXT_PROP_SOURCE_TAG_NAME    ((int64)1 << HD3_ST_EXT_PROP_SOURCE_TAG_NAME)
#define HD3M_ST_EXT_PROP_STATS_TYPE    ((int64)1 << HD3_ST_EXT_PROP_STATS_TYPE)
#define HD3M_ST_EXT_PROP_SAMPLE_START_DATE    ((int64)1 << HD3_ST_EXT_PROP_SAMPLE_START_DATE)
#define HD3M_ST_EXT_PROP_SAMPLE_MODE    ((int64)1 << HD3_ST_EXT_PROP_SAMPLE_MODE)
#define HD3M_ST_EXT_PROP_SAMPLE_INTERVAL    ((int64)1 << HD3_ST_EXT_PROP_SAMPLE_INTERVAL)
#define HD3M_ST_EXT_PROP_SAMPLE_BEGIN_OFFSET    ((int64)1 << HD3_ST_EXT_PROP_SAMPLE_BEGIN_OFFSET)
#define HD3M_ST_EXT_PROP_SAMPLE_END_OFFSET    ((int64)1 << HD3_ST_EXT_PROP_SAMPLE_END_OFFSET)
#define HD3M_ST_EXT_PROP_SAMPLE_MONTH_BEGIN_DAY    ((int64)1 << HD3_ST_EXT_PROP_SAMPLE_MONTH_BEGIN_DAY)
#define HD3M_ST_EXT_PROP_SAMPLE_MONTH_END_DAY    ((int64)1 << HD3_ST_EXT_PROP_SAMPLE_MONTH_END_DAY)
#define HD3M_ST_EXT_PROP_BEGIN_TIMESTAMP    ((int64)1 << HD3_ST_EXT_PROP_BEGIN_TIMESTAMP)
#define HD3M_ST_EXT_PROP_TIMESTAMP_OFFSET    ((int64)1 << HD3_ST_EXT_PROP_TIMESTAMP_OFFSET)
#define HD3M_ST_EXT_PROP_SCAN_PERIOD    ((int64)1 << HD3_ST_EXT_PROP_SCAN_PERIOD)
#define HD3M_ST_EXT_PROP_PCT_GOOD    ((int64)1 << HD3_ST_EXT_PROP_PCT_GOOD)
#define HD3M_ST_EXT_PROP_FILTER_EXPR    ((int64)1 << HD3_ST_EXT_PROP_FILTER_EXPR)
#define HD3M_ST_EXT_PROP_DROP_BAD_MODE    ((int64)1 << HD3_ST_EXT_PROP_DROP_BAD_MODE)
#define HD3M_ST_EXT_PROP_COUNT_PARAM1    ((int64)1 << HD3_ST_EXT_PROP_COUNT_PARAM1)
#define HD3M_ST_EXT_PROP_COUNT_PARAM2    ((int64)1 << HD3_ST_EXT_PROP_COUNT_PARAM2)
#define HD3M_ST_EXT_PROP_SAMPLE_TYPE    ((int64)1 << HD3_ST_EXT_PROP_SAMPLE_TYPE)
#define HD3M_ST_EXT_PROP_INTERP_OFFSET    ((int64)1 << HD3_ST_EXT_PROP_INTERP_OFFSET)
#define HD3M_ST_EXT_PROP_INTERP_PERIOD    ((int64)1 << HD3_ST_EXT_PROP_INTERP_PERIOD)
#define HD3M_ST_EXT_PROP_CONVER_TYPE    ((int64)1 << HD3_ST_EXT_PROP_CONVER_TYPE)
#define HD3M_ST_EXT_PROP_CONVERSION    ((int64)1 << HD3_ST_EXT_PROP_CONVERSION)
#define HD3M_ST_EXT_PROP_FILTER_FAIL_MODE    ((int64)1 << HD3_ST_EXT_PROP_FILTER_FAIL_MODE)
#define HD3M_ST_EXT_PROP_CALC_PERIOD    ((int64)1 << HD3_ST_EXT_PROP_CALC_PERIOD)
#define HD3M_ST_EXT_PROP_RESET    ((int64)1 << HD3_ST_EXT_PROP_RESET)
#define HD3M_ST_EXT_PROP_USE_BAD_VALUE    ((int64)1 << HD3_ST_EXT_PROP_USE_BAD_VALUE)

//
#define HD3M_CA_EXT_PROP_CALC_MODE    ((int64)1 << HD3_CA_EXT_PROP_CALC_MODE)
#define HD3M_CA_EXT_PROP_CALC_PERIOD    ((int64)1 << HD3_CA_EXT_PROP_CALC_PERIOD)
#define HD3M_CA_EXT_PROP_CALC_EXPR    ((int64)1 << HD3_CA_EXT_PROP_CALC_EXPR)
#define HD3M_CA_EXT_PROP_CALC_HISTORY    ((int64)1 << HD3_CA_EXT_PROP_CALC_HISTORY)
#define HD3M_CA_EXT_PROP_CALC_START_DATE    ((int64)1 << HD3_CA_EXT_PROP_CALC_START_DATE)
#define HD3M_CA_EXT_PROP_CALC_END_DATE    ((int64)1 << HD3_CA_EXT_PROP_CALC_END_DATE)
#define HD3M_CA_EXT_PROP_HAVE_END_TIME    ((int64)1 << HD3_CA_EXT_PROP_HAVE_END_TIME)
#define HD3M_CA_EXT_PROP_SOURCE_TAG    ((int64)1 << HD3_CA_EXT_PROP_SOURCE_TAG)

// SPC
#define HD3M_SPC_EXT_PROP_SOURCE_TAG_NAME    ((int64)1 << HD3_SPC_EXT_PROP_SOURCE_TAG_NAME)
#define HD3M_SPC_EXT_PROP_ALARM_GROUP_ID    ((int64)1 << HD3_SPC_EXT_PROP_ALARM_GROUP_ID)
#define HD3M_SPC_EXT_PROP_CTRL_CHART_TYPE    ((int64)1 << HD3_SPC_EXT_PROP_CTRL_CHART_TYPE)
#define HD3M_SPC_EXT_PROP_TRIGGER_MODE    ((int64)1 << HD3_SPC_EXT_PROP_TRIGGER_MODE)
#define HD3M_SPC_EXT_PROP_SAMPLE_SIZE    ((int64)1 << HD3_SPC_EXT_PROP_SAMPLE_SIZE)
#define HD3M_SPC_EXT_PROP_SAMPLE_INTERVAL    ((int64)1 << HD3_SPC_EXT_PROP_SAMPLE_INTERVAL)
#define HD3M_SPC_EXT_PROP_AUTO_ACK    ((int64)1 << HD3_SPC_EXT_PROP_AUTO_ACK)
#define HD3M_SPC_EXT_PROP_RULE    ((int64)1 << HD3_SPC_EXT_PROP_RULE)

// ȷ״̬
#define HD3M_AM_REC_ACK_STATE_NO    ((int64)1 << HD3_AM_REC_ACK_STATE_NO)
#define HD3M_AM_REC_ACK_STATE_YES    ((int64)1 << HD3_AM_REC_ACK_STATE_YES)

// ָ״̬
#define HD3M_AM_REC_RESTORE_STATE_NO    ((int64)1 << HD3_AM_REC_RESTORE_STATE_NO)
#define HD3M_AM_REC_RESTORE_STATE_YES    ((int64)1 << HD3_AM_REC_RESTORE_STATE_YES)

// ȼ
#define HD3M_AM_REC_PRIORITY_FIRST    ((int64)1 << HD3_AM_REC_PRIORITY_FIRST)
#define HD3M_AM_REC_PRIORITY_SECOND    ((int64)1 << HD3_AM_REC_PRIORITY_SECOND)
#define HD3M_AM_REC_PRIORITY_THIRD    ((int64)1 << HD3_AM_REC_PRIORITY_THIRD)
#define HD3M_AM_REC_PRIORITY_FORTH    ((int64)1 << HD3_AM_REC_PRIORITY_FORTH)

// 
#define HD3M_AM_REC_TYPE_LOLO    ((int64)1 << HD3_AM_REC_TYPE_LOLO)
#define HD3M_AM_REC_TYPE_LOW    ((int64)1 << HD3_AM_REC_TYPE_LOW)
#define HD3M_AM_REC_TYPE_HIHI     ((int64)1 << HD3_AM_REC_TYPE_HIHI)
#define HD3M_AM_REC_TYPE_HIGH     ((int64)1 << HD3_AM_REC_TYPE_HIGH)
#define HD3M_AM_REC_TYPE_CHANGE     ((int64)1 <<HD3_AM_REC_TYPE_CHANGE)

// 
#define HD3M_AM_REC_INDEX_ALARM_TAG_ID    ((int64)1 << HD3_AM_REC_INDEX_ALARM_TAG_ID)
#define HD3M_AM_REC_INDEX_START_TIME     ((int64)1 << HD3_AM_REC_INDEX_START_TIME)
#define HD3M_AM_REC_INDEX_END_TIME     ((int64)1 << HD3_AM_REC_INDEX_END_TIME)
#define HD3M_AM_REC_INDEX_ACK_TIME     ((int64)1 << HD3_AM_REC_INDEX_ACK_TIME)
#define HD3M_AM_REC_INDEX_COMMENT_TIME     ((int64)1 << HD3_AM_REC_INDEX_COMMENT_TIME)
#define HD3M_AM_REC_INDEX_ACKED     ((int64)1 << HD3_AM_REC_INDEX_ACKED)
#define HD3M_AM_REC_INDEX_RESTORED     ((int64)1 << HD3_AM_REC_INDEX_RESTORED)
#define HD3M_AM_REC_INDEX_PRIORITY     ((int64)1 << HD3_AM_REC_INDEX_PRIORITY)
#define HD3M_AM_REC_INDEX_ACK_TYPE     ((int64)1 << HD3_AM_REC_INDEX_ACK_TYPE)
#define HD3M_AM_REC_INDEX_ALARM_TYPE     ((int64)1 << HD3_AM_REC_INDEX_ALARM_TYPE)
#define HD3M_AM_REC_INDEX_SRC_VALUE     ((int64)1 << HD3_AM_REC_INDEX_SRC_VALUE)
#define HD3M_AM_REC_INDEX_TEST     ((int64)1 << HD3_AM_REC_INDEX_TEST)
#define HD3M_AM_REC_INDEX_COMMENT     ((int64)1 << HD3_AM_REC_INDEX_COMMENT)
#define HD3M_AM_REC_INDEX_ACKER     ((int64)1 << HD3_AM_REC_INDEX_ACKER)
#define HD3M_AM_REC_INDEX_COMMENTOR     ((int64)1 << HD3_AM_REC_INDEX_COMMENTOR)

// SPC
#define HD3M_SPC_REC_INDEX_SPC_TAG_ID     ((int64)1 << HD3_SPC_REC_INDEX_SPC_TAG_ID)
#define HD3M_SPC_REC_INDEX_START_TIME     ((int64)1 << HD3_SPC_REC_INDEX_START_TIME)
#define HD3M_SPC_REC_INDEX_END_TIME     ((int64)1 << HD3_SPC_REC_INDEX_END_TIME)
#define HD3M_SPC_REC_INDEX_ACK_TIME     ((int64)1 << HD3_SPC_REC_INDEX_ACK_TIME)
#define HD3M_SPC_REC_INDEX_COMMENT_TIME     ((int64)1 << HD3_SPC_REC_INDEX_COMMENT_TIME)
#define HD3M_SPC_REC_INDEX_ACKED     ((int64)1 << HD3_SPC_REC_INDEX_ACKED)
#define HD3M_SPC_REC_INDEX_ACK_TYPE     ((int64)1 << HD3_SPC_REC_INDEX_ACK_TYPE)
#define HD3M_SPC_REC_INDEX_RESTORED     ((int64)1 << HD3_SPC_REC_INDEX_RESTORED)
#define HD3M_SPC_REC_INDEX_COMMENTED     ((int64)1 << HD3_SPC_REC_INDEX_COMMENTED)
#define HD3M_SPC_REC_INDEX_ALARM_VALUE     ((int64)1 << HD3_SPC_REC_INDEX_ALARM_VALUE)
#define HD3M_SPC_REC_INDEX_RULE     ((int64)1 << HD3_SPC_REC_INDEX_RULE)
#define HD3M_SPC_REC_INDEX_SRC_VALUE     ((int64)1 << HD3_SPC_REC_INDEX_SRC_VALUE)
#define HD3M_SPC_REC_INDEX_COMMENT     ((int64)1 << HD3_SPC_REC_INDEX_COMMENT)
#define HD3M_SPC_REC_INDEX_ACKER     ((int64)1 << HD3_SPC_REC_INDEX_ACKER)
#define HD3M_SPC_REC_INDEX_COMMENTOR     ((int64)1 << HD3_SPC_REC_INDEX_COMMENTOR)

// SPCֵ
#define HD3M_SPC_VALUE_RULE_INDEX1     ((int64)1 << HD3_SPC_VALUE_RULE_INDEX1)
#define HD3M_SPC_VALUE_RULE_INDEX2     ((int64)1 << HD3_SPC_VALUE_RULE_INDEX2)
#define HD3M_SPC_VALUE_RULE_INDEX3     ((int64)1 << HD3_SPC_VALUE_RULE_INDEX3)
#define HD3M_SPC_VALUE_RULE_INDEX4     ((int64)1 << HD3_SPC_VALUE_RULE_INDEX4)
#define HD3M_SPC_VALUE_RULE_INDEX5     ((int64)1 << HD3_SPC_VALUE_RULE_INDEX5)
#define HD3M_SPC_VALUE_RULE_INDEX6     ((int64)1 << HD3_SPC_VALUE_RULE_INDEX6)
#define HD3M_SPC_VALUE_RULE_INDEX7     ((int64)1 << HD3_SPC_VALUE_RULE_INDEX7)
#define HD3M_SPC_VALUE_RULE_INDEX8     ((int64)1 << HD3_SPC_VALUE_RULE_INDEX8)

// ֪ͨ
#define HD3M_NOTIFY_OBJ_TYPE_NORMAL_TAG     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_NORMAL_TAG)
#define HD3M_NOTIFY_OBJ_TYPE_ALARM_TAG     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_ALARM_TAG)
#define HD3M_NOTIFY_OBJ_TYPE_STAT_TAG     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_STAT_TAG)
#define HD3M_NOTIFY_OBJ_TYPE_CALC_TAG     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_CALC_TAG)
#define HD3M_NOTIFY_OBJ_TYPE_COLLECTOR     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_COLLECTOR)
#define HD3M_NOTIFY_OBJ_TYPE_SCANGROUP     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_SCANGROUP)
#define HD3M_NOTIFY_OBJ_TYPE_DEVICE     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_DEVICE)
#define HD3M_NOTIFY_OBJ_TYPE_ALARM_GROUP     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_ALARM_GROUP)
#define HD3M_NOTIFY_OBJ_TYPE_DIGITAL_SET     ((int64)1 << HD3_NOTIFY_OBJ_TYPE_DIGITAL_SET)

#endif
