package com.baosight.hdsdk.example;

import java.io.PrintStream;
import java.util.List;
import java.util.Scanner;

import com.baosight.hdsdk.HDConnectionFactory;
import com.baosight.hdsdk.HDDataProvider;
//import com.baosight.hdsdk.HDResourceManager;
import com.baosight.hdsdk.HDServerFactory;
import com.baosight.hdsdk.HDTagManager;
import com.baosight.hdsdk.domain.data.HDBasicTag;
import com.baosight.hdsdk.domain.data.HDRecord;
import com.baosight.hdsdk.domain.data.HDDataConnection;
//import com.baosight.hdsdk.domain.res.HDGroupNode;
import com.baosight.hdsdk.exception.HDSdkException;

public class Demo {

	private static final String NEW_LINE = System.getProperty("line.separator");
	
	private final String HD_JAVASDK_VERSION = "3.1";
	
	private String mainpage = 
		"----------Welcome to HDJavaSDK Demo V=" + HD_JAVASDK_VERSION + "---------------------" + NEW_LINE
		+ "Please input the number for operation : " + NEW_LINE
		+ "1. Connect to Server" + NEW_LINE
		+ "2. Get Group Node from ResMgrSrv(not support!)" + NEW_LINE
		+ "3. Get TagInfo from iHyperDB server" + NEW_LINE
		+ NEW_LINE + "'q/Q' for quit." + NEW_LINE;
	
	private Scanner scanner = new Scanner(System.in);
	
	private PrintStream writer = System.out;
	
	private HDDataConnection dataconn = null;
	private HDDataProvider dataProvider = null;
	public static void main(String[] args) {
		Demo hdSDKDemo = new Demo();
		hdSDKDemo.start();
	}
	
	void start() {
		while(true) {
			showMainMenu();
			String userCommand = getUserInput();
			if (userCommand.toLowerCase().equals("q")) {
				System.exit(0);
			}
			int commandSwitch = 0;
			try {
				commandSwitch = Integer.parseInt(userCommand);
			} catch (NumberFormatException e) {
				System.err.println("Input wrong!");
				continue;
			}
			
			switch (commandSwitch) {
			case 1:
				//connection
				enterConnectionPage();
				break;
			case 2:
				//group
				int tagid = 4;
				System.out.println("@@@@@@@@@=xx.UTF-8@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@");
				System.out.println(System.getProperty("file.encoding"));
				try {
					dataconn = 
						HDConnectionFactory.getHDDataConnection(HDServerFactory.getHDDataServer("168.2.6.79", 5673));
					writer.println(" connect OK!");//6.79  237.80
					System.out.println(dataconn.toString());
				} catch (HDSdkException e) {
					e.printStackTrace();
					System.out.println("connect failed");
				}
				HDRecord rec = new HDRecord();
				dataProvider = new HDDataProvider(dataconn); 
				try {
					rec = dataProvider.querySnapshotByTagID(tagid);
				} catch (HDSdkException e2) {
					// TODO Auto-generated catch block 
					e2.printStackTrace();
				}		
				String str = "This is a xx String!";
				System.out.println("str: [" + str + "]");			 
				str = rec.getValueStr();
				System.out.println("rec str: [" + str + "]");
				//enterGroupNodePage();
				break;
			case 3:
				//get taginfo
				enterTagInfoPage();
				break;
			default:
				System.err.println("Input wrong");
				break;
			}
		}
	}
	
	void showMainMenu() {
		System.out.println(mainpage);
	}
	void enterTagInfoPage() {
		if (dataconn == null) {
			writer.println("please connect to data server first!");
			return;
		}
		writer.println("please input the tagname :");
		String tagName = getUserInput();
		HDTagManager tagMgr = dataconn.getTagManager();
		try {
			HDBasicTag bTag = tagMgr.getBasicTagByName(tagName);
			writer.println("get taginfo ok");
			writer.println(bTag.toString());
		} catch (HDSdkException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
	}
	
	
	void enterConnectionPage() {
		System.out.println("please choose server type 1 = iHyperDB-ConfigCenter; 2 = iHyperDB-ResServer(not support)" + NEW_LINE);
		String input = getUserInput();
		int command;
		try {
			command = Integer.parseInt(input);
		} catch (NumberFormatException e) {
			System.err.println("input wrong");
			return;
		}
		
		switch (command) {
		case 1:
			//connect to iHD server
			writer.println("please input server ip");
			String serverip = getUserInput();
			writer.println("please input server port");
			int serverport = Integer.parseInt(getUserInput());
			try {
					dataconn = 
						HDConnectionFactory.getHDDataConnection(HDServerFactory.getHDDataServer(serverip, serverport));
					writer.println("connect OK!");
					System.out.println(dataconn.toString());
				} catch (HDSdkException e) {
					e.printStackTrace();
					System.out.println("connect failed");
				}
			break;

		case 2:
			//connection to Res server
			writer.println("not support!");			
			break;
		default:
			writer.println("input wrong");
			break;
		}
	}
	
	String getUserInput() {
		
		System.out.println("please input : ");
		String userInput = this.scanner.nextLine();
		return userInput;
	}
}

