/** 
* @file
* @brief		Error code definition of Real-time Database (110000~119999)
* @author		Chunfeng Shen
* @date		2009/05/10
* @version		Initial Version
*
* Copyright: Shanghai Baosight Software Co, Ltd
*/

#ifndef ERROR_CODE_H_
#define ERROR_CODE_H_

#define RD_SUCCESS 						0		//success code 

#define EC_RD_BASENO					110000
#define EC_RD_SYSTEM_MAX_NO				20000


/************************************************************************/
/*                 Beagle ErrorCode                                     */
/************************************************************************/
#define EC_LM_ERROR_CODE_BASE (EC_RD_BASENO +(-20000))	//beagleʼ90000 //Beagle  starting error code 
#define EC_LM_INVALID_LICENSE  (EC_LM_ERROR_CODE_BASE + 1 )  //֤Ϸ //Invalid license 
#define EC_LM_LICENSE_NOT_OPEN  (EC_LM_ERROR_CODE_BASE + 2 )  //֤ûд //License not opened
#define EC_LM_KEY_NOT_FOUND  (EC_LM_ERROR_CODE_BASE + 3 )  //Ϣ   //License key not found
#define EC_LM_INVALID_LICENSE_CODE  (EC_LM_ERROR_CODE_BASE + 4 )  //Ʒ벻Ϸ   //invalid license code
#define EC_LM_CANT_FIND_LICENSE_CODE  (EC_LM_ERROR_CODE_BASE + 5 )  //֤ļвƥĲƷ  //Can not find license code
#define EC_LM_INVALID_CHECK_MODE  (EC_LM_ERROR_CODE_BASE + 6 )  //֤ģʽ   //Invalid license check mode
#define EC_LM_INVALID_PARAMETER  (EC_LM_ERROR_CODE_BASE + 7 )  //   //Invalid parameter
#define EC_LM_NOT_ENOUGH_MEMORY  (EC_LM_ERROR_CODE_BASE + 8 )  //ڴ治   //Insufficient memory
#define EC_LM_CANT_OPEN_LICENSE_FILE  (EC_LM_ERROR_CODE_BASE + 10 )  //޷֤ļ  //Can not open license file 
#define EC_LM_CANT_READ_LICENSE_ROOT  (EC_LM_ERROR_CODE_BASE + 11 )  //޷ȡ֤ļĸڵ  //Can not read license file root 
#define EC_LM_INVALID_KEY_FORMAT  (EC_LM_ERROR_CODE_BASE + 12 )  //Կʽ   //Invalid license key format
#define EC_LM_INVALID_SIGNATURE_FORMAT  (EC_LM_ERROR_CODE_BASE + 13 )  //ǩʽ   //Invalid license signature format
#define EC_LM_INVALID_SERIAL_NUMBER  (EC_LM_ERROR_CODE_BASE + 14 )  //к   //Invalid license serial number
#define EC_LM_LICENSE_NOT_START  (EC_LM_ERROR_CODE_BASE + 15 )  //֤δʼ   //License not started
#define EC_LM_LICENSE_EXPIRED  (EC_LM_ERROR_CODE_BASE + 16 )  //֤ѹ   //License expired
#define EC_LM_INVALID_PROJECT_NAME  (EC_LM_ERROR_CODE_BASE + 20 )  //ܹڵĿƲƥ   //Mismatched project name of dongle
#define EC_LM_INVALID_PUBLIC_KEY  (EC_LM_ERROR_CODE_BASE + 21 )  //ܹڵԿƥ   //Mismatched encryption key of dongle
#define EC_LM_INVALID_HOST_MAC  (EC_LM_ERROR_CODE_BASE + 22 )  //MACַƥ   //Mismatched host MAC
#define EC_LM_GET_MAC_FAILED  (EC_LM_ERROR_CODE_BASE + 23 )  //ȡMACַʧ   //Get host MAC failed
#define EC_LM_NO_ROOT_PRIVILEGE  (EC_LM_ERROR_CODE_BASE + 24 )  //ûrootȨ   //No root permission
#define EC_LM_SOCKET_OPERATE_ERROR  (EC_LM_ERROR_CODE_BASE + 25 )  //Socketʧ   //Socket operation failed
#define EC_LM_WRONG_OS_TYPE  (EC_LM_ERROR_CODE_BASE + 30 )  //ȨĲϵͳ   //Unauthorized operating system
#define EC_LM_NOT_IMPLEMENTED_YET  (EC_LM_ERROR_CODE_BASE + 90)  //δʵ   //Unfulfilled function

#define EC_LM_ERROR_FROM_SENTINEL  (EC_RD_BASENO +(-19800))  //ʥ칷ĴLM_ERROR_FROM_SENTINEL90200	// error codes from sentinel 90200
#define EC_LM_SENTINEL_INVALID_LICENSE  (EC_LM_ERROR_FROM_SENTINEL + 3)  //ҲӲ֤ //Sentinel license not found
#define EC_LM_SENTINEL_UNIT_NOT_FOUND  (EC_LM_ERROR_FROM_SENTINEL + 226)  //ҲָӲֵ֤ //Sentinel license key not found
#define EC_LM_HASP_LOGIN_FAILED (EC_LM_ERROR_FROM_SENTINEL+ 9001)		//hasp_login failed //Login hasp failed
#define EC_LM_HASP_GETSIZE_FAILED (EC_LM_ERROR_FROM_SENTINEL+ 9002)		//hasp_get_size failed   //Get hasp size failed
#define EC_LM_HASP_READ_FAILED (EC_LM_ERROR_FROM_SENTINEL+ 9003)	//hasp_read failed  //Read hasp failed
#define EC_LM_HASP_LOGOUT_FAILED (EC_LM_ERROR_FROM_SENTINEL+ 9004)	//hasp_logout failed   //logout hasp failed		
#define EC_LM_HASP_INVALID_LICTEMP	(EC_LM_ERROR_FROM_SENTINEL+ 9005)	//Ӳ֤ģļڻʧ //Sentinel license template file does not exist or opened failed
#define EC_LM_EC_BASIC_DOG_NOMEMORY	(EC_LM_ERROR_FROM_SENTINEL+ 9902)	//Ӳڴ쳣 //Sentinel memory error


/************************************************************************/
/*                 operator system error (110001 ~ 110500)              */
/************************************************************************/
#define EC_RD_OS_BASENO					(EC_RD_BASENO + 0)
/* System error */
#define EC_RD_SYS_BASE					(EC_RD_BASENO + 0)
#define EC_RD_SYS_NO_FILE_OR_DIR		(EC_RD_SYS_BASE + 2)//ļ //File does not exsit
#define EC_RD_INVALID_INPUT_ARGUMENT	(EC_RD_SYS_BASE + 3)//Ч //Invalid input parameter
#define EC_RD_SYS_PERMISSION_DENY		(EC_RD_SYS_BASE + 13)//޷Ȩ //No visit permission
#define EC_RD_SYS_INVALID_ARGUMENT		(EC_RD_SYS_BASE + 22)//Чļʲ //Invalid file access parameter
#define EC_RD_SYS_FATAL_EXCEPTION		(EC_RD_SYS_BASE + 25)//쳣 //Exception occurred

/*time*/
#define EC_HD_TIME_BASENO							(EC_RD_BASENO + 190)
#define EC_HD_TIME_INVALID_PONTER					(EC_HD_TIME_BASENO + 1)//Ϸָ룬ָΪ //Invalid pointer,pointer is null
#define EC_HD_TIME_INVALID_SECOND					(EC_HD_TIME_BASENO + 2)//Ϸʱ룬С //Invalid time parameter, second is less than zero
#define EC_HD_TIME_CONVET_SEC_TO_RDTIME				(EC_HD_TIME_BASENO + 3)//ת뵽ʱʧ //Convert seconds to timestamp failed
#define EC_HD_TIME_CONVET_RDTIME_TO_SEC				(EC_HD_TIME_BASENO + 4)//תʱʧ //Convert timestamp to seconds failed
#define EC_HD_TIME_GET_LOCAL_TIMEZONE_FAILED		(EC_HD_TIME_BASENO + 5)//ȡʱʧ //Get local timezone failed

/* File */
#define EC_RD_OS_FILE_BASE				(EC_RD_BASENO + 200)
#define EC_RD_OS_FILE_OPEN				(EC_RD_OS_FILE_BASE + 1)//ļʧ //Open file failed
#define EC_RD_OS_FILE_CREATE			(EC_RD_OS_FILE_BASE + 2)//ļʧ //Create file failed
#define EC_RD_OS_FILE_CLOSE				(EC_RD_OS_FILE_BASE + 3)//رļʧ //Close file failed
#define EC_RD_OS_FILE_DELETE			(EC_RD_OS_FILE_BASE + 4)//ɾļʧ //Delete file failed
#define	EC_RD_OS_FILE_SEEK				(EC_RD_OS_FILE_BASE + 5)//ͷѰַʧ //Head addressing failed
#define	EC_RD_OS_FILE_READ				(EC_RD_OS_FILE_BASE + 6)//ȡļʧ //Read file failed
#define	EC_RD_OS_FILE_WRITE				(EC_RD_OS_FILE_BASE + 7)//дļʧ //Write file failed
#define EC_RD_OS_FILE_FLUSH				(EC_RD_OS_FILE_BASE + 8)//ˢļʧ //Flush file failed
#define EC_RD_OS_FILE_TRUNC				(EC_RD_OS_FILE_BASE + 9)//ضļʧ //Truncate file failed

#define EC_RD_OS_FILE_CREATE_MAP		(EC_RD_OS_FILE_BASE + 10)//ڴӳʧ //Create memory map file failed
#define EC_RD_OS_FILE_CLOSE_MAP			(EC_RD_OS_FILE_BASE + 11)//رڴӳʧ //Close memory map file failed
#define EC_RD_OS_FILE_MAP_VIEW			(EC_RD_OS_FILE_BASE + 12)//ڴӳʧ //Memory map failed
#define EC_RD_OS_FILE_UNMAP				(EC_RD_OS_FILE_BASE + 13)//ڴӳʧ //Relieve map file failed
/* Directory */
#define EC_RD_OS_DIR_BASENO				(EC_RD_BASENO + 220)
#define EC_RD_OS_DIR_INVALID_PATH_NAME	(EC_RD_OS_DIR_BASENO + 1)//Ŀ¼·Ч //Invalid directory path name
#define EC_RD_OS_DIR_CREATE				(EC_RD_OS_DIR_BASENO + 2)//Ŀ¼ʧ //Create directory failed
#define EC_RD_OS_DIR_REMOVE				(EC_RD_OS_DIR_BASENO + 3)//ɾĿ¼ʧ //Delete directory failed
#define EC_RD_OS_DIR_FIND_FILE			(EC_RD_OS_DIR_BASENO + 4)//öļʧ //Enumerate files failed
#define EC_RD_OS_DIR_FIND_NO_FILE		(EC_RD_OS_DIR_BASENO + 5)//öļ //Enumerate files finished

/* Memory */
#define EC_RD_OS_MEM_BASENO				(EC_RD_BASENO + 240)
#define EC_RD_OS_MEM_MALLOC				(EC_RD_OS_MEM_BASENO + 1)//ڴʧ //Malloc failed
#define	EC_RD_OS_MEM_SHAREMEM_CREATE	(EC_RD_OS_MEM_BASENO + 2)//ڴʧ //Create shared memory failed
#define EC_RD_OS_MEM_SHAREMEM_CLOSE		(EC_RD_OS_MEM_BASENO + 3)//رչڴʧ //Close shared memory failed
#define EC_RD_OS_MEM_SHAREMEM_MAP		(EC_RD_OS_MEM_BASENO + 4)//ӳ乲ڴʧ //map shared memory failed
#define	EC_RD_OS_MEM_SHAREMEM_UNMAP		(EC_RD_OS_MEM_BASENO + 5)//ڴӳʧ //Relieve shared memory map failed
#define EC_RD_OS_MEM_NOT_ENOUGH			(EC_RD_OS_MEM_BASENO + 6)//ڴ治 //Insufficient memory

/* thread */
#define EC_RD_THREAD_BASENO				(EC_RD_BASENO + 260)
#define EC_RD_THREAD_CREATE				(EC_RD_THREAD_BASENO + 1)//߳ʧ //Create thread failed
#define EC_RD_THREAD_JOIN				(EC_RD_THREAD_BASENO + 2)//ȴ߳̽ʧ //Wait for the end of thread failed
#define EC_RD_THREAD_TEST_ACTIVE		(EC_RD_THREAD_BASENO + 3)//̻߳״̬ʧ //Test thread activity state failed
#define EC_RD_THREAD_TERMINATE			(EC_RD_THREAD_BASENO + 4)//ֹ߳ʧ //Terminate thread failed
/* lock */
#define EC_RD_OS_LOCK_BASENO			(EC_RD_BASENO + 280)
#define EC_RD_OS_LOCK_INIT				(EC_RD_OS_LOCK_BASENO + 1)//ʼʧ //Initialize the lock failed
#define EC_RD_OS_LOCK_TIMEOUT			(EC_RD_OS_LOCK_BASENO + 2)//дʱ //Apply read-write lock timeout
#define EC_RD_LOCK_ACQUIRE_READ			(EC_RD_OS_LOCK_BASENO + 3)//ʧ //Apply read lock failed
#define EC_RD_LOCK_ACQUIRE_WRITE		(EC_RD_OS_LOCK_BASENO + 4)//дʧ //Apply write lock failed
#define EC_RD_SEMA_INIT					(EC_RD_OS_LOCK_BASENO + 5)//źʼʧ //Initialize semaphore failed
#define EC_RD_SEMA_DESTROY				(EC_RD_OS_LOCK_BASENO + 6)//źʧ //Destroy semaphore failed
#define EC_RD_SEMA_ACQUIRE				(EC_RD_OS_LOCK_BASENO + 7)//źʧ //Apply semaphore failed
#define EC_RD_SEMA_RELEASE				(EC_RD_OS_LOCK_BASENO + 8)//ͷźʧ //Release semaphore failed
#define EC_RD_SEMA_TRYACQUIRE			(EC_RD_OS_LOCK_BASENO + 9)//źʧ //Try to apply semaphore failed
#define EC_RD_PROC_MUTEX_INIT					(EC_RD_OS_LOCK_BASENO + 10)//mutexʼʧ //Initialize mutex failed
#define EC_RD_PROC_MUTEX_DESTROY				(EC_RD_OS_LOCK_BASENO + 11)//mutexʧ //Destroy mutex failed
#define EC_RD_PROC_MUTEX_ACQUIRE				(EC_RD_OS_LOCK_BASENO + 12)//mutexʧ //Apply mutex failed
#define EC_RD_PROC_MUTEX_RELEASE				(EC_RD_OS_LOCK_BASENO + 13)//ͷmutexʧ //Release mutex failed
#define EC_RD_PROC_MUTEX_NULL					(EC_RD_OS_LOCK_BASENO + 14)//mutexΪNULL //Mutex is null
/* Process */
#define EC_RD_PROCESS_BASENO			(EC_RD_BASENO + 300)
#define EC_RD_PROCESS_SPAWN				(EC_RD_PROCESS_BASENO + 1)//ʧ //Create process failed
#define EC_RD_PROCESS_WAIT_TIMEOUT		(EC_RD_PROCESS_BASENO + 2)//ȴ̽ʱ //Wait for the end of process timeout
#define EC_RD_PROCESS_WAIT_ERROR		(EC_RD_PROCESS_BASENO + 3)//ȴ̽ʧ //Wait for the end of process failed
#define EC_RD_PROCESS_TERMINATE			(EC_RD_PROCESS_BASENO + 4)//ʧ //Terminate process failed
#define EC_RD_PROCESS_PROCESS_NOT_EXIST	(EC_RD_PROCESS_BASENO + 5)//̲ //Process does not exist
#define EC_RD_PROCESS_WCSTOMBS_FAILED	(EC_RD_PROCESS_BASENO + 6)//ֽתΪֽʧ //Convert wide bytes to multi bytes failed

/*Language*/
#define EC_RD_LANGUAGE_BASENO			(EC_RD_BASENO + 310)
#define EC_RD_LANGUAGE_ICONV_OPEN		(EC_RD_LANGUAGE_BASENO + 1)//תӿڴʧ //Failed to open the code conversion interface
#define EC_RD_LANGUAGE_ICONV			(EC_RD_LANGUAGE_BASENO + 2)//תʧ //Failed to conver code
#define EC_RD_LANGUAGE_ILLEGAL_INPUT	(EC_RD_LANGUAGE_BASENO + 3)//תЧ //Illegal parameter for code conversion

/* event */
#define EC_RD_EVENT_BASENO				(EC_RD_BASENO + 320)
#define EC_RD_EVENT_RELEASE				(EC_RD_EVENT_BASENO + 1)//ͷ¼ʧ //Release event failed
#define EC_RD_EVENT_INIT				(EC_RD_EVENT_BASENO + 2)//ʼ¼ʧ //Initialize event failed
#define EC_RD_EVENT_WAIT_TIMEOUT		(EC_RD_EVENT_BASENO + 3)//ȴ¼ʱ //Wait for the event timeout
#define EC_RD_EVENT_MUTEX_NOT_RELEASE	(EC_RD_EVENT_BASENO + 4)//¼Ӧûͷ //The mutex of event not released
#define EC_RD_EVENT_GET_CLOCK_TIME		(EC_RD_EVENT_BASENO + 5)//ȡϵͳʱ //Get system time failed

/* Network */
#define EC_RD_NETWORK_BASENO			(EC_RD_BASENO + 330)
#define EC_RD_NET_SOCKET_VERSION		(EC_RD_NETWORK_BASENO + 1)//׽ְ汾 //Sockets version is not compatible
#define EC_RD_NET_CREATE_SOCKET			(EC_RD_NETWORK_BASENO + 2)//׽ʧ //Create socket failed
#define EC_RD_NET_SOCKET_BIND			(EC_RD_NETWORK_BASENO + 3)//׽ְʧ //Bind socket failed
#define EC_RD_NET_CREATE_COMPLETE_PORT	(EC_RD_NETWORK_BASENO + 4)//ɶ˿ʧ //Create completion port failed
#define EC_RD_NET_SOCKET_LISTEN			(EC_RD_NETWORK_BASENO + 5)//׽ּʧ //Listen to socket failed
#define EC_RD_NET_SOCKET_ACCEPT			(EC_RD_NETWORK_BASENO + 6)//׽ֽʧ //Receive the connection of socket failed
#define EC_RD_NET_SOCKET_RECEIVE		(EC_RD_NETWORK_BASENO + 7)//׽ֽʧ //Receive the data of socket failed
#define EC_RD_NET_SOCKET_SEND			(EC_RD_NETWORK_BASENO + 8)//׽ַʧ //Send the data of socket failed
#define EC_RD_NET_SOLARIS_ASSOCIATE		(EC_RD_NETWORK_BASENO + 9)//Solaris϶˿ʧ //Associate port in solaris failed
#define EC_RD_PROACTOR_EPOLL_CREATE		(EC_RD_NETWORK_BASENO + 10)//Epoll˿ڴʧ //Create Epoll port failed
#define EC_RD_PROACTOR_EPOLL_CTL		(EC_RD_NETWORK_BASENO + 11)//Epollʧ //Control Epoll port failed
#define EC_RD_NET_INVALID_INPUT			(EC_RD_NETWORK_BASENO + 12)//纯Ϸ //Invalid input of net functions
#define EC_RD_NET_BLOCK					(EC_RD_NETWORK_BASENO + 13)// //Network blocking
#define EC_RD_NET_SHUTDOWN				(EC_RD_NETWORK_BASENO + 14)//ShutDownʧ //Shutdown the network failed
#define EC_RD_NET_CONN_RESET			(EC_RD_NETWORK_BASENO + 15)//ô //Reset the connection failed
#define EC_RD_NET_SELECT_DETECT_ERR		(EC_RD_NETWORK_BASENO + 16)//Select̽쵽 //Select detected error
#define EC_RD_NET_SELECT_TIMEOUT		(EC_RD_NETWORK_BASENO + 17)//Selectʱ //Select timeout
#define EC_RD_NET_CONNECT_TIMEOUT		(EC_RD_NETWORK_BASENO + 18)//ӳʱ  //Network connection timeout
#define EC_RD_NET_SEND_TIMEOUT			(EC_RD_NETWORK_BASENO + 19)//緢ͳʱ //Network send timeout
#define EC_RD_NET_RECV_TIMEOUT			(EC_RD_NETWORK_BASENO + 20)//ճʱ //Network receive timeout
#define EC_RD_NET_NOT_CONNECT			(EC_RD_NETWORK_BASENO + 21)//Ӳͨ //Network not connected
#define EC_RD_NET_SEND_NOTSOCK			(EC_RD_NETWORK_BASENO + 22)//緢׽Ч //Invalid socket in network sending 
#define EC_RD_NET_SERVER_BUFFER_FULL	(EC_RD_NETWORK_BASENO + 23)//緢ͻ //The server buffer of network is full
#define EC_RD_NET_WORKTHREAD_NUM		(EC_RD_NETWORK_BASENO + 24)//̸߳Ϸ //The number of work threads is invalid
#define EC_RD_NET_INIT_INVALID_PARAM	(EC_RD_NETWORK_BASENO + 25)//ʼǷ //Initialization parameters are invalid
#define EC_RD_NET_INVALID_PACKAGE		(EC_RD_NETWORK_BASENO + 26)//ݰϷ //The package received by the network server is invalid
#define EC_RD_NET_WRONG_IO_COUNT		(EC_RD_NETWORK_BASENO + 27)//շϢֵһ //The count of data sending and the count of data receiving in network are not consistent
#define EC_RD_SOCK_CLOSED				(EC_RD_NETWORK_BASENO + 28)//socketѾر //Socket already closed
#define EC_RD_NET_GET_MAC				(EC_RD_NETWORK_BASENO + 29)//ȡMACַʧ //Get MAC address failed
#define EC_RD_NET_GETSOCKETIFNO_NOT_EXSIST	(EC_RD_NETWORK_BASENO + 30)//ѯsocketϢ //Get MAC address failed
#define EC_RD_NET_GET_HOST_BY_NAME		(EC_RD_NETWORK_BASENO + 31)//ȡIPʧ//Get Host Addresss by name  failed
#define EC_RD_NET_QUIT				(EC_RD_NETWORK_BASENO + 32)//˳//network quit
#define EC_RD_NET_ALARMNOTIFY_OVERMAX	(EC_RD_NETWORK_BASENO + 33)//֪ͨעᳬ //alarm notify over max limit

/*sig*/
#define EC_RD_SIGNAL_BASENO			(EC_RD_BASENO + 360)
#define EC_RD_SIGNAL_REG_FAIL		(EC_RD_NETWORK_BASENO + 1)//עźʧ // Register semaphore failed


/************************************************************************/
/*                      NetClient                                       */
/************************************************************************/
#define EC_RD_NETCLIENT_BASENO				(EC_RD_BASENO + 370)
#define EC_RD_NETCLIENT_SEND_PARTIAL		(EC_RD_NETCLIENT_BASENO + 1)//ͻ˷ݲ //The data sent by network client is partial
#define EC_RD_NETCLIENT_NOT_CONNECT			(EC_RD_NETCLIENT_BASENO + 2)//ͻδ //Network client is not connected
#define EC_RD_NETCLIENT_INVALID_IP			(EC_RD_NETCLIENT_BASENO + 3)//ͻ֤IP //Verify IP of network client failed
#define EC_RD_NETCLIENT_INVALID_TIMEOUT		(EC_RD_NETCLIENT_BASENO + 4)//ͻ֤ʱ //Verify network client timeout failed
#define EC_RD_NETCLIENT_INVALID_PARAM		(EC_RD_NETCLIENT_BASENO + 5)//ͻ֤ //Verify network client failed
#define EC_RD_NDK_CONNECT				    (EC_RD_NETCLIENT_BASENO + 6)//ʧ //Network connection failed


#define EC_RD_NDK_BASENO				            (EC_RD_BASENO + 330)
#define EC_RD_NETWORK_MAX				             EC_RD_NDK_CONNECT// //Maximum error code for network



/************************************************************************/
/*                      NetMgr  (110400 ~ 111600)                                        */
/************************************************************************/
#define EC_RD_NETRBTREE_BASENO			(EC_RD_BASENO + 400)
#define EC_RD_NETRBTREE_INSERT		(EC_RD_NETRBTREE_BASENO + 1)//ʧ //Insert into the network red-black tree failed
#define EC_RD_NETRBTREE_MODIFY		(EC_RD_NETRBTREE_BASENO + 2)//޸ʧ //Modify the network red-black tree failed
#define EC_RD_NETRBTREE_NODE_EXIST	(EC_RD_NETRBTREE_BASENO + 3)//ʧܣڵ㼺 //Insert into the network red-black tree failed, the node already existed

#define EC_RD_CLINET_MAC_CHECK			(EC_RD_NETRBTREE_BASENO + 4)//ͻMACַУʧ //Verify the MAC address of client failed
#define EC_RD_NET_CONNECT_NUMBER_LIMIT	(EC_RD_NETRBTREE_BASENO + 5)//ͻĿ֤ //The number of connected clients exceeds the limit of license

#define EC_RD_LIC_SUPPORTZT_LIMIT			(EC_RD_NETRBTREE_BASENO + 6)//ȱ̬֤ //No configuration license
#define EC_RD_LIC_SUPPORTSPC_LIMIT			(EC_RD_NETRBTREE_BASENO + 7)//ȱSPC֤ //No SPC license

#define EC_RD_NET_CLIENT_SOCKET_LIMIT	(EC_RD_NETRBTREE_BASENO + 8)//ͻ //The socket number of single client is bigger than the upper limit

/************************************************************************/
/*                   Kernel    (110600 ~ 111600)                        */
/************************************************************************/

/* tag index */
#define EC_RD_TAG_INDEX_BASENO					(EC_RD_BASENO + 600)
#define EC_RD_TAG_INDEX_MEM_PROP_LINK			(EC_RD_TAG_INDEX_BASENO + 2)//tagڴЧ //The list of tag memory properties is invalid
#define EC_RD_TAG_TYPE_REC_LEN_NOT_ACCORDING    (EC_RD_TAG_INDEX_BASENO + 3)//tagͺͼ¼ȶӦϵȷ //The tag type does not accord with the length of record
#define EC_RD_TAG_INDEX_TAG_ID_ZERO			(EC_RD_TAG_INDEX_BASENO + 4)//tagIDΪ0 //tag id is zero
#define EC_RD_TAG_INDEX_TAG_ID_GREATER_THAN_MAXID		(EC_RD_TAG_INDEX_BASENO + 5)//tagIDTagID //tag id is greater then max tag id
#define EC_RD_TAG_INDEX_TAG_DELETE				(EC_RD_TAG_INDEX_BASENO + 6)//tagѾɾ //tag is deleted

/* Kernel Global*/
#define EC_RD_KERNEL_GLOBAL_BASENO		(EC_RD_BASENO + 650)
#define EC_RD_KERNEL_QUIT				(EC_RD_KERNEL_GLOBAL_BASENO + 1)//ں˳ //The kernel server quited
#define EC_RD_LICENSE_TAG_NUMBER_LIMIT	(EC_RD_KERNEL_GLOBAL_BASENO + 2)//Tag֤ļƻݽڵõ֤ //The number of tags exceeds the limit of license
#define EC_RD_KERNEL_INVALID_TAG_TYPE	(EC_RD_KERNEL_GLOBAL_BASENO + 3)//Чtag //Invalid tag type
#define EC_RD_KERNEL_INVALID_VALUE_LEN	(EC_RD_KERNEL_GLOBAL_BASENO + 4)//Чļ¼ֵ //Invalid length of record value
#define EC_RD_INVALID_LICENSE			(EC_RD_KERNEL_GLOBAL_BASENO + 5)//Ʒ֤Чð浽 //The license is invalid or the trial version is expired
#define EC_RD_FAILED_SET_MAX_FD		(EC_RD_KERNEL_GLOBAL_BASENO + 6)//ý̿ɴ򿪵ʧ //Set the maximum number of process handles failed
#define EC_RD_QUERY_COND_NO_MEET	(EC_RD_KERNEL_GLOBAL_BASENO + 7)//ѯ //The query condition is not satisfied
#define EC_RD_NO_PERMIT_DEL_MODIFY_SYS_TAG	(EC_RD_KERNEL_GLOBAL_BASENO + 8)//ɾ޸ϵͳ //The system tag can not be deleted or modified

/* Sequential cache */
#define EC_RD_SEQ_CACHE_BASENO			(EC_RD_BASENO + 700)
#define EC_RD_SEQ_CACHE_FILE_POS		(EC_RD_SEQ_CACHE_BASENO + 1)//ļдλЧ //The read-write position of sequence cache file is invalid
#define EC_RD_SEQ_CACHE_FILE_COUNT		(EC_RD_SEQ_CACHE_BASENO + 2)//лļĿЧ //The count of sequence cache files is invalid
#define EC_RD_SEQ_CACHE_FILE_SIZE		(EC_RD_SEQ_CACHE_BASENO + 3)//лļСЧ //The size of sequence cache file is invalid
#define EC_RD_SEQ_CACHE_FILE_STATUS		(EC_RD_SEQ_CACHE_BASENO + 4)//лļ״̬Ч //The status of sequence cache files is invalid
#define EC_RD_SEQ_CACHE_INVALID_POINTER	(EC_RD_SEQ_CACHE_BASENO + 5)//лļָЧ //The pointer of sequence cache files is invalid
#define EC_RD_SEQ_CACHE_INVALID_TAG_ID	(EC_RD_SEQ_CACHE_BASENO + 6)//ЧtagID //Invalid tag ID
#define EC_RD_SEQ_CACHE_NO_FREE_FILE	(EC_RD_SEQ_CACHE_BASENO + 7)//лļдٶȸϲݴٶ //The sequence cache file is full. The speed of disk writing is lower than the speed of data saving

/*sqlite Configure */
#define EC_RD_CONFIGURE_BASENO			(EC_RD_BASENO + 750)
#define EC_RD_CFG_DB_FORMAT				(EC_RD_CONFIGURE_BASENO + 1)//sqliteݿȡݴ //The data read from sqlite is wrong
#define EC_RD_CFG_DB_QUERY_NULL			(EC_RD_CONFIGURE_BASENO + 3)//sqliteݿѯֶΪ //The filed found in sqlite is null
#define	EC_RD_DEL_DEFAULT_ITEM			(EC_RD_CONFIGURE_BASENO + 4)//sqliteݿɾĬϵֶ //Delete the default field from sqlite
#define EC_RD_HAS_DEPEND_TAG			(EC_RD_CONFIGURE_BASENO + 5)//ĵ //Point with dependency exsits
#define EC_RD_CFG_DB_COLLECTOR_DEVICE_SCANGROUP_NOT_EXIST	(EC_RD_CONFIGURE_BASENO + 6) //ɼ豸ɨ鲻	//The collector, device or scan group does not exist
#define EC_RD_CFG_DB_TAG_NOT_EXIST		(EC_RD_CONFIGURE_BASENO + 7)//Tag㲻	//The tag does not exist
#define EC_RD_CFG_DB_GROUP_NOT_EXIST		(EC_RD_CONFIGURE_BASENO + 8)//û鲻	//The user group does not exist
#define EC_RD_CFG_DB_DIGITALSET_NOT_EXIST		(EC_RD_CONFIGURE_BASENO + 9)//״̬	//The digital set does not exist
#define EC_RD_CFG_DB_COLLECTOR_NOT_EXIST		(EC_RD_CONFIGURE_BASENO + 10)//ɼ	//The collector does not exist
#define EC_RD_CFG_DB_DEVICE_NOT_EXIST		(EC_RD_CONFIGURE_BASENO + 11)//豸	//The device does not exist
#define EC_RD_CFG_DB_SCANGROUP_NOT_EXIST		(EC_RD_CONFIGURE_BASENO + 12)//ɨ鲻 //The scan group  does not exist

#define EC_RD_SQLITE_BASENO				(EC_RD_BASENO + 800)
#define EC_RD_SQLITE_ERROR				(EC_RD_SQLITE_BASENO + 1)  //SQLݿ //SQL error or database error
#define EC_RD_SQLITE_INTERNAL			(EC_RD_SQLITE_BASENO + 2)  //ڲ߼ //Sqlite internal logic error
#define EC_RD_SQLITE_PERM				(EC_RD_SQLITE_BASENO + 3)  //Ȩ޲ //No sqlite authority
#define EC_RD_SQLITE_ABORT				(EC_RD_SQLITE_BASENO + 4)  //صж //The callback request aborted
#define EC_RD_SQLITE_BUSY				(EC_RD_SQLITE_BASENO + 5)   //ݿļ //The database file is locked
#define EC_RD_SQLITE_LOCKED				(EC_RD_SQLITE_BASENO + 6)   //ݿ //The database table is locked
#define EC_RD_SQLITE_NOMEM				(EC_RD_SQLITE_BASENO + 7)   //ڴʧ //Apply for memory failed
#define EC_RD_SQLITE_READONLY			(EC_RD_SQLITE_BASENO + 8)   //ͼдһֻı //Try to write a readonly table
#define EC_RD_SQLITE_INTERRUPT			(EC_RD_SQLITE_BASENO + 9)   //sqlite3_interruptֹ˵ǰ //The call of sqlite3_interrupt interrupted current operation
#define EC_RD_SQLITE_IOERR				(EC_RD_SQLITE_BASENO + 10)   //IO //Disk IO error
#define EC_RD_SQLITE_CORRUPT			(EC_RD_SQLITE_BASENO + 11)   //ݿӲ̾ //The database disk mirror is incomplete
#define EC_RD_SQLITE_NOTFOUND			(EC_RD_SQLITE_BASENO + 12)   //ʹãҲ߼¼ //Not used, can not find table or record
#define EC_RD_SQLITE_FULL				(EC_RD_SQLITE_BASENO + 13)   //ݿʧ //Database is full, insert failed
#define EC_RD_SQLITE_CANTOPEN			(EC_RD_SQLITE_BASENO + 14)   //ܴݿļ //Can not open sqlite file
#define EC_RD_SQLITE_PROTOCOL			(EC_RD_SQLITE_BASENO + 15)  //ʹãݿЭ //Not used, database locking protocol error
#define EC_RD_SQLITE_EMPTY				(EC_RD_SQLITE_BASENO + 16)   //ݿΪ //Database is null
#define EC_RD_SQLITE_SCHEMA				(EC_RD_SQLITE_BASENO + 17)  //ݿܸı //Database schema is changed
#define EC_RD_SQLITE_TOOBIG				(EC_RD_SQLITE_BASENO + 18)   //StringBLOBͳ˳ //The length exceeds the limit of string or blob
#define EC_RD_SQLITE_CONSTRAINT			(EC_RD_SQLITE_BASENO + 19)   //ΥԼִֹ //Execution aborted because of database constraint violation
#define EC_RD_SQLITE_MISMATCH			(EC_RD_SQLITE_BASENO + 20)   //Ͳƥ //The data type is not matched
#define EC_RD_SQLITE_MISUSE				(EC_RD_SQLITE_BASENO + 21)   //̬ʹòȷ //Static libraries are uesd incorrectly
#define EC_RD_SQLITE_NOLFS				(EC_RD_SQLITE_BASENO + 22)   //ʹֵ֧Ĳϵͳ //Unsupported operating system characteristics of host are used
#define EC_RD_SQLITE_AUTH				(EC_RD_SQLITE_BASENO + 23)   //Ȩ޲ //No enough authority
#define EC_RD_SQLITE_FORMAT				(EC_RD_SQLITE_BASENO + 24)   //ݿʽ //Standby database format error
#define EC_RD_SQLITE_RANGE				(EC_RD_SQLITE_BASENO + 25)   //sqlite3_bindĵڶΧ //The second parameter of sqlite3_bind exceeds range
#define EC_RD_SQLITE_NOTADB				(EC_RD_SQLITE_BASENO + 26)   //򿪵ļݿļ //The file opened is not a database file


/*xml Configure*/
#define EC_RD_XML_BASENO			(EC_RD_BASENO + 850)
#define EC_RD_XML_LOAD_FILE			(EC_RD_XML_BASENO + 1)//ļʧ //Load  configuration file failed
#define EC_RD_XML_FIND_ELEMENT		(EC_RD_XML_BASENO + 2)//ļԪʧ //Find configuration file element failed
#define EC_RD_XML_GET_ATTR			(EC_RD_XML_BASENO + 3)//ȡļԪʧ //Get attribute of configuration file element failed
#define EC_RD_XML_INVALID_VALUE		(EC_RD_XML_BASENO + 4)//ļԪֵЧ //The attribute value of configuration file element is invalid
#define EC_RD_XML_ITME_VALUE_LEN	(EC_RD_XML_BASENO + 5)//ֵĳȳ4096 //The length of configuration value is bigger than 4096
#define EC_RD_XML_FIND_DECLARE      (EC_RD_XML_BASENO + 6)//ļʧ //Find the declaration of configuration file failed
#define EC_RD_XML_WRITE_FAILED      (EC_RD_XML_BASENO + 7)//дXMLļʧ //Write xml file failed
#define EC_RD_XML_ADD_ELEMNET_FAILED (EC_RD_XML_BASENO + 8)//xmlļӽʧ //Add element into xml file failed
#define EC_RD_XML_ADD_ATTRIBUTE_FAILED (EC_RD_XML_BASENO + 9)//xmlļʧ //Add attribute into xml file failed

/* Block cache file */
#define EC_RD_BLOCK_CACHE_FILE_BASENO	(EC_RD_BASENO + 900)
#define EC_RD_BLOCK_CACHE_FILE_READ		(EC_RD_BLOCK_CACHE_FILE_BASENO + 1)//ȡ黺ļʧ //Read block cache file failed
#define EC_RD_BLOCK_CACHE_FILE_WRITE	(EC_RD_BLOCK_CACHE_FILE_BASENO + 2)//д黺ļʧ //Write block cache file failed
#define EC_RD_ARCHIVE_LOG_FILE_CREATE	(EC_RD_BLOCK_CACHE_FILE_BASENO + 3)//ϵͳ־ļʧ //Create system log file failed
#define EC_RD_ARCHIVE_LOG_FILE_READ		(EC_RD_BLOCK_CACHE_FILE_BASENO + 4)//ϵͳ־ļȡʧ //Read system log file failed
#define EC_RD_ARCHIVE_LOG_FILE_WRITE	(EC_RD_BLOCK_CACHE_FILE_BASENO + 5)//ϵͳ־ļдʧ //Write system log file failed
#define EC_RD_TAGNUM_IN_WINDOW_OVERFLOW	(EC_RD_BLOCK_CACHE_FILE_BASENO + 6)//еTagȷ //The number of tags in window is wrong
/* Block */
#define EC_RD_BLOCK_PARSE				(EC_RD_BLOCK_CACHE_FILE_BASENO + 7)//ļ //Parse file block failed

/* Archive */
#define EC_RD_ARCHIVE_BASENO					(EC_RD_BASENO + 950)
#define EC_RD_ARCHIVE_FILE_READ					(EC_RD_ARCHIVE_BASENO + 1)//ȡ鵵ļʧ //Read archive file failed
#define EC_RD_ARCHIVE_FILE_WRITE				(EC_RD_ARCHIVE_BASENO + 2)//д鵵ļʧ //Write achive file failed
#define EC_RD_ARCHIVE_INVALID_FILE_INDEX		(EC_RD_ARCHIVE_BASENO + 3)//ЧĹ鵵ļindex //The index of archive file is invalid
#define EC_RD_ARCHIVE_LIST_FILE_NUM				(EC_RD_ARCHIVE_BASENO + 4)//鵵ļȷ //The number of archive files is wrong
#define EC_RD_ARCHIVE_REMOVE_FILE_FROM_LIST		(EC_RD_ARCHIVE_BASENO + 5)//ӹ鵵ļƳļʧ //Remove file from the list of archive files failed
#define EC_RD_ARCHIVE_ADD_FILE_TO_LIST			(EC_RD_ARCHIVE_BASENO + 6)//鵵ļӵʧ //Add file into the list of archive files failed
#define EC_RD_ARCHIVE_FILENO_NOT_COMPATIBLE		(EC_RD_ARCHIVE_BASENO + 7)//鵵ļв¼ʱFileNoƥ //When inserting record into archive file, the FileNo is not matched
#define EC_RD_ARCHIVE_FILE_NO_SPACE_TO_INSERT	(EC_RD_ARCHIVE_BASENO + 8)//鵵ļû㹻Ŀռм¼Ĳ //No enough space to insert record into archive file
#define EC_RD_ARCHIVE_FILE_LOG_PARSE_ERROR		(EC_RD_ARCHIVE_BASENO + 9)//鵵ļʼʱ־м¼ݵĸʽȷ //The content format recorded in parse log When initializing the archive file is incorrect

/* log File */
#define EC_RD_LOG_FILE_BASENO			(EC_RD_BASENO + 1000)
#define EC_RD_NO_SUCH_OBJECT			(EC_RD_LOG_FILE_BASENO + 1)//־󲻴 //The log object does not exist
#define EC_RD_NO_SUCH_PROCESS			(EC_RD_LOG_FILE_BASENO + 2)//־̲ //The log process does not exist
#define EC_RD_LOG_INVALID_READ			(EC_RD_LOG_FILE_BASENO + 3)//Tagָʱȡݲȷ //When recovering tag, the content read is not correct
#define EC_RD_LOG_CATEGORY_NOT_FOUND	(EC_RD_LOG_FILE_BASENO + 4)//־еcategory޷ҵ //Can not find category in log file

/* B+ tree */
#define EC_RD_BTREE_BASENO				(EC_RD_BASENO + 1050)
#define EC_RD_BTREE_INIT			    (EC_RD_BTREE_BASENO + 1)//btreeʼʧ //Btree initialization failed
#define EC_RD_BTREE_CREATE_FILE			(EC_RD_BTREE_BASENO + 2)//Btreeļʧ //Btree failed in creating file
#define EC_RD_BTREE_READ_NODE			(EC_RD_BTREE_BASENO + 3)//Btreeȡڵʧ //Btree failed in reading node
#define EC_RD_BTREE_WRITE_NODE			(EC_RD_BTREE_BASENO + 4)//Btreeдڵʧ //Btree failed in writing node
#define EC_RD_BTREE_SPLIT				(EC_RD_BTREE_BASENO + 5)//Btreeʧ //Btree split failed
#define EC_RD_BTREE_BINARY_QUERY		(EC_RD_BTREE_BASENO + 6)//Btreeֲʧ //Btree binary search failed
#define EC_RD_BTREE_TAGNUM_OVERFLOW		(EC_RD_BTREE_BASENO + 7)//BtreeTagȷ //The number of tags in btree is incorrect
#define EC_RD_BTREE_INSERT_DUPLICATE	(EC_RD_BTREE_BASENO + 8)//Btreeظ //Inserting into btree is duplicated
#define EC_RD_DS_RBTREE_NODE_EXIST		(EC_RD_BTREE_BASENO + 9)//Btreeڵ㲻 //The node of btree does not exist
/* Data source manager */
#define EC_RD_DATA_SOURCE_BASENO				(EC_RD_BASENO + 1100)
#define EC_RD_DATA_SOURCE_ADD_TAG_DUPLICATE		(EC_RD_DATA_SOURCE_BASENO + 1)//Դظ //The name of the new added data source is duplicated
#define EC_RD_DATA_SOURCE_DEL_TAG_NO_EXIST		(EC_RD_DATA_SOURCE_BASENO + 2)//ɾԴ //The data source to be deleted does not exist
#define EC_RD_DATA_SOURCE_MODIFY_TAG_NO_EXIST	(EC_RD_DATA_SOURCE_BASENO + 3)//޸ĵԴ //The data source to be modified does not exist
#define EC_RD_DATA_SOURCE_INVALID_OPER_TYPE		(EC_RD_DATA_SOURCE_BASENO + 4)//ϵͳָвЧ //When recovering system, the operation type is invalid
#define EC_RD_DATA_SOURCE_INVALID_OPER_STATE	(EC_RD_DATA_SOURCE_BASENO + 5)//ϵͳָв״̬Ч //When recovering system, the operation status is invalid
#define EC_RD_DATA_SOURCE_ADD_TAG_INVALID_TAG_ID	(EC_RD_DATA_SOURCE_BASENO + 6)//ԴTagIDϷСڻTagID //The new added tag ID of data source is invalid. It should be less than or equal to maximum tag ID
#define EC_RD_DATA_SOURCE_INVALID_TAG_PREFIX		(EC_RD_DATA_SOURCE_BASENO + 7)//Դǰ׺ʵʱݿϵͳͬϷ //It is invald that The prefix of new added data source is the same as the system tag


/* Record manager */
#define EC_RD_DATA_BASENO						(EC_RD_BASENO + 1150)
#define EC_RD_DATA_MODIFY_NO_EXIST				(EC_RD_DATA_BASENO + 1)//Ҫ޸ĵļ¼ //The record to be modified does not exist
#define EC_RD_DATA_DELETE_NO_EXIST				(EC_RD_DATA_BASENO + 2)//Ҫɾļ¼ //The record to be deleted does not exist
#define EC_RD_DATA_QUERY_NO_EXIST				(EC_RD_DATA_BASENO + 3)//ֵѯ¼ //The record for interpolation query do not exist
#define EC_RD_DATA_QUERY_SNAPSHOT_NO_EXIST		(EC_RD_DATA_BASENO + 4)//ѯڴղ //The queried memory snapshot does not exist
#define EC_RD_DATA_QUERY_SNAPSHOT_FAILED 		(EC_RD_DATA_BASENO + 5)//ѯڴʧ //Query memory snapshot failed
#define EC_RD_DATA_QUERY_HALT_RECORD			(EC_RD_DATA_BASENO + 6)//ֵѯΪͣ¼ //The records for interpolation query are halt records
#define EC_RD_DATA_SAVE_SNAPSHOT_FAILED			(EC_RD_DATA_BASENO + 7)//洢ʧ //Save snapshot failed
#define EC_RD_DATA_INTERVAL_NO_SUPPORT			(EC_RD_DATA_BASENO + 8)//stringblobͲֲֵ֧ѯ //The interpolation query is not supported in string or blob
#define EC_RD_DATA_QUERY_INTERVAL_FAILED		(EC_RD_DATA_BASENO + 9)//ֵѯʧ //Interpolation query failed
#define EC_RD_DATA_SAVE_TIME_DISORDER			(EC_RD_DATA_BASENO + 10)//洢ʱ //The time of saving data is disorder
#define EC_RD_DATA_QUERY_TIME_DISORDER			(EC_RD_DATA_BASENO + 11)//ѯʼʱ //The query starting time chaos
#define EC_RD_DATA_TIME_STAMP_EXCEED			(EC_RD_DATA_BASENO + 12)//¼ʱƫ //Record timestamp exceeds max time devation
#define EC_RD_DATA_TIME_STAMP_TOO_OLD			(EC_RD_DATA_BASENO + 13)//¼ʱ̫ϣ¼ //Record timestamp too old, discard it

/*kernel msg input param check*/
#define EC_RD_KERNEL_MSG_BASENO					(EC_RD_BASENO + 1200)
#define EC_RD_KERNEL_MSG_POINT_ID				(EC_RD_KERNEL_MSG_BASENO + 1)//ںϢԴIDЧ //When parsing message in kernel, the tag ID is invalid
#define EC_RD_KERNEL_MSG_REC_TIME				(EC_RD_KERNEL_MSG_BASENO + 2)//ںϢʱֵ //When parsing message in kernel, the time is wrong
#define EC_RD_KERNEL_MSG_COMP_TYPE				(EC_RD_KERNEL_MSG_BASENO + 3)//ѹʹ //When parsing message in kernel, the compression type is wrong
#define EC_RD_KERNEL_MSG_COLLECT_STATUS			(EC_RD_KERNEL_MSG_BASENO + 4)//ںϢ򲻲ɼĵ洢 //When parsing message in kernel, try to save data into a non-archived tag
#define EC_RD_KERNEL_MSG_LEN_STRING				(EC_RD_KERNEL_MSG_BASENO + 5)//ںϢַȴ //When parsing message in kernel, the length of string is wrong
#define EC_RD_KERNEL_MSG_LEN_MSG				(EC_RD_KERNEL_MSG_BASENO + 6)//ںϢϢȴ //When parsing message in kernel, the length of message is wrong
#define EC_RD_KERNEL_MSG_POINT_TYPE				(EC_RD_KERNEL_MSG_BASENO + 7)//ԴЧ //When parsing message in kernel, the tag type is invalid
#define EC_RD_KERNEL_MSG_COUNT					(EC_RD_KERNEL_MSG_BASENO + 8)//ںϢĿЧ //When parsing message in kernel, the count is invalid
#define EC_RD_KERNEL_MSG_INVALID_PARAM			(EC_RD_KERNEL_MSG_BASENO + 9)//ںϢЧ //When parsing message in kernel, the parameter is invalid
#define EC_RD_KERNEL_MSG_INTERP_QUERY_MODE		(EC_RD_KERNEL_MSG_BASENO + 10)//ĲֵѯģʽϷ //When parsing message in kernel, the mode of interpolation query is invalid


/*digital set for kernel*/
#define EC_RD_DIGITALSET_KERNEL_BASENO			(EC_RD_BASENO + 1250)
#define EC_RD_DIGITALSET_NAME_DUPLICATE			(EC_RD_DIGITALSET_KERNEL_BASENO + 1)//״̬ظ //The name of digital set is duplicated
#define EC_RD_DIGITALSET_NO_ENOUGH_SPACE		(EC_RD_DIGITALSET_KERNEL_BASENO + 2)//״̬ռ䲻 //No enough space for digital set
#define EC_RD_DIGITALSET_STATE_COUNT_OVER		(EC_RD_DIGITALSET_KERNEL_BASENO + 3)//״̬״̬ //The status count of digital set exceeds the upper limit
#define EC_RD_DIGITALSET_DEFAULT_DIGITALSET		(EC_RD_DIGITALSET_KERNEL_BASENO + 4)//Ĭ״̬ɱ޸Ļɾ //The default digital set can not be modified or deleted

/************************************************************************/
/*                  SDKDialog  (111600 ~ 112000)                                          */
/************************************************************************/
#define EC_HD_SDK_BASENO					(EC_RD_BASENO + 1600)

#define  EC_RD_ADDSERVER_IP_NULL			(EC_HD_SDK_BASENO + 1)//ӷIPΪnull //When adding server, the IP is null
#define	 EC_RD_ADDSERVER_IP_INVALID			(EC_HD_SDK_BASENO + 2)//ӷIPϷ //When adding server, the IP is invalid
#define  EC_RD_ADDSERVER_PORT_INVALID		(EC_HD_SDK_BASENO + 3)//ӷ˿ڲϷ //When adding server, the port is invalid
#define  EC_RD_ADDSERVER_FAILED				(EC_HD_SDK_BASENO + 4)//ӷʧ //Add server failed
#define  EC_RD_DELETESERVER_IP_NULL			(EC_HD_SDK_BASENO + 5)//ɾIPΪNULL //When deleting server, the IP is null
#define	 EC_RD_DELETESERVER_IP_INVALID		(EC_HD_SDK_BASENO + 6)//ɾIPϷ //When deleting server, the IP is invalid
#define  EC_RD_DELETESERVER_PORT_INVALID    (EC_HD_SDK_BASENO + 7)//ɾ˿ڲϷ //When deleting server, the port is invalid
#define  EC_RD_DELETESERVER_QUERY_FAILED	(EC_HD_SDK_BASENO + 8)//ɾδѯ÷ //When deleting server, the server does not exist
#define  EC_RD_CHECKBOX_QUERY_IPPORT		(EC_HD_SDK_BASENO + 9)//ѯIPͶ˿ʧ //Query IP and port failed
#define  EC_RD_DELETESERVER_FAILED			(EC_HD_SDK_BASENO + 10)//ɾʧ //Delete server failed
#define  EC_RD_CONNECTINFO_QUERY			(EC_HD_SDK_BASENO + 11)//Ϣѯʧ //Query connection information failed
#define  EC_RD_SETTING_QUERY				(EC_HD_SDK_BASENO + 12)//ãѯ //When setting the server information, the server does not exist
#define  EC_RD_SETTING_SRVNAMELEN_INVALID   (EC_HD_SDK_BASENO + 13)//ãȲϷ //When setting the server information, the length of server name is invalid
#define  EC_RD_SETTING_TIMEOUT_INVALID      (EC_HD_SDK_BASENO + 14)//ãʱòϷ //When setting the server information, the value of timeout is invalid
#define  EC_RD_VERIFY_IP_INVALID			(EC_HD_SDK_BASENO + 15)//IPУ鲻Ϸ //The IP is invalid
#define  EC_RD_VERIFY_PORT_INVALID			(EC_HD_SDK_BASENO + 16)//˿У鲻Ϸ //The port is invalid
#define  EC_RD_TESTCONNECT_DISCONNECT		(EC_HD_SDK_BASENO + 17)//δ //The result of testing connection is disconnected
#define  EC_RD_SETTING_SRVNAMELEN_NULL      (EC_HD_SDK_BASENO + 18)//ãΪ //When setting the server information, the server name is null
#define  EC_RD_SETTING_SRVNAME_DUPLICATE	(EC_HD_SDK_BASENO + 19)//ãظ //When setting the server information, the server name is duplicated
#define  EC_RD_ADDSERVER_SRVNAME_LEN		(EC_HD_SDK_BASENO + 20)//ӷȲϷ //When adding server, the length of server name is invalid
#define  EC_RD_ADDSERVER_DUPLICATE			(EC_HD_SDK_BASENO + 21)//ӷظ //The added server is duplicated
#define  EC_RD_DELETESERVER_NOT_EXSIST		(EC_HD_SDK_BASENO + 22)//Ҫɾķ //The server to be deleted does not exist
#define  EC_RD_SET_CURR_SERVER				(EC_HD_SDK_BASENO + 24)//õǰʧ //Set current server information failed
#define  EC_RD_GET_SERVERS					(EC_HD_SDK_BASENO + 25)//ȡеķʧ //Get all servers failed
#define  EC_RD_GET_SERVERS_OVER_NUM			(EC_HD_SDK_BASENO + 26)//Ŀڴ //The number of servers exceeds the limit of memory
#define  EC_RD_FINDSERVER_FAILED			(EC_HD_SDK_BASENO + 27)//ѯʧ,ѾϿ //Query server failed, perhaps it is already disconnected
#define  EC_RD_PARAM_NULL_PTR			(EC_HD_SDK_BASENO + 28)//ΪNULL  //Param can not be null
#define  EC_RD_OPC_NORMAL_FAILED			(EC_HD_SDK_BASENO + 29)//ȡOPCӿʧ  //Get OPC interface failed

/************************************************************************/
/*              SpreadSheet (112000 ~ 112200)                                                         */
/************************************************************************/
/*Driver spreadsheet*/
#define EC_RD_SPRSHEET_BASENO					(EC_RD_BASENO + 2000)
#define EC_RD_SPRSHEET_INIT						(EC_RD_SPRSHEET_BASENO + 1)//ʼExcelʧ //Initialize the Excel driver failed
#define EC_RD_SPRSHEET_RELEASE					(EC_RD_SPRSHEET_BASENO + 2)//ͷExcelʧ //Release the Excel driver failed
#define EC_RD_SPRSHEET_CREATE					(EC_RD_SPRSHEET_BASENO + 3)//Excelʧ //Create the Excel driver failed
#define EC_RD_SPRSHEET_CLOSE					(EC_RD_SPRSHEET_BASENO + 4)//رExcelʧ //Close the Excel driver failed
#define EC_RD_SPRSHEET_CLEAR_ACTIVE_SHEET		(EC_RD_SPRSHEET_BASENO + 5)//Excel ǰSheetʧ //Excel driver: clear active sheet failed
#define EC_RD_SPRSHEET_WRITE_CELL				(EC_RD_SPRSHEET_BASENO + 6)//Excel дԪʧ //Excel driver: write a cell failed
#define EC_RD_SPRSHEET_READ_CELL				(EC_RD_SPRSHEET_BASENO + 7)//Excel Ԫʧ //Excel driver: read a cell failed
#define EC_RD_SPRSHEET_SET_CELL_COLOR			(EC_RD_SPRSHEET_BASENO + 8)//Excel õԪɫʧ //Excel driver: set a cell color failed
#define EC_RD_SPRSHEET_GET_APPLICATION			(EC_RD_SPRSHEET_BASENO + 9)//Excel ȡָʧ //Excel driver: get the application pointer failed
#define EC_RD_SPRSHEET_GET_ACTIVE_OBJECT		(EC_RD_SPRSHEET_BASENO + 10)//Excel ȡʧ //Excel driver: get active object failed
#define EC_RD_SPRSHEET_QUERY_INTERFACE			(EC_RD_SPRSHEET_BASENO + 11)//Excel ѯӿʧ //Excel driver: query interface failed
#define EC_RD_SPRSHEET_GET_ACTIVE_WORKBOOK		(EC_RD_SPRSHEET_BASENO + 12)//Excel ȡǰʧ //Excel driver: get active workbook failed
#define EC_RD_SPRSHEET_GET_ACTIVE_SHEET			(EC_RD_SPRSHEET_BASENO + 13)//Excel ȡǰSheetʧ //Excel driver: get active sheet failed
#define EC_RD_SPRSHEET_GET_CELLS				(EC_RD_SPRSHEET_BASENO + 14)//Excel ڷΧлȡĳʧ //Excel driver: get cells in a range failed
#define EC_RD_SPRSHEET_RANGE_GET_ITEM			(EC_RD_SPRSHEET_BASENO + 15)//Excel ڷΧлȡϢʧ //Excel driver: get items in a range failed
#define EC_RD_SPRSHEET_WITHOUT_ACTIVE_SHEET		(EC_RD_SPRSHEET_BASENO + 16)//Excel ҲǰSheet //Excel driver: can not find active sheet
#define EC_RD_SPRSHEET_INPUTBOX_ERROR			(EC_RD_SPRSHEET_BASENO + 17)//Excel  //Excel driver: input box error
#define EC_RD_SPRSHEET_SET_FOMULAARRAY			(EC_RD_SPRSHEET_BASENO + 18)//Excel 鹫ʽʧ //Excel driver: add formula array failed

/*SDK spreadsheet*/
#define EC_RD_SDK_SPRSHEET_BASENO								(EC_RD_BASENO + 2100)
#define EC_RD_SDK_SPRSHEET_INVALID_TAGPROP_NAME				    (EC_RD_SDK_SPRSHEET_BASENO + 1)//ϷTag //Invalid tag property name
#define EC_RD_SDK_SPRSHEET_INVALID_TAGPROP_VALUE				(EC_RD_SDK_SPRSHEET_BASENO + 2)//ϷTagֵ //Invalid tag property value
#define EC_RD_SDK_SPRSHEET_INVALID_QUERYCOND_TAGNAME		    (EC_RD_SDK_SPRSHEET_BASENO + 3)//ѯϷTag //Invalid tag name in query condition
#define EC_RD_SDK_SPRSHEET_INVALID_QUERYCOND_INTERFACENAME		(EC_RD_SDK_SPRSHEET_BASENO + 4)//ѯϷĽӿ //Invalid interface name in query condition
#define EC_RD_SDK_SPRSHEET_INVALID_TAGNAME_COLNO				(EC_RD_SDK_SPRSHEET_BASENO + 5)//Tagڵڶ //Tag name is not in the second column
#define EC_RD_SDK_SPRSHEET_INVALID_QUERY_ITEM					(EC_RD_SDK_SPRSHEET_BASENO + 6)//ϷĲѯ //Invalid query item
#define EC_RD_SDK_SPRSHEET_QUERY_ITEM_NUM_OVER					(EC_RD_SDK_SPRSHEET_BASENO + 7)//ѯ //The number of query conditions exceeds the upper limit
#define EC_RD_SDK_SPRSHEET_INVALID_QUERYCOND_DESCRIPTOR		    (EC_RD_SDK_SPRSHEET_BASENO + 8)//ѯϷ //Invalid description in query condition
#define EC_RD_SDK_SPRSHEET_INVALID_ADDRESS						(EC_RD_SDK_SPRSHEET_BASENO + 9)//Ϸĵַ //Invalid address
#define EC_RD_SDK_SPRSHEET_INVALID_TAGNAME						(EC_RD_SDK_SPRSHEET_BASENO + 10)//ϷTag //Invalid tag name
#define EC_RD_SDK_SPRSHEET_INVALID_ABSTIMEFORMAT				(EC_RD_SDK_SPRSHEET_BASENO + 11)//ʱʽ //The absolute time format is wrong
#define EC_RD_SDK_SPRSHEET_SPACE_ABSTIMEFORMAT					(EC_RD_SDK_SPRSHEET_BASENO + 12)//ʱǰ˿ո //The absolute time starts with space
#define EC_RD_SDK_SPRSHEET_INVALID_RELTIMEFORMAT				(EC_RD_SDK_SPRSHEET_BASENO + 13)//ʱʽ //The relative time format is wrong
#define EC_RD_SDK_SPRSHEET_SPACE_RELTIMEFORMAT					(EC_RD_SDK_SPRSHEET_BASENO + 14)//ʱǰ˿ո //The relative time starts with space
#define EC_RD_SDK_SPRSHEET_INVALID_TIMESPACE					(EC_RD_SDK_SPRSHEET_BASENO + 15)//Ϸʱ //Invalid time interval
#define EC_RD_SDK_SPRSHEET_SPACE_TIMESPACE						(EC_RD_SDK_SPRSHEET_BASENO + 16)//ʱǰ˿ո //Time interval starts with space
#define EC_RD_SDK_SPRSHEET_INVALID_TIMESTAMP					(EC_RD_SDK_SPRSHEET_BASENO + 17)//Ϸʱ //Invalid timestamp
#define EC_RD_SDK_SPRSHEET_SPACE_TIMESTAMP					    (EC_RD_SDK_SPRSHEET_BASENO + 18)//ʱǰ˿ո //Timestamp starts with space
#define EC_RD_SDK_SPRSHEET_GETTAG_FROM_QUERY					(EC_RD_SDK_SPRSHEET_BASENO + 19)//ҪTagѯ浼Tag //Need to import tags from tag query interface
#define EC_RD_SDK_SPRSHEET_GETTAG_FROM_QUERY_ERROR				(EC_RD_SDK_SPRSHEET_BASENO + 20)//Tagѯ浼Tag //Import tags from tag query interface failed
#define EC_RD_SDK_SPRSHEET_STARTTIME_ERROR						(EC_RD_SDK_SPRSHEET_BASENO + 21)//ʼʱ //Start time error
#define EC_RD_SDK_SPRSHEET_ENDTIME_ERROR						(EC_RD_SDK_SPRSHEET_BASENO + 22)//ֹʱ //End time error
#define EC_RD_SDK_SPRSHEET_OUTPUTCELL_ERROR						(EC_RD_SDK_SPRSHEET_BASENO + 23)//Ԫ //Output cell error
#define EC_RD_SDK_SPRSHEET_CANNOT_FIND_TAGNAME					(EC_RD_SDK_SPRSHEET_BASENO + 24)//ܲѯTag //can not find tag name
#define EC_RD_SDK_SPRSHEET_ONEROWONECOL							(EC_RD_SDK_SPRSHEET_BASENO + 25)//ԪַֻΪһлһ //The cell address must be one row or one column
#define EC_RD_SDK_SPRSHEET_RECNUM								(EC_RD_SDK_SPRSHEET_BASENO + 26)//¼ //The record number is wrong
#define EC_RD_SDK_SPRSHEET_STARTTIMEOVERENDTIME					(EC_RD_SDK_SPRSHEET_BASENO + 27)//ʼʱ䲻ֹܴʱ //Start time can not be later than end time
#define EC_RD_SDK_SPRSHEET_TIMECOUNT_OVER_MAX					(EC_RD_SDK_SPRSHEET_BASENO + 28)//ʱ //The number of timestamps exceeds the upper limit
#define EC_RD_SDK_SPRSHEET_GET_REC_NUM							(EC_RD_SDK_SPRSHEET_BASENO + 29)//ȡ¼ʧ //Get the number of records failed
#define EC_RD_SDK_SPRSHEET_INVALID_DATE							(EC_RD_SDK_SPRSHEET_BASENO + 30)//Ϸ //Invalid date
#define EC_RD_SDK_SPRSHEET_OVER_MAX_REC_NUM						(EC_RD_SDK_SPRSHEET_BASENO + 31)//ļ¼ //Exceed the upper limit of record number
#define EC_RD_SDK_SPRSHEET_RANGE_NO_REC							(EC_RD_SDK_SPRSHEET_BASENO + 32)//ʱûм¼ //No records in the time range
#define EC_RD_SDK_SPRSHEET_NO_ACTIVE_SHEET						(EC_RD_SDK_SPRSHEET_BASENO + 33)//ActiveSheetûҵ //No active sheet
#define EC_RD_SDK_SPRSHEET_OVER_MAX_TAG_NUM						(EC_RD_SDK_SPRSHEET_BASENO + 34)//Tag //Exceed the upper limit of tag number
#define EC_RD_SDK_SPRSHEET_INTERQUERY_TAGTYPE					(EC_RD_SDK_SPRSHEET_BASENO + 35)//ֵѯTagͲ //The tag type of interpolation query is wrong
#define EC_RD_SDK_SPRSHEET_DATAUPLOAD_INVALID_PARAM				(EC_RD_SDK_SPRSHEET_BASENO + 36)//ϴ //Invalid parameter in data upload

/************************************************************************/
/*                Collector (112200 ~ 113000)                           */
/************************************************************************/
//ɼ
#define	 EC_HD_COLLECT_PLAT_NO                      (EC_RD_BASENO + 2200)
#define  EC_HD_COLLECT_PLAT_NO_TAG                  (EC_HD_COLLECT_PLAT_NO + 1)//ѾԴ //No data source available
#define	 EC_HD_COLLECT_PLAT_INVALID_PARAM           (EC_HD_COLLECT_PLAT_NO + 2)//Ч //Invalid parameter
#define  EC_HD_COLLECT_PLAT_UNKNOWN_EXCEPTION       (EC_HD_COLLECT_PLAT_NO + 3)//δʶ쳣 //Unknown exception
#define	 EC_HD_COLLECT_PLAT_TAG_DUPLICATE           (EC_HD_COLLECT_PLAT_NO + 4)//Դظ //Duplicated data source
#define	 EC_HD_COLLECT_PLAT_TAG_ID_NO_EXIST         (EC_HD_COLLECT_PLAT_NO + 5)//ԴID //The data source ID does not exist
#define  EC_HD_COLLECT_PLAT_FILTER_PROP_NOT_EXIST   (EC_HD_COLLECT_PLAT_NO + 6)//ѹԲ //Deadband compression property does not exist
#define  EC_HD_COLLECT_PLAT_DLL_LOAD				(EC_HD_COLLECT_PLAT_NO + 7)//Dll̬ش //Dynamic Load dll failed
#define	 EC_HD_COLLECT_PLAT_DLL_FUN					(EC_HD_COLLECT_PLAT_NO + 8)//Dll //Parse dll function failed
#define  EC_HD_COLLECT_PLAT_DLL_UNLOAD				(EC_HD_COLLECT_PLAT_NO + 9)//Dllжش //Unload dll failed
#define  EC_HD_COLLECT_PLAT_GROUP_FULL				(EC_HD_COLLECT_PLAT_NO + 10)//ɼGroup //Collecting group is full
#define  EC_HD_COLLECT_PLAT_FIND_NO_GROUP			(EC_HD_COLLECT_PLAT_NO + 11)//Ҳ //can not find group
#define	 EC_HD_COLLECT_PLAT_INVALID_OPC_COM         (EC_HD_COLLECT_PLAT_NO + 12)//OPC COMӿЧ //Invalid OPC COM interface
#define	 EC_HD_COLLECT_PLAT_INVALID_OPC_SRVID		(EC_HD_COLLECT_PLAT_NO + 13)//OPCIDЧ //Invalid OPC Server ID
#define	 EC_HD_COLLECT_PLAT_INVALID_TAG             (EC_HD_COLLECT_PLAT_NO + 14)//ԴЧ //Invalid data source
#define	 EC_HD_COLLECT_PLAT_OPC_ASYN_IO2_NO_SUPPORT (EC_HD_COLLECT_PLAT_NO + 15)//OPC֧첽汾2 //The OPC Server does not support asynchronous operation of version 2
#define  EC_HD_COLLECT_PLAT_TAG_DEVICE_ADDR			(EC_HD_COLLECT_PLAT_NO + 16)//ЧTag豸ַ //Invalid device address of the tag
#define  EC_HD_COLLECT_PLAT_GROUP_DUP				(EC_HD_COLLECT_PLAT_NO + 17)//Ѵڸ //The group already exists
#define  EC_HD_COLLECT_PLAT_FIND_NO_DEVICE 			(EC_HD_COLLECT_PLAT_NO + 18)//ڸ豸Ҳ豸 //can not find the device or it does not exist
#define  EC_HD_COLLECT_PLAT_QUERY_GROUP 			(EC_HD_COLLECT_PLAT_NO + 19)//ѯʧ //Query group failed
#define  EC_HD_COLLECT_PLAT_CREATE_GROUP 			(EC_HD_COLLECT_PLAT_NO + 20)//ʧ //Create group failed
#define  EC_HD_COLLECT_PLAT_QUERY_DEVICE			(EC_HD_COLLECT_PLAT_NO + 21)//ѯ豸ʧ //Query device failed
#define  EC_HD_COLLECT_PLAT_DEVICE_DUP 				(EC_HD_COLLECT_PLAT_NO + 22)//Ѵڸ豸 //The device already exists
#define  EC_HD_COLLECT_PLAT_TIMESTAMP_MS			(EC_HD_COLLECT_PLAT_NO + 23)//õʱ //The millisecond in the timestamp is wrong
#define  EC_HD_COLLECT_PLAT_COM_OBJECT_GROUP		(EC_HD_COLLECT_PLAT_NO + 24)//ɼʧ,ڴ豸Ϣ //OPCGroup read faild, perhaps because of wrong device
#define  EC_HD_COLLECT_PLAT_INACTIVE				(EC_HD_COLLECT_PLAT_NO + 25)//ɼ״̬ǻɼ //The collector redundant state is inactive, so it does not work
#define  EC_HD_COLLECT_ADD_EXIST_NAME				(EC_HD_COLLECT_PLAT_NO + 26)//ͬɼ //The collector name already exists

#define EC_HD_CCT_GET_COLLECTOR_BY_DEVICE_FAILED    (EC_HD_COLLECT_PLAT_NO + 27)//ȡصĲɼϢʧܣǷǿɾ//Get information of related collector failed, Whether to forcibly delete
#define EC_HD_CCT_DEVICE_IN_USE                     (EC_HD_COLLECT_PLAT_NO + 28)//豸ʹУǷǿɾ//The device is in use, Whether to forcibly delete
#define EC_HD_CCT_GET_DEVICE_BY_SCANGROUP_FAILED    (EC_HD_COLLECT_PLAT_NO + 29)//ȡص豸ϢʧܣǷǿɾ//Get information of related device failed, Whether to forcibly delete
#define EC_HD_CCT_GET_TAG_INFO_OF_SCANGROUP_FAILED  (EC_HD_COLLECT_PLAT_NO + 30)//ȡɨµTagʧܣǷǿɾ//Get tags under this scan group failed, Whether to forcibly delete
#define EC_HD_CCT_SCAN_GROUP_IN_USE                 (EC_HD_COLLECT_PLAT_NO + 31)//ɨʹУǷǿɾ//The scan group is in use, Whether to forcibly delete
#define EC_HD_CCT_GET_SCAN_GROUP_UNDER_DEVICE       (EC_HD_COLLECT_PLAT_NO + 32)//ȡ豸µɨʧܣǷǿɾ//Get scan group under this device failed,Whether to forcibly delete
#define EC_HD_CCT_COLLECTOR_IN_USE                  (EC_HD_COLLECT_PLAT_NO + 33)//òɼʹУǷǿɾ//The collector is in use, Whether to forcibly delete

//漸
#define EC_HD_OPC_INVALID_TAG						(EC_HD_COLLECT_PLAT_NO + 30)//1230 //Reserved
#define EC_HD_OPC_SERVER_NOT_CONNECTED				(EC_HD_COLLECT_PLAT_NO + 31)//OPC Serverδ //The OPC Server is not connected
#define EC_HD_OPC_INVALID_PARAM						(EC_HD_COLLECT_PLAT_NO + 32)//1678 //Reserved
#define EC_HD_OPC_FIND_NO_GROUP						(EC_HD_COLLECT_PLAT_NO + 33)//1990 //Reserved
#define EC_HD_OPC_INVALID_COM_INTERFACE				(EC_HD_COLLECT_PLAT_NO + 34)//1488 //Reserved
#define EC_HD_COLLECT_PLAT_INVALID_DRVTYPE			(EC_HD_COLLECT_PLAT_NO + 35)//3457 //Reserved

//OPC Server Config
#define EC_HD_OPCSVRINFO_ADD_GROUP_FAILED						(EC_HD_COLLECT_PLAT_NO + 50)//ʧ //Failed to add group
#define EC_HD_OPCSVRINFO_QUERY_ITEM_INTERFACE_FAILED				(EC_HD_COLLECT_PLAT_NO + 51)//ѯItemӿʧ //Failed to query item interface
#define EC_HD_OPCSVRINFO_QUERY_SYNCIO_INTERFACE_FAILED						(EC_HD_COLLECT_PLAT_NO + 52)//ѯͬӿʧ //Faild to query sync interface
#define EC_HD_OPCSVRINFO_QUERY_ASYNCIO_INTERFACE_FAILED						(EC_HD_COLLECT_PLAT_NO + 53)//ѯ첽ӿʧ //Faild to query async interface
#define EC_HD_OPCSVRINFO_ADD_ITEMS_FAILED				(EC_HD_COLLECT_PLAT_NO +54)//itemsʧ //Failed to add items
#define EC_HD_OPCSVRINFO_CANNOT_READ_INVALID_ITEM			(EC_HD_COLLECT_PLAT_NO + 55)//OPC Item ãͬ //Can not read invalid items 
#define EC_HD_OPCSVRINFO_READ_FAILED	(EC_HD_COLLECT_PLAT_NO + 56)//ֵʧ //Failed to read items
#define EC_HD_OPCSVRINFO_SERVER_NAME_EMPTY	(EC_HD_COLLECT_PLAT_NO + 57)//Ϊ //Invalid server name
#define EC_HD_OPCSVRINFO_GET_COMPUTER_NAME_FAILED	(EC_HD_COLLECT_PLAT_NO + 58)//ȡʧ //Failed to get computer name
#define EC_HD_OPCSVRINFO_REG_FAILED	(EC_HD_COLLECT_PLAT_NO + 59)//עֵʧ //Failed to register key
#define EC_HD_OPCSVRINFO_GET_SERVER_NAME_FAILED	(EC_HD_COLLECT_PLAT_NO + 60)//ȡʧ //Failed to get server name
#define EC_HD_OPCSVRINFO_INIT_COM_FAILED	(EC_HD_COLLECT_PLAT_NO + 61)//ʼCOMʧ //Failed to initialize COM
#define EC_HD_OPCSVRINFO_INVALID_OPC_SERVER	(EC_HD_COLLECT_PLAT_NO + 62)//ϷOPC Server //Invalid OPC Server
#define EC_HD_OPCSVRINFO_QUERY_OPC_SERVER_INTERFACE_FAILED	(EC_HD_COLLECT_PLAT_NO + 63)//ѯOPC Serverӿʧ //Faild to query opc server interface
#define EC_HD_OPCSVRINFO_GET_OPC_STAUTS_FAILED	(EC_HD_COLLECT_PLAT_NO + 64)//ȡOPC Server״̬ʧ //Failed to get OPC Server status
#define EC_HD_OPCSVRINFO_BROWSE_ITEM_FAILED	(EC_HD_COLLECT_PLAT_NO + 65)//ʧ //Failed to browse OPC items
#define EC_HD_OPCSVRINFO_INVALID_BROWSE_HANDLE 	(EC_HD_COLLECT_PLAT_NO + 66)//Ϸ //Invalid browse opc handle
#define EC_HD_OPCSVRINFO_GET_ITEMID_FAILED 	(EC_HD_COLLECT_PLAT_NO + 67)//ȡitem idʧ //Failed to get item ID
#define EC_HD_OPCSVRINFO_CHANGE_POSITION_FAILED 	(EC_HD_COLLECT_PLAT_NO + 68)//ChangeBrowsePosition()ʧ //Failed to change browse position
#define EC_HD_OPCSVRINFO_CREATE_INSTANCE_FAILED 	(EC_HD_COLLECT_PLAT_NO + 69)//COMʵʧ //Failed to create instance


//ICV
#define	 EC_HD_ICVDRV_XML_NO						(EC_RD_BASENO + 3000)
#define  EC_HD_ICVDRV_XML_FILE_LENGTH				(EC_HD_ICVDRV_XML_NO + 1)//ļȴ //The length of configuration file name is wrong
#define  EC_HD_ICVDRV_XML_SAVE_FILE					(EC_HD_ICVDRV_XML_NO + 2)//ñʧ //Save configuration failed
#define  EC_HD_ICVDRV_XML_INVILD_PARAM				(EC_HD_ICVDRV_XML_NO + 3)// //Invalid input parameter
#define  EC_HD_ICVDRV_XML_DOC_ERROR					(EC_HD_ICVDRV_XML_NO + 4)//ļʧܻ //Load configuration file failed or with error
#define  EC_HD_ICVDRV_XML_FORMAT_ERROR				(EC_HD_ICVDRV_XML_NO + 5)//ļʽ //The configuration file format is wrong
#define  EC_HD_ICVDRV_XML_INSERT_DUP_DEVGRP			(EC_HD_ICVDRV_XML_NO + 6)//豸ظ //The device group is duplicated
#define  EC_HD_ICVDRV_XML_FIND_NO_DEVGRP			(EC_HD_ICVDRV_XML_NO + 7)//Ҳ豸 //Can not find the device group
#define  EC_HD_ICVDRV_XML_INSERT_DUP_DEV 			(EC_HD_ICVDRV_XML_NO + 8)//豸ظ //The device is duplicated
#define  EC_HD_ICVDRV_XML_FIND_NO_DEV				(EC_HD_ICVDRV_XML_NO + 9)//Ҳ豸 //Can not find the device
#define  EC_HD_ICVDRV_XML_INSERT_DUP_DATABLK 		(EC_HD_ICVDRV_XML_NO + 10)//ݿظ //The data block is duplicated
#define  EC_HD_ICVDRV_XML_PARAM_VERIFY 				(EC_HD_ICVDRV_XML_NO + 11)//Уʧ //Verify parameter failed
#define  EC_HD_ICVDRV_XML_NO_ATTRIBUTE 				(EC_HD_ICVDRV_XML_NO + 12)//ļҲýڵ //No attribute of this point found in configuration file

/************************************************************************/
/*                  Buffer  (113200 ~ 113300)                           */
/************************************************************************/
#define EC_HD_BUFFER_NO						(EC_RD_BASENO + 3200)
#define EC_HD_BUFFER_LEN_CACHE_FILE_NAME	(EC_HD_BUFFER_NO + 1)//ļ·̫256ֽ //The length of cache file name exceeds 256 bytes
#define EC_HD_BUFFER_PROCCOMM_RECV_LEN		(EC_HD_BUFFER_NO + 2)//BufferAPI̼ͨѶյݳȲȷ //The data length is incorrect in the interprocess communication between buffer and API
#define EC_HD_BUFFER_FILE_NO_DATA			(EC_HD_BUFFER_NO + 3)//ļû //There is no data in cache file
#define EC_HD_BUFFER_FILE_BUFFER_LEN		(EC_HD_BUFFER_NO + 4)//ȡļ¼ʱĻ̫С //When reading records from cache file, the allocated buffer length is too small
#define EC_HD_BUFFER_FILE_INVALID_RECORD_LEN	(EC_HD_BUFFER_NO + 6)//¼ȴ //Invalid length of record
#define EC_HD_BUFFER_INVALID_INPUT_PARAM	(EC_HD_BUFFER_NO + 7)//Ϸ //Invalid input parameter
#define EC_HD_BUFFER_NO_IDLE_BLOCK			(EC_HD_BUFFER_NO + 8)//ļûпп //There is no idle block in cache file
#define EC_HD_BUFFER_INVALID_FILE_SIZE		(EC_HD_BUFFER_NO + 9)//ļʵʴСļеֵ //The size of cache file is bigger than the maximum value in the configuration file
#define EC_HD_BUFFER_LEN_RECV				(EC_HD_BUFFER_NO + 10)//Bufferӷ˽յĳȲȷ //Invalid length of data that buffer received from the server
#define EC_HD_BUFFER_INVALID_BASE_PARAM		(EC_HD_BUFFER_NO + 11)//ļͷݲȷ //The head data in cache file is wrong
#define EC_HD_BUFFER_INVALID_SRV_COUNT		(EC_HD_BUFFER_NO + 12)//ļд洢ķȷ //The count of servers in cache file is wrong
#define EC_HD_BUFFER_INVALID_COMP_TAG_TYPE	(EC_HD_BUFFER_NO + 13)//ϷѹTAG //Invalid tag type used for compression
#define EC_HD_BUFFER_INVALID_TIME_ORDER		(EC_HD_BUFFER_NO + 14)//¼ʱ򲻺Ϸ //Invalid time sequence of records
#define EC_HD_BUFFER_INVALID_RECORD_LEN		(EC_HD_BUFFER_NO + 15)//¼ȲϷ //Invalid length of records
#define EC_HD_BUFFER_POINTER_NULL			(EC_HD_BUFFER_NO + 16)//ָ //Null pointer in function

/************************************************************************/
/*                  SysMgrtool  (113300 ~ 114800)                */
/************************************************************************/

/*****TaskPanel******/
#define EC_HD_TASKPANEL_BASE                    (EC_RD_BASENO + 3300)
#define EC_HD_TASKPANEL_CREATE_TREE_FAIL        (EC_HD_TASKPANEL_BASE + 1)//ڵʧ //Create tree node failed
#define EC_HD_TASKPANEL_FIND_TREEELEMENT_FAIL   (EC_HD_TASKPANEL_BASE + 2)//ȡļԪʧ //Read tree element in configuration file failed
#define EC_HD_TASKPANEL_FIND_TREEATTRIBUTE_FAIL (EC_HD_TASKPANEL_BASE + 3)//ȡļԪʧ //Read attribute of tree element in configuration file failed
#define EC_HD_TASKPANEL_REPEAT_TREENAME         (EC_HD_TASKPANEL_BASE + 4)//ڵظ //The tree node name is duplicated
#define EC_HD_TASKPANEL_FIND_NODEELEMENT_FAIL   (EC_HD_TASKPANEL_BASE + 5)//ȡļӽڵԪʧ //Read child node element in configuration file failed
#define EC_HD_TASKPANEL_FIND_NODEATRRIBUTE_FAIL (EC_HD_TASKPANEL_BASE + 6)//ȡļӽڵԪʧ //Read attribute of child node element in configuration file failed
#define EC_HD_TASKPANEL_OVER_NODE_LEVELS        (EC_HD_TASKPANEL_BASE + 7)//ӵڵ //More than the allowed deepest node number
#define EC_HD_TASKPANEL_REPEAT_NODENAME         (EC_HD_TASKPANEL_BASE + 8)//ӽڵظ //The child node name is duplicated
#define EC_HD_TASKPANEL_FIND_FUNCAREA			(EC_HD_TASKPANEL_BASE + 9)//޷ҵ //Can not find the function area
#define EC_HD_TASKPANEL_NEW						(EC_HD_TASKPANEL_BASE + 10)//½ʧ //Create failed
#define EC_HD_MAINFRAM_LOAD_TASKPANEL			(EC_HD_TASKPANEL_BASE + 11)//ʧ //Load task panel failed
#define EC_HD_MAINFRAM_LOAD_TASKPANEL_RESOLVE	(EC_HD_TASKPANEL_BASE + 12)//Resolve //Analyze task panel failed
#define EC_HD_MAINFRAM_LOAD_DLL					(EC_HD_TASKPANEL_BASE + 13)//dllʧ //Load dll failed
#define EC_HD_MAINFRAM_UNLOAD_DLL				(EC_HD_TASKPANEL_BASE + 14)//Unload dllʧ //Unload dll failed
#define EC_HD_MAINFRAM_DLL_FUN_RESOLVE			(EC_HD_TASKPANEL_BASE + 15)//ȡdllзʧ //Get dll method failed
#define EC_HD_MAINFRAM_LOAD_MESSAGEPANEL		(EC_HD_TASKPANEL_BASE + 16)//LOADϢʧ //Load message panel failed
#define EC_HD_MAINFRAM_RESOLVE_ACTION			(EC_HD_TASKPANEL_BASE + 17)//actionʧ //Deal with action object failed
#define EC_HD_MAINFRAM_LOGMESSAGE_TOOLONG		(EC_HD_TASKPANEL_BASE + 18)//Ϣַ̫ //The message length is too long
#define EC_HD_MAINFRAM_INVALID_DLLPATH			(EC_HD_TASKPANEL_BASE + 19)//Ƿdll· //Invalid dll path
#define EC_HD_MAINFRAM_SETMENUSTATE				(EC_HD_TASKPANEL_BASE + 20)//ò˵״̬ //Set menu state failed
#define EC_HD_MAINFRAM_SETTOOLBARSTATE			(EC_HD_TASKPANEL_BASE + 21)//ù״̬ //Set toolbar state failed
#define EC_HD_MAINFRAM_ADDMENU_FAILED			(EC_HD_TASKPANEL_BASE + 22)//Ӳ˵ //Add menu failed
#define EC_HD_MAINFRAM_MENUNAME_RESLOVE_FAILED	(EC_HD_TASKPANEL_BASE + 23)//˵ //Deal with the menu name failed
#define EC_HD_MAINFRAM_ADDTOOLBAR_FAILED		(EC_HD_TASKPANEL_BASE + 24)//ӹ //Add toolbar failed
#define EC_HD_MAINFRAM_FINDTREEITEM				(EC_HD_TASKPANEL_BASE + 25)//itemʧ //Find tree item failed
#define EC_HD_MAINFRAM_INVALID_STRLEN			(EC_HD_TASKPANEL_BASE + 26)//Ϸַ //Invalid length of string
#define EC_HD_MAINFRAM_SERVER_DISCONNECT        (EC_HD_TASKPANEL_BASE + 27)//û //The server is not connected
#define EC_HD_MAINFRAM_SERVER_NO_EXIST        (EC_HD_TASKPANEL_BASE + 28)// //The server does not exist




/*buffercfg*/
#define EC_HD_BUFFERCFG_BASE                 (EC_RD_BASENO + 3400)
#define EC_HD_BUFFERCFG_FILE_NOEXISTING      (EC_HD_BUFFERCFG_BASE + 13)//ļ //The configuration file does not exist
#define EC_HD_BUFFERCFG_FILE_NOREAD          (EC_HD_BUFFERCFG_BASE + 14)//ļԲɶ //The properties of configuration file can not be read
#define EC_HD_BUFFERCFG_FILE_NOWRITING       (EC_HD_BUFFERCFG_BASE + 15)//ļΪд //The properties of configuration file can not be written
#define EC_HD_BUFFERCFG_FILE_READFAILTURE    (EC_HD_BUFFERCFG_BASE + 16)//ȡļʧ //Read configuration file failed
#define EC_HD_BUFFERCFG_FILE_WRITEFAILTURE   (EC_HD_BUFFERCFG_BASE + 17)//дļʧ //Write data into the configuraion file failed
#define EC_HD_BUFFERCFG_FILE_OPENEFAILTURE   (EC_HD_BUFFERCFG_BASE + 18)//ļʧ //Open the configuration file failed
#define EC_HD_BUFFERCFG_IVALID_PARAM		 (EC_HD_BUFFERCFG_BASE + 19)//ݲϷ //Invalid input parameter

/* RDB Config */
#define EC_HD_RDBCONFIG_BASE					(EC_RD_BASENO + 3500)
#define EC_HD_RDBCONFIG_SQLTYPECONVERT			(EC_HD_RDBCONFIG_BASE + 1) //sql serverתָ֧ //The data type is not supported in the transformation of SQL Server
#define EC_HD_RDBCONFIG_RDBCONNECT				(EC_HD_RDBCONFIG_BASE + 2) //ӹϵݿʧ //Connect to the relational database failed
#define EC_HD_RDBCONFIG_RDBGETALLTABLES			(EC_HD_RDBCONFIG_BASE + 3) //ȡϵݿʧ //Get table names in the relational database failed
#define EC_HD_RDBCONFIG_RDBCREATTABLE			(EC_HD_RDBCONFIG_BASE + 4) //ϵݿʧ //Create table in the relational database failed
#define EC_HD_RDBCONFIG_RDBCREATTABLE_DUPLICATE	(EC_HD_RDBCONFIG_BASE + 5) //ϵݿظ //The table in the ralational database is duplicated
#define EC_HD_RDBCONFIG_RDBQUERYFIELD			(EC_HD_RDBCONFIG_BASE + 6) //ѯϵݿֶʧ //Query table fields in the ralational database failed
#define EC_HD_RDBCONFIG_RDBQUERYFIELDTYPE		(EC_HD_RDBCONFIG_BASE + 7) //ѯϵݿֶʧ //Query the data type of table fields in the ralational database failed
#define EC_HD_RDBCONFIG_RDBDISCONNECT			(EC_HD_RDBCONFIG_BASE + 8) //Ͽϵݿʧ //Disconnect to the relational database failed
#define EC_HD_RDBCONFIG_RDBDROPTABLE			(EC_HD_RDBCONFIG_BASE + 9) //ɾʧ //Delete table in the relational database failed
#define EC_HD_RDBCONFIG_XML_NO_ATTRIBUTE		(EC_HD_RDBCONFIG_BASE + 10) //ļȱʧ //No attribute in configuraion file
#define EC_HD_RDBCONFIG_XML_FORMAT_ERROR		(EC_HD_RDBCONFIG_BASE + 11) //ļʽ //The configuraion file format is wrong
#define EC_HD_RDBCONFIG_XML_FIND_NO_IHYPERDB	(EC_HD_RDBCONFIG_BASE + 12) //ļδҵiHyperDB //can not find iHyperDB in configuraion file
#define EC_HD_RDBCONFIG_XML_INSERT_DUP_IHYPERDB	(EC_HD_RDBCONFIG_BASE + 13) //ļвiHyperDBʱظ //When inserting iHyperDB server into configuraion file, the server name is duplicated
#define EC_HD_RDBCONFIG_XML_INSERT_DUP_RDB		(EC_HD_RDBCONFIG_BASE + 14) //ļвϵݿʱϵݿظ //When inserting relational database configuration into configuraion file, the database name is duplicated
#define EC_HD_RDBCONFIG_XML_FIND_NO_RDB			(EC_HD_RDBCONFIG_BASE + 15) //ļδҵRDB //can not find relational database in configuraion file
#define EC_HD_RDBCONFIG_XML_FIND_NO_TABLE		(EC_HD_RDBCONFIG_BASE + 16) //ļδҵ //Can not find table in configuraion file
#define EC_HD_RDBCONFIG_XML_INSERT_DUP_TABLE	(EC_HD_RDBCONFIG_BASE + 17) //ļвʱظ //When inserting table into configuraion file, the table name is duplicated
#define EC_HD_RDBCONFIG_XML_INSERT_DUP_RULE		(EC_HD_RDBCONFIG_BASE + 18) //ļвʱظ //When inserting rule into configuraion file, the rule name is duplicated
#define EC_HD_RDBCONFIG_XML_FIND_NO_RULE		(EC_HD_RDBCONFIG_BASE + 19) //ļδҵ //Can not find rule in configuraion file
#define EC_HD_RDBCONFIG_XML_INSERT_DUP_TAG		(EC_HD_RDBCONFIG_BASE + 20) //ļвTagʱTagظ //When inserting tag into configuraion file, the tag name is duplicated
#define EC_HD_RDBCONFIG_XML_FIND_NO_TAG			(EC_HD_RDBCONFIG_BASE + 21) //ļδҵTAG //Can not find tag in configuraion file
#define EC_HD_RDBCONFIG_XML_DOC_ERROR			(EC_HD_RDBCONFIG_BASE + 22) //ļĵָΪ //The document pointer of configuraion file is null
#define EC_HD_RDBCONFIG_XML_SAVE_FILE			(EC_HD_RDBCONFIG_BASE + 23) //ļʧܣļΪֻ //Save configuraion file failed, perhaps it is readonly
#define EC_HD_RDBCONFIG_XML_PARAM_VERIFY		(EC_HD_RDBCONFIG_BASE + 24) //ļУ //Verify parameter of configuraion file failed
#define EC_HD_RDBCONFIG_XML_OPEN_LOADFILE		(EC_HD_RDBCONFIG_BASE + 25) //ļʱʧ //When opening configuraion file, load failed
#define EC_HD_RDB_CONFIG_XML_GETALLTABLE_NULL  (EC_HD_RDBCONFIG_BASE + 26) //ļȡбʱָΪ //When getting all tables in configuraion file, the pointer is null
#define EC_HD_RDB_CONFIG_XML_MODIFYRDB_NULL  (EC_HD_RDBCONFIG_BASE + 27) //ļ޸ĹϵݿʱָΪ //When modifying the connection of relational database in configuraion file, the pointer is null
#define EC_HD_RDB_CONFIG_XML_MODIFYTABLE_NULL  (EC_HD_RDBCONFIG_BASE + 28) //ļ޸ıϢʱָΪ //When modifying the table info in configuraion file, the pointer is null
#define EC_HD_RDB_CONFIG_XML_INSERTRDB_NULL  (EC_HD_RDBCONFIG_BASE + 29)  //ļϵݿʱָΪ //When inserting the connection of relational database into configuraion file, the pointer is null
#define EC_HD_RDB_CONFIG_XML_MODIFYHDB_NULL (EC_HD_RDBCONFIG_BASE + 30)  //ļ޸ʵʱݿʱΪ //When modifying the connection of iHyperDB in configuraion file, the name is null
#define EC_HD_RDBCONFIG_XML_NULL_POINTER  (EC_HD_RDBCONFIG_BASE + 31) //ļʱָΪ //When operating the configuraion file, the pointer is null
#define EC_HD_RDBCONFIG_XML_INSERT_DUP_TABLE_ALIAS  (EC_HD_RDBCONFIG_BASE + 32) //ظ //The table alias is duplicated
#define EC_HD_RDBCONFIG_XML_RULE_100_TAG           (EC_HD_RDBCONFIG_BASE + 33) //Tag㲻ܳ100 //The count of tags in one rule can not be more than 100
#define EC_HD_RDBCONFIG_UNCERTAIN_EXCEPTION  (EC_HD_RDBCONFIG_BASE + 34) //δʶ쳣 //Unknown exception
#define EC_HD_RDBCONFIG_UNKNOWN_RDB           (EC_HD_RDBCONFIG_BASE + 35) //ֵ֧Ĺϵݿ //Unsupported relational database

#define EC_HD_RDBCONFIG_BUF_MODIFY_RDB	(EC_HD_RDBCONFIG_BASE + 36) //޸RDBʧ //Modify rdb into buffer failed
#define EC_HD_RDBCONFIG_BUF_GET_ALL_TABLE	(EC_HD_RDBCONFIG_BASE + 37) //лȡеıʧ //Get all table from buffer failed
#define EC_HD_RDBCONFIG_BUF_INSERT_TABLE		(EC_HD_RDBCONFIG_BASE + 38) //вʧ //Insert table to buffer failed
#define EC_HD_RDBCONFIG_BUF_MODIFY_TABLE		(EC_HD_RDBCONFIG_BASE + 39) //޸ıʧ //Modify table into buffer failed
#define EC_HD_RDBCONFIG_BUF_GET_ALL_RULE		(EC_HD_RDBCONFIG_BASE + 40) //лȡйʧ //Get all rules from buffer failed
#define EC_HD_RDBCONFIG_BUF_INSERT_RULE			(EC_HD_RDBCONFIG_BASE + 41) //вʧ//Insert rule tobuffer failed
#define EC_HD_RDBCONFIG_BUF_QUERY_RULE			(EC_HD_RDBCONFIG_BASE + 42) //вѯʧ //Query rule from buffer failed
#define EC_HD_RDBCONFIG_BUF_DEL_RULE			(EC_HD_RDBCONFIG_BASE + 43) //ɾʧ //Delete rule from buffer failed
#define EC_HD_RDBCONFIG_BUF_MODIFY_RULE		(EC_HD_RDBCONFIG_BASE + 44) //޸Ĺʧ //Modify rule into buffer failed
#define EC_HD_RDBCONFIG_BUF_INSERT_TAG		(EC_HD_RDBCONFIG_BASE + 45) //вʧ //Insert tag to buffer failed
#define EC_HD_RDB_CONFIG_BUF_GET_ALL_TAG  (EC_HD_RDBCONFIG_BASE + 46) //лȡеʧ //Get all tag from buffer failed
#define EC_HD_RDB_CONFIG_BUF_DELETE_TAG  (EC_HD_RDBCONFIG_BASE + 47) //ɾʧ //Delete tag from buffer failed
#define EC_HD_RDB_CONFIG_BUF_MODIFY_TAG  (EC_HD_RDBCONFIG_BASE + 48) //޸ĵʧ //Modify tag from buffer failed
#define EC_HD_RDB_CONFIG_BUF_NULL  (EC_HD_RDBCONFIG_BASE + 49) //вʱǿָ //Null pointer when operating buffer 

/* OPC Config */
#define EC_HD_OPCCFG_BASE					    (EC_RD_BASENO + 3550)
#define EC_HD_OPCCFG_FILE_NO_EXIST              (EC_HD_OPCCFG_BASE + 1)//OPCļ //The OPC configuration file does not exist
#define EC_HD_OPCCFG_FILE_NO_READ               (EC_HD_OPCCFG_BASE + 2)//OPCļɶ //The OPC configuration file can not be read
#define EC_HD_OPCCFG_FILE_NO_WRITE              (EC_HD_OPCCFG_BASE + 3)//OPCļд //The OPC configuration file can not be written
#define EC_HD_OPCCFG_FILE_OPEN                  (EC_HD_OPCCFG_BASE + 4)//OPCļʧ //Open OPC configuration file failed
#define EC_HD_OPCCFG_SET_INTERFACE_CFG          (EC_HD_OPCCFG_BASE + 5)//OPCɼӿڲϷ //Invalid parameter for the OPC collection interface
#define EC_HD_OPCCFG_SET_DBSERVER_CFG           (EC_HD_OPCCFG_BASE + 6)//OPCɼHDϷ //Invalid parameter of iHyperDB for the OPC collection
#define EC_HD_OPCCFG_SET_OPCSRV_CFG             (EC_HD_OPCCFG_BASE + 7)//OPCɼOPC ServerϷ //Invalid parameter of OPC Server for the OPC collection
#define EC_HD_OPCCFG_LOAD_FILE                  (EC_HD_OPCCFG_BASE + 8)//OPCļʧ //Load OPC configuration file failed
#define EC_HD_OPCCFG_READ_XML                   (EC_HD_OPCCFG_BASE + 9)//ȡOPCļ //Read OPC configuration file failed


/************************************************************************/
/*                  RDB   (114800 ~ 115000)                             */
/************************************************************************/


/*****RDB IMPORTER*******/
#define EC_HD_IMPORTER_BASE						(EC_RD_BASENO + 4800)
#define EC_HD_IMPORTER_RDB_CONNECT				(EC_HD_IMPORTER_BASE + 1)//RDBʧ //Connect to the relational database failed
#define EC_HD_IMPORTER_RDB_DISCONNECT			(EC_HD_IMPORTER_BASE + 2)//RDBϿʧ //Disconnect to the relational database failed
#define EC_HD_IMPORTER_QUERY_REC				(EC_HD_IMPORTER_BASE + 3)//ѯ¼ʧ //Query records failed
#define EC_HD_IMPORTER_TAG_TYPE					(EC_HD_IMPORTER_BASE + 4)//Tagʹ //Wrong tag type
#define EC_HD_IMPORTER_INVALID_HD				(EC_HD_IMPORTER_BASE + 5)//iHyperDBЧ򲻴 //Invalid or not existed iHyperDB
#define EC_HD_IMPORTER_TAG_SNAPTIME				(EC_HD_IMPORTER_BASE + 7)//ȡTagʱʧ //Query tag snapshot timestamp failed
#define EC_HD_IMPORTER_ERROR_TIME				(EC_HD_IMPORTER_BASE + 8)//ַʱ //Wrong time in the format of string
#define EC_HD_IMPORTER_INVALID_TAG				(EC_HD_IMPORTER_BASE + 9)//Tag Ч //Invalid tag
#define EC_HD_IMPORTER_ADD_RULE_ARG				(EC_HD_IMPORTER_BASE + 10)//Rule //When adding rule, the parameter is wrong
#define EC_HD_IMPORTER_SQLAPI_EXCEPTION			(EC_HD_IMPORTER_BASE + 11)//SQLAPI쳣 //SQLAPI exception
#define EC_HD_IMPORTER_RDB_READ_ALLOC			(EC_HD_IMPORTER_BASE + 12)//ڴ:ȡRDB //Memory allocation error when reading relational database
#define EC_HD_IMPORTER_TABLE_READ_ALLOC			(EC_HD_IMPORTER_BASE + 13)//ڴ:ȡRDB Table //Memory allocation error when reading tables in relational database
#define EC_HD_IMPORTER_TAG_READ_ALLOC			(EC_HD_IMPORTER_BASE + 14)//ڴ:ȡTag //Memory allocation error when reading tags
#define EC_HD_IMPORTER_RULE_READ_ALLOC			(EC_HD_IMPORTER_BASE + 15)//ڴ:ȡRule //Memory allocation error when reading rules
#define EC_HD_IMPORTER_CFG_ALLOC				(EC_HD_IMPORTER_BASE + 16)//ڴ:ȡConfig File //Memory allocation error when reading configuration file
#define EC_HD_IMPORTER_HD_READ_ALLOC			(EC_HD_IMPORTER_BASE + 17)//ڴ:ȡiHyperDB //Memory allocation error when reading iHyperDB
#define EC_HD_IMPORTER_QUALITY_WITHOUT_VALUE  (EC_HD_IMPORTER_BASE + 18)//ɼδɼֵ //Data quality was collected while value was not
#define EC_HD_IMPORTER_EMPTY_TIME                 (EC_HD_IMPORTER_BASE + 19)//ϵݿʱֶοֵ //The value of time column is empty in relationsl database
#define EC_HD_IMPORTER_RDB_TYPE                     (EC_HD_IMPORTER_BASE + 20)//ϷĹϵݿ //Invalid type of relational database
#define EC_HD_IMPORTER_VALUE_CONVERT         (EC_HD_IMPORTER_BASE + 21)//ֵת쳣 //Data value conversion exception

/* RDBExporter  110000 + 13650 = 123650 ~ */
#define EC_HD_EXPORTER_BASE									(EC_RD_BASENO + 4850)
#define EC_HD_EXPORTER_RECORD_LENGTH_NOT_MATCH              (EC_HD_EXPORTER_BASE + 1)//¼Ȳƥ //The length of record is not matched
#define EC_HD_EXPORTER_NULL_TABLE_POINTER                   (EC_HD_EXPORTER_BASE + 2)//ָΪ //The table pointer is null
#define EC_HD_EXPORTER_NULL_RDB_POINTER						(EC_HD_EXPORTER_BASE + 3)//ϵݿָΪ //The pointer of relational database is null
#define EC_HD_EXPORTER_SACOMMAND_SETCOMMANDTEXT				(EC_HD_EXPORTER_BASE + 4)//SQLAPI //Set command failed in SQLAPI
#define EC_HD_EXPORTER_SACOMMAND_SET_PARAM					(EC_HD_EXPORTER_BASE + 5)//SQLAPI //Set command parameter failed in SQLAPI
#define EC_HD_EXPORTER_SACOMMAND_COMMIT                     (EC_HD_EXPORTER_BASE + 6)//SQLAPIύ //Commit failed in SQLAPI
#define EC_HD_EXPORTER_SACONNECTION_ROLLBACK				(EC_HD_EXPORTER_BASE + 7)//SQLAPIӻع //Rollback failed in SQLAPI
#define EC_HD_EXPORTER_SACONNECTION_IS_NULL					(EC_HD_EXPORTER_BASE + 8)//SQLAPIΪ //The connection is null in SQLAPI
#define EC_HD_EXPORTER_RULE_IS_NULL							(EC_HD_EXPORTER_BASE + 9)//ָΪ //The rule pointer is null
#define EC_HD_EXPORTER_SQLAPI_ERROR                         (EC_HD_EXPORTER_BASE + 10)//SQLAPIһ쳣 //Normal exception of SQLAPI
#define EC_HD_EXPORTER_TIME_FORMAT_INVALID                  (EC_HD_EXPORTER_BASE + 11)//ʱʽ //Invalid time format
#define EC_HD_EXPORTER_TIME_LENGTH_INVALID                  (EC_HD_EXPORTER_BASE + 12)//ʱ䳤ȴ //Invalid length of time
#define EC_HD_EXPORTER_GENERAL_PARAMETER_ERROR              (EC_HD_EXPORTER_BASE + 13)// //Invalid parameter
#define EC_HD_EXPORTER_HD_NOT_CONNECTED                     (EC_HD_EXPORTER_BASE + 14)//û //Not connected to iHyperDB
#define EC_HD_EXPORTER_UNKNOWN_EXCEPTION					(EC_HD_EXPORTER_BASE + 15)//δʶ쳣 //Unknown exception
#define EC_HD_EXPORTER_SCRIPT_NAME_NULL                         (EC_HD_EXPORTER_BASE + 16)//űΪ //The script name is null
#define EC_HD_EXPORTER_FILE_NOT_FOUND                               (EC_HD_EXPORTER_BASE + 17)//űļδҵ //The script file can not be found
#define EC_HD_EXPORTER_FILE_INVALID                                       (EC_HD_EXPORTER_BASE + 18)//űļǷ //Invalid script file name
#define EC_HD_EXPORTER_MEMORY_LIMITED                             (EC_HD_EXPORTER_BASE + 19)//޷ռ //No memory to allocate
#define EC_HD_EXPORTER_EMPTY_POINTER                                (EC_HD_EXPORTER_BASE + 20)//ʹָΪ //Null pointer
#define EC_HD_EXPORTER_PYTHON_EXCEPTION                        (EC_HD_EXPORTER_BASE + 21)//ִPython쳣 //Execute python function with exception
#define EC_HD_EXPORTER_INIT_PYTHON                                     (EC_HD_EXPORTER_BASE + 22)//Python쳣 //Start python with exception
#define EC_HD_EXPORTER_IMPORT_PYTHON                              (EC_HD_EXPORTER_BASE + 23)//Pythonļ쳣 //Import python file with exception
#define EC_HD_EXPORTER_DELETE_MODULE                               (EC_HD_EXPORTER_BASE + 24)//ɾű򲻴 //The script rule to be deleted does not exist
#define EC_HD_EXPORTER_NULL_HDINFO                                    (EC_HD_EXPORTER_BASE + 25)//صעhdInfoΪ //IHyperDB Infomation is null in registering rules callback
#define EC_HD_EXPORTER_NULL_RDBINFO                                   (EC_HD_EXPORTER_BASE + 26)//صעrdbInfoΪ //Relational database Infomation is null in registering rules callback
#define EC_HD_EXPORTER_NULL_SCRIPTINFO                              (EC_HD_EXPORTER_BASE + 27)//صעscriptInfoΪ //Script Infomation is null in registering rules callback
#define EC_HD_EXPORTER_NULL_TAG                                            (EC_HD_EXPORTER_BASE + 28)//صӿTagű //No tag was added into script in callback
#define EC_HD_EXPORTER_NULL_EXECSQL_RDBINFO                 (EC_HD_EXPORTER_BASE + 29)//صִSQLյrdbInfo //When executing SQL in callback, null relational database infomation was passed in
#define EC_HD_EXPORTER_REG_HD                                                (EC_HD_EXPORTER_BASE + 30)//űעʵʱݿϢʧ //Register iHyperDB information failed in script
#define EC_HD_EXPORTER_REG_RDB                                              (EC_HD_EXPORTER_BASE + 31)//űעϵݿϢʧ //Register relational database information failed in script
#define EC_HD_EXPORTER_EXTRACT_BOOST_PYTHON              (EC_HD_EXPORTER_BASE + 32)//תBoostPythonʧ //Transform the type of boost python failed
#define EC_HD_EXPORTER_INCONSISTENT_INFO                         (EC_HD_EXPORTER_BASE + 33)//űṩ²һϢ //The informations in script are inconsistent
#define EC_HD_EXPORTER_NOT_REG                                              (EC_HD_EXPORTER_BASE + 34)//űδע᲻ //The script is not registered, so it can not be executed
#define EC_HD_EXPORTER_WRONG_SCRIPT_TYPE                       (EC_HD_EXPORTER_BASE + 35)//űתʽǷ //Invalid dump mode in script
#define EC_HD_EXPORTER_REDUPLICATE_TAG                             (EC_HD_EXPORTER_BASE + 36)//űظTag //Duplicated tags were added into script
#define EC_HD_EXPORTER_SCRIPT_HD_IP                                      (EC_HD_EXPORTER_BASE + 37)//űעʵʱݿIP //Script registered iHyperDB IP failed
#define EC_HD_EXPORTER_SCRIPT_HD_PORT                               (EC_HD_EXPORTER_BASE + 38)//űעʵʱݿ˿ںŴ //Script registered iHyperDB port failed
#define EC_HD_EXPORTER_SCRIPT_RDB_DIRECTION                    (EC_HD_EXPORTER_BASE + 39)//űעתǷ //Script registered invalid dump direction
#define EC_HD_EXPORTER_SCRIPT_RDB_DSN                                (EC_HD_EXPORTER_BASE + 40)//űעϵݿDSNǷ //Script registered invalid DSN of relational database
#define EC_HD_EXPORTER_SCRIPT_RDB_TYPE                              (EC_HD_EXPORTER_BASE + 41)//űעϵݿʹ //Script registered wrong type of relational database
#define EC_HD_EXPORTER_SCRIPT_RDB_OPTION                         (EC_HD_EXPORTER_BASE + 42)//űעϵݿѡǷ //Script registered invalid connection options of relational database
#define EC_HD_EXPORTER_SCRIPT_RDB_USER                              (EC_HD_EXPORTER_BASE + 43)//űעϵݿû //Script registered wrong username of relational database
#define EC_HD_EXPORTER_SCRIPT_RDB_PASSWORD                   (EC_HD_EXPORTER_BASE + 44)//űעϵݿ //Script registered wrong password of relational database
#define EC_HD_EXPORTER_SCRIPT_REC_START                            (EC_HD_EXPORTER_BASE + 45)//űע¼ʼʱ //Script registered wrong start time of records
#define EC_HD_EXPORTER_SCRIPT_REC_INTERVAL                      (EC_HD_EXPORTER_BASE + 46)//űע¼ʱ //Script registered wrong interval time of records
#define EC_HD_EXPORTER_SCRIPT_EXEC_START                          (EC_HD_EXPORTER_BASE + 47)//űעתʼʱ //Script registered wrong start time of dump
#define EC_HD_EXPORTER_SCRIPT_EXEC_CIRCLE                          (EC_HD_EXPORTER_BASE + 48)//űעתʱ //Script registered wrong interval time of dump
#define EC_HD_EXPORTER_SCRIPT_TRANSFER_TYPE                   (EC_HD_EXPORTER_BASE + 49)//űעתʹ //Script registered wrong type of dump
#define EC_HD_EXPORTER_SCRIPT_GET_MAX_TIME                    (EC_HD_EXPORTER_BASE + 50)//ȡһתʱʧ //Get the maximum timestamp of last time failed
#define EC_HD_EXPORTER_SCRIPT_CONNECT_RDB                     (EC_HD_EXPORTER_BASE + 51)//űӹϵݿʧ //Script connected to the relational database failed
#define EC_HD_EXPORTER_SCRIPT_INVALID_TAG                        (EC_HD_EXPORTER_BASE + 52)//ʵʱݿвڸTag //The tag does not exist in iHyperDB
#define EC_HD_EXPORTER_SCRIPT_HD_DISCONNECT                 (EC_HD_EXPORTER_BASE + 53)//δʵʱݿ //Not connected to iHyperDB
#define EC_HD_EXPORTER_SCRIPT_GET_HD_DATA                      (EC_HD_EXPORTER_BASE + 54)//ȡTagʧ //Get tags values from iHyperDB failed
#define EC_HD_EXPORTER_SCRIPT_TAG_NUM                             (EC_HD_EXPORTER_BASE + 55)//űδעTag //Tags was not registered in script
#define EC_HD_EXOPRTER_SCRIPT_TAG_CLASS                           (EC_HD_EXPORTER_BASE + 56)//űӵTagͽű;һ //The classification of tag added into script was inconsistent with the use of script
#define EC_HD_EXPORTER_SCRIPT_ON_TIMER                             (EC_HD_EXPORTER_BASE + 57)//űʱݺؽű //The timing function in script returned error code defined in script
#define EC_HD_EXPORTER_SCRIPT_TAG_MODE                            (EC_HD_EXPORTER_BASE + 58)//űTagֵģʽǷ //The interpolation mode of tag added into script was invalid
#define EC_HD_EXPORTER_SCRIPT_RETURN                                  (EC_HD_EXPORTER_BASE + 59) //űҪͣǰִ //Crucial error was returned by script function, so the currently executing task was paused 
#define EC_HD_EXPORTER_RULE_TAG_MISMATCH                     (EC_HD_EXPORTER_BASE + 60) //Tag͹;ƥ //The tag and the use of rule are inconsistent

/************************************************************************/
/*                 security   (115000 ~ 115500)                             */
/************************************************************************/


#define EC_HD_TRUSTMGR_BASE                          (EC_RD_BASENO + 5000)
#define EC_HD_TRUSTMGR_SERVER_NOT_FOUND			     (EC_HD_TRUSTMGR_BASE + 1)//ûҵ //The server was not found


#define EC_HD_USER_GROUP_BASE						(EC_RD_BASENO + 5050)
#define EC_HD_USER_GROUP_BLANK_ARGUMENT		        (EC_HD_USER_GROUP_BASE + 1)//Ϊ //Blank parameter
#define EC_HD_USER_GROUP_PASSWORD_INPUT				(EC_HD_USER_GROUP_BASE + 2)// //Wrong password
#define EC_HD_USER_GROUP_USER_NAME_INPUT			(EC_HD_USER_GROUP_BASE + 3)//û //Wrong username
#define EC_HD_USER_GROUP_USER_DESC_INPUT			(EC_HD_USER_GROUP_BASE + 4)//û //Wrong user description
#define EC_HD_USER_GROUP_GROUP_NAME_INPUT			(EC_HD_USER_GROUP_BASE + 5)// //Wrong group name
#define EC_HD_USER_GROUP_GROUP_DESC_INPUT			(EC_HD_USER_GROUP_BASE + 6)// //Wrong group description
#define EC_HD_USER_GROUP_SERVER_INFO_INPUT		    (EC_HD_USER_GROUP_BASE + 7)// //Wrong server information
#define EC_HD_USER_GROUP_GET_ALL_GROUPS				(EC_HD_USER_GROUP_BASE + 8)//ȡ //Get all groups failed
#define EC_HD_USER_GROUP_GET_ALL_USERS				(EC_HD_USER_GROUP_BASE + 9)//ȡû //Get all users failed
#define EC_HD_USER_GROUP_ADD_USER_TO_GROUP			(EC_HD_USER_GROUP_BASE + 10)//û //Add an user into a group failed
#define EC_HD_USER_GROUP_DELETE_USER_FROM_GROUP		(EC_HD_USER_GROUP_BASE + 11)//ɾû //Delete users from a group failed

#define EC_HD_USER_GROUP_AUTHORITY_NAME_INPUT			(EC_HD_USER_GROUP_BASE + 12)//Ȩ //Wrong authority name
#define EC_HD_USER_GROUP_AUTHORITY_DESC_INPUT			(EC_HD_USER_GROUP_BASE + 13)//Ȩ //Wrong authority description
#define EC_HD_USER_GROUP_GET_ALL_AUTHORITIES			(EC_HD_USER_GROUP_BASE + 14)//ȡȨ //Get all authorites failed
#define EC_HD_USER_GROUP_DELETE_AUTH_FROM_GROUP		(EC_HD_USER_GROUP_BASE + 15)//ɾȨ //Delete authority from a group failed
#define EC_HD_USER_GROUP_ADD_AUTHORITY_TO_GROUP			(EC_HD_USER_GROUP_BASE + 16)//Ȩ //Add an authority into a group failed


#define EC_HD_SCSERVER_BASE						    (EC_RD_BASENO + 5100)
#define EC_HD_SCSERVER_INVALID_INPUT			    (EC_HD_SCSERVER_BASE + 1)// //Invalid parameter
#define EC_HD_SCSERVER_GET_IHYPERDB_USR			    (EC_HD_SCSERVER_BASE + 2)//ȡiHyperDBUsrϢʧ //Get user information of iHyperDB failed
#define EC_HD_SCSERVER_GET_IHYPERDB_TAG			    (EC_HD_SCSERVER_BASE + 3)//ȡiHyperDBTagϢʧ //Get tag information of iHyperDB failed
#define EC_HD_SCSERVER_USR_PWD_CHECK			    (EC_HD_SCSERVER_BASE + 4)//û󣬻Ȩ //Wrong username, password, or no authority
#define EC_HD_SCSERVER_INSERT_TRUST				    (EC_HD_SCSERVER_BASE + 5)//ʧܣIPַн //Insert a trust failed, maybe the IP is intersected
#define EC_HD_SCSERVER_DELETE_TRUST_NOT_FIND	    (EC_HD_SCSERVER_BASE + 6)//ɾʧܣδҵӦ //Delete a trust failed, because the trust was not found
#define EC_HD_SCSERVER_MODIFY_TAGINDEX_MEM_NULL     (EC_HD_SCSERVER_BASE + 7)//޸tagڴΪ //When modifying the tag index, the memory is null
#define EC_HD_SCSERVER_CREATE_TRUST_NAME_DUP	    (EC_HD_SCSERVER_BASE + 8)//Σظ //When creating a trust, the trust name is duplicated
#define EC_HD_SCSERVER_CREATE_TRUST_FIND_USR	    (EC_HD_SCSERVER_BASE + 9)//ΣûҵӦû //When creating a trust, the user is not found
#define EC_HD_SCSERVER_DELETE_TRUST_NAME_NOEXSIST	(EC_HD_SCSERVER_BASE + 10)//ɾΣ //When deleting a trust, the trust name does not exist
#define EC_HD_SCSERVER_GET_USR_BY_IP			    (EC_HD_SCSERVER_BASE + 11)//ͨIPȡӦûIDʧ //Get user ID by IP failed
#define EC_HD_SCSERVER_CANNOT_FIND_USR			    (EC_HD_SCSERVER_BASE + 12)//Ҳû //Can not find the user
#define EC_HD_SCSERVER_CANNOT_FIND_GROUP		    (EC_HD_SCSERVER_BASE + 13)//Ҳ //Can not find the group
#define EC_HD_SCSERVER_ADMIN_ADD_GROUP			    (EC_HD_SCSERVER_BASE + 14)//adminûӵ //The user of admin can not be added into other group
#define EC_HD_SCSERVER_USR_DUP					    (EC_HD_SCSERVER_BASE + 15)//ûѾڻظ //The user name already exists or is duplicated
#define EC_HD_SCSERVER_ADMIN_DELETE				    (EC_HD_SCSERVER_BASE + 16)//adminûɾ //The user of admin can not be deleted
#define EC_HD_SCSERVER_GROUP_DUP				    (EC_HD_SCSERVER_BASE + 17)//Ѿڻظ //The group name already exists or is duplicated
#define EC_HD_SCSERVER_ADMIN_ERASE_FROM_GROUP	    (EC_HD_SCSERVER_BASE + 18)//adminûɴadminƳ //The user of admin can not be removed from the group of admin
#define EC_HD_SCSERVER_ADD_USR_GROUP_OVERMAX	    (EC_HD_SCSERVER_BASE + 19)//û飬гԱĿ //When adding a user into a group, the count of users in the group exceeds the upper limit
#define EC_HD_SCSERVER_ARRAY_INDEX_GET_VALUE	    (EC_HD_SCSERVER_BASE + 20)//ȡֵʧ //Get the value of data array index failed
#define EC_HD_SCSERVER_USR_GROUP_DUP			    (EC_HD_SCSERVER_BASE + 21)//ûѾڸ //The user already belongs to the group
#define EC_HD_SCSERVER_ADMIN_GROUP_DELETE		    (EC_HD_SCSERVER_BASE + 22)//admin鲻ɾ //The group of admin can not be deleted
#define EC_HD_SCSERVER_SC_OVER_LIMITS			    (EC_HD_SCSERVER_BASE + 23)//ȨӦӵڵڲ飬ڵ //When setting authority, the owned group must be bigger than or euqal to the operation group, and the operation group must be bigger than or equal to other group
#define EC_HD_SCSERVER_STARTIP_OVER_ENDIP		    (EC_HD_SCSERVER_BASE + 24)//ʼIPֹIP //The start IP is bigger than the end IP
#define EC_HD_SCSERVER_NO_SECURITY				    (EC_HD_SCSERVER_BASE + 25)//Ȩ޲ //No enough authority
#define EC_HD_SCSERVER_DELETE_LOCALTRUST			(EC_HD_SCSERVER_BASE + 26)//ɾIP //The trust of local IP can not be deleted
#define EC_HD_FIND_SOCKET_SC_INFO					(EC_HD_SCSERVER_BASE + 27)//ҵͻӶӦûϢ //The user information related to the client socket can not be found
#define EC_HD_SCSERVER_GET_IHYPERDB_DISPATCH		(EC_HD_SCSERVER_BASE + 28)//ȡiHyperDBDispatchϢʧ //Get iHyperDB dispatch information failed

#define EC_HD_SCSERVER_AUTH_ITEM_DUP				 (EC_HD_SCSERVER_BASE + 29)//ȨѾ //The auth item name already exists
#define EC_HD_SCSERVER_GROUP_AUTH_ITEM_DUP			 (EC_HD_SCSERVER_BASE + 30)//ȨѾڸ //The auth item already belongs to the group
#define EC_HD_SCSERVER_CANNOT_FIND_AUTH_ITEM         (EC_HD_SCSERVER_BASE + 31)//ҲȨ //Can not find the auth item name
#define EC_HD_SCSERVER_USR_IN_TEN_GROUPS			    (EC_HD_SCSERVER_BASE + 32)//ûѾ10 //The user already belongs to 10 groups

/************************************************************************/
/*                 alarm   (115500 ~ 115800)                             */
/************************************************************************/

#define EC_HD_ALARMGROUPMGR_BASENO				(EC_RD_BASENO + 5500)
#define EC_HD_ALARMGROUPMGR_GROUPNAME_LEN		(EC_HD_ALARMGROUPMGR_BASENO + 1) //ȳ //The length of alarm group name exceeds the limit
#define EC_HD_ALARMGROUPMGR_GROUPDESC_LEN		(EC_HD_ALARMGROUPMGR_BASENO + 2) //ȳ //The length of alarm group description exceeds the limit
#define EC_HD_ALARMGROUPMGR_NO_SRV_CONN			(EC_HD_ALARMGROUPMGR_BASENO + 3) //ûӵķ //No connected server

#define EC_HD_AMSVC_BASENO							(EC_RD_BASENO + 5550)
#define EC_HD_AMSVC_GROUP_EXIST						(EC_HD_AMSVC_BASENO + 1)	//Ѿ //The alarm group already exists
#define EC_HD_AMSVC_GROUP_NON_EXIST					(EC_HD_AMSVC_BASENO + 2)	//鲻 //The alarm group does not exist
#define EC_HD_AMSVC_DEL_ORPHAN_GROUP				(EC_HD_AMSVC_BASENO + 3)	//ɾ¶ //Delete the orphan group
#define EC_HD_AMSVC_MODIFY_ORPHAN_GROUP				(EC_HD_AMSVC_BASENO + 4)	//޸Ĺ¶ //Modify the orphan group
#define EC_HD_AMSVC_DEL_GROUP_HAS_SUB_GROUP			(EC_HD_AMSVC_BASENO + 5)	//ɾ //The group to be deleted has child groups
#define EC_HD_AMSVC_DEL_GROUP_HAS_SUB_POINT			(EC_HD_AMSVC_BASENO + 6)	//ɾе //The group to be deleted has tags
#define EC_HD_AMSVC_MODIFY_GROUP_DECODE				(EC_HD_AMSVC_BASENO + 7)	//޸ //The command parameters of modifying group were parsed wrongly
#define EC_HD_AMSVC_MODIFY_GROUP_FATHER_NONEXIST	(EC_HD_AMSVC_BASENO + 8)	//޸ĸ鲻 //The group to be modified has no parent
#define EC_HD_AMSVC_MODIFY_GROUP_HASEXIST			(EC_HD_AMSVC_BASENO + 9)	//޸ĸѾһ //The parent of the group to be modified already has such a group 
#define EC_HD_AMSVC_POINT_NONEXIST					(EC_HD_AMSVC_BASENO + 10)	//㲻 //The tag does not exist
#define EC_HD_AMSVC_POINT_HASEXIST					(EC_HD_AMSVC_BASENO + 11)	//Ѿ //The tag already exists
#define EC_HD_AMSVC_DECODE_POINT_PROP				(EC_HD_AMSVC_BASENO + 12)	//Խʧ //The properties of alarm tag were parsed failed
#define EC_HD_AMSVC_INVALID_ACTION_TYPE				(EC_HD_AMSVC_BASENO + 13)	//ЧAction //Invalid action type
#define EC_HD_AMSVC_INVALID_ACTION_ACK_STATE			(EC_HD_AMSVC_BASENO + 14)	//ЧActionȷ״̬ //Invalid action acknowledgement state

#define EC_HD_AMSVC_INVALID_ACTION					(EC_HD_AMSVC_BASENO + 15)	//ЧAction //Invalid action
#define EC_HD_AMSVC_INVALID_ACTION_PRI				(EC_HD_AMSVC_BASENO + 16)	//ЧActionȼ //Invalid action priority
#define EC_HD_AMSVC_INVALID_TEST_TYPE					(EC_HD_AMSVC_BASENO + 17)	//ЧTest //Invalid test type
#define EC_HD_AMSVC_INVALID_TEST						(EC_HD_AMSVC_BASENO + 18)	//ЧTEST //Invalid test
#define EC_HD_AMSVC_INVALID_AUTO_ACK					(EC_HD_AMSVC_BASENO + 19)	//ЧAUTO_ACK //Invalid auto acknowledgement
#define EC_HD_AMSVC_SN_HAS_NO_REC					(EC_HD_AMSVC_BASENO + 20)	//snapshotûб¼ //The snapshot has no alarm record
#define EC_HD_AMSVC_SOURCE_TAG_NONEXIST				(EC_HD_AMSVC_BASENO + 21)	//Դ //The source tag of alarm tag does not exist
#define EC_HD_AMSVC_MAP_FILE_NO_SPACE					(EC_HD_AMSVC_BASENO + 22)	//ڴӳļûʣռ //The memory mapped file has no remained space
#define EC_HD_AMSVC_FILE_NAME_LEN						(EC_HD_AMSVC_BASENO + 23)	//ļȳ //The length of file exceeds
#define EC_HD_AMSVC_QUERY_GROUP_NONEXIST			(EC_HD_AMSVC_BASENO + 24)	//ѯ鲻 //The queried group does not exist
#define EC_HD_AMSVC_QUERY_POINT_NONEXIST				(EC_HD_AMSVC_BASENO + 25)	//ѯĵ㲻 //The queried tag does not exist
#define EC_HD_AMSVC_QUERY_SOURCE_POINT_NONEXIST	(EC_HD_AMSVC_BASENO + 26)	//Դ㲻 //The source tag of alarm tag does not exist
#define EC_HD_AMSVC_CANNOT_ADD_SUBGROUP_IN_ORPAHN		(EC_HD_AMSVC_BASENO + 27)	//ӱĬϱ //The sub alarm group can not be added in the default orphan alarm group
#define EC_HD_AMSVC_CANNOT_MOVE_SUBGROUP_TO_ORPAHN		(EC_HD_AMSVC_BASENO + 28)	//ܽƶĬϱ //The sub alarm group can not be moved to the default orphan alarm group
#define EC_HD_AMSVC_ALARM_TEST_NONEXIST                          (EC_HD_AMSVC_BASENO + 29)   // //The alarm test does not exist
#define EC_HD_AMSVC_USER_NONEXIST						(EC_HD_AMSVC_BASENO + 30)   //û //The user name does not exist
#define EC_HD_AMSVC_INVALID_CHANGE_TYPE				(EC_HD_AMSVC_BASENO + 31)   //Ϸı //Invalid changing type
#define EC_HD_AMSVC_ALARM_ACK_INFO_NONEXIST			(EC_HD_AMSVC_BASENO + 32)//ȷϢ //The alarm acknowledgment message does not exist
#define EC_HD_AMSVC_ALARM_COMMENT_INFO_NONEXIST    (EC_HD_AMSVC_BASENO + 33)//עϢ //The alarm annotation information does  not exist
#define EC_HD_AMSVC_SPC_ALARM_JUDGE_FAILED			(EC_HD_AMSVC_BASENO + 34)//SPCʧ //The SPC alarm judged abnormals failed
#define EC_HD_AMSVC_SPC_TAG_NOT_EXIST				(EC_HD_AMSVC_BASENO + 35)//SPC㲻 //The SPC alarm tag does not exist
#define EC_HD_AMSVC_ALARM_TAG_NOT_EXIST				(EC_HD_AMSVC_BASENO + 36)//㲻 //The alarm tag does not exist
#define EC_HD_AMSVC_ALARM_TEST_NOT_EXIST			(EC_HD_AMSVC_BASENO + 37)// //The alarm test does not exist
#define EC_HD_AMSVC_SPC_RULE_NOT_EXIST				(EC_HD_AMSVC_BASENO + 38)//SPC򲻴 //The judge rules of the SPC alarm tag do not exist




/************************************************************************/
/*                       Redundancy  (115800 ~ 116000)                         */
/************************************************************************/
#define EC_HD_RY_BASENO									(EC_RD_BASENO + 5800)
#define EC_HD_RY_LOCAL_CFG_IP						(EC_HD_RY_BASENO + 1)//õIPϷ //Invalid IP of local configuration
#define EC_HD_RY_LOCAL_CFG_PORT				(EC_HD_RY_BASENO + 2)//õĶ˿ڲϷ //Invalid port of local configuration
#define EC_HD_RY_REMOTE_CFG_IP					(EC_HD_RY_BASENO + 3)//ԶõIPϷ //Invalid IP of remote configuration
#define EC_HD_RY_REMOTE_CFG_PORT			(EC_HD_RY_BASENO + 4)//ԶõĶ˿ڲϷ //Invalid port of remote configuration
#define EC_HD_RY_NOT_SUPPORT				(EC_HD_RY_BASENO + 5)//֧ //The server does not support redundancy
#define EC_HD_RY_INVALID_PARAM				(EC_HD_RY_BASENO + 6)//ϷĲ //Invalid parameter
#define EC_HD_RY_TAG_NAME_DIFF				(EC_HD_RY_BASENO + 7)//TagͬʱIDֲͬһ //When synchronizing tags, the IDs are the same but the names are not
#define EC_HD_RY_SRV_NOT_HOST				(EC_HD_RY_BASENO + 8)// //The server is not the host
#define EC_HD_RY_SRV_IS_SYNCHRONIZING		(EC_HD_RY_BASENO + 9)//ͬ //The server is now synchronizing


/************************************************************************/
/*                   timer    (116000 ~ 116050)                         */
/************************************************************************/
#define EC_HD_TIMER_BASE				(EC_RD_BASENO + 6000)
#define EC_HD_TIMER_POINTER_NULL		(EC_HD_TIMER_BASE + 1)//ָΪ //Null pointer
#define EC_HD_TIMER_CYCLE				(EC_HD_TIMER_BASE + 2)//ʱСڵ0 //The timer period is less than or equals to zero
#define EC_HD_TIMER_MUTEX_INIT			(EC_HD_TIMER_BASE + 3)//Mutexʼʧ //Initialize Mutex failed
#define EC_HD_TIMER_EVENT_INTI			(EC_HD_TIMER_BASE + 4)//Eventʼʧ //Initialize Event failed
#define EC_HD_TIMER_THREAD_CREAT		(EC_HD_TIMER_BASE + 5)//ʱ߳ʧ //Start the thread of timer management failed
#define EC_HD_TIMER_INVALID_START_TIME	(EC_HD_TIMER_BASE + 6)//ʱʱС0  //The timer start time is less than zero





/************************************************************************/
/*                   LogC    (116050 ~ 116100)                         */
/************************************************************************/
#define EC_RD_LOG_BASENO					(EC_RD_BASENO + 6050)
#define EC_RD_LOG_INVALID_PARAM				(EC_RD_LOG_BASENO + 1)//־Ч //Invalid parameter of log
#define EC_RD_GET_LOG_CATEGORY				(EC_RD_LOG_BASENO + 2)//־Ч //Invalid category of log


/************************************************************************/
/*                   ProcComm    (116100 ~ 116200)                      */
/************************************************************************/
#define EC_RD_PROCCOMM_BASENO			(EC_RD_BASENO + 6100)
#define EC_RD_PROCCOMM_NO_IDLE			(EC_RD_PROCCOMM_BASENO + 1)//ͨûпп //There is no free block for inter process communication
#define EC_RD_PROCCOMM_SHAREMEM_CREATE	(EC_RD_PROCCOMM_BASENO + 2)//ͨŴڴʧ //Create shared memory failed for inter process communication
#define EC_RD_PROCCOMM_REG_FAIL			(EC_RD_PROCCOMM_BASENO + 3)//ͨעʧ //Register inter process communication failed
#define EC_RD_PROCCOMM_MEM_MALLOC		(EC_RD_PROCCOMM_BASENO + 4)//ͨmallocڴʧ //Malloc memory failed for inter process communication
#define EC_RD_PROCCOMM_NO_SHAREMEM		(EC_RD_PROCCOMM_BASENO + 5)//ͨŲڹڴ //There is no shared memory for inter process communication
#define EC_RD_PROCCOMM_NO_MEMSPACE		(EC_RD_PROCCOMM_BASENO + 6)//ͨûпڴռ //There is no free memory space for inter process communication
#define EC_RD_PROCCOMM_RECV_QUIT		(EC_RD_PROCCOMM_BASENO + 7)//ͨŽ˳ //The inter process communication received quit message
#define EC_RD_PROCCOMM_RECV_TIMEOUT		(EC_RD_PROCCOMM_BASENO + 8)//ͨŽʱ䳬ʱ //The inter process communication received timeout
#define EC_RD_PROCCOMM_INVALID_SHAREMEM_NAME		(EC_RD_PROCCOMM_BASENO + 9)//ͨŲϷĹڴ //Invalid shared memory name for inter process communication
#define EC_RD_PROCCOMM_COMMONBLOCK_WRITE		(EC_RD_PROCCOMM_BASENO + 10)//ͨд빫ʧ //Write common block failed for inter process communication
#define EC_RD_PROCCOMM_COMMONBLOCK_READ		(EC_RD_PROCCOMM_BASENO + 11)//ͨŶȡʧ //Read common block failed for inter process communication
#define EC_RD_PROCCOMM_INVALID_INPUT		(EC_RD_PROCCOMM_BASENO + 12)//ͨ //Invalid input parameter for inter process communication


/************************************************************************/
/*                   proto unpack    (116200 ~ 116300)                   */
/************************************************************************/
#define EC_HD_PROTOCAL_BASENO					    (EC_RD_BASENO + 6200)
#define EC_HD_PROTOCAL_MSG_LEN					    (EC_HD_PROTOCAL_BASENO + 1)//ϢĳȲȷ //Wrong length of message
#define EC_HD_PROTOCAL_MSG_VALUE				    (EC_HD_PROTOCAL_BASENO + 2)//Ϣֵȷ //Wrong value of message
#define EC_HD_PROTOCAL_PROTOBUF_SERILIZATION			(EC_HD_PROTOCAL_BASENO + 3)//Google Protobufлʧ //Google protobuf serialized failed
#define EC_HD_PROTOCAL_PROTOBUF_PARSE				(EC_HD_PROTOCAL_BASENO + 4)//Google Protobuf Parseʧ //Google protobuf parsed failed
#define EC_HD_PROTOCAL_INVALID_POINTER				(EC_HD_PROTOCAL_BASENO + 5) // Ϊָ	// The input parameter is null pointer
#define EC_HD_PROTOCAL_INVALID_STR_LEN				(EC_HD_PROTOCAL_BASENO + 6) // Чַ	//Invalid string leng
/************************************************************************/
/*                   statistic scheduler    (116300 ~ 116400)                   */
/************************************************************************/
#define EC_HD_STATSSCHE_BASENO								(EC_RD_BASENO + 6300)
#define EC_HD_STATSSCHE_TAG_NO_EXIST						(EC_HD_STATSSCHE_BASENO + 1)	//ͳƵ㲻	 //The statistical tag does not exist
#define EC_HD_STATSSCHE_INVALID_STATS_TAG_TYPE				(EC_HD_STATSSCHE_BASENO + 2)	//ЧͳƵ	 //Invalid type of statistical tag
#define EC_HD_STATSSCHE_DECODE_TAG_PROP						(EC_HD_STATSSCHE_BASENO + 3)//ͳƵʧ //Parse properties of statistical tag failed
#define EC_HD_STATSSCHE_SOURCE_TAG_NO_EXIST					(EC_HD_STATSSCHE_BASENO + 4)//ͳƵصĵ㲻 //The source tag of the statistical tag does not exist
#define EC_HD_STATSSCHE_STAGS_TAG_EXIST					(EC_HD_STATSSCHE_BASENO + 5)//ͳƵѾ //The statistical tag already exists
#define EC_HD_STATSSCHE_INVALID_SOURCE_TAG_TYPE			(EC_HD_STATSSCHE_BASENO + 6)//ϷͳƵļص //Invalid source tag type of statistical tag
#define EC_HD_STATSSCHE_BASIC_TAG_NO_EXIST				(EC_HD_STATSSCHE_BASENO + 7)//ͨ㲻 //The basic tag does not exist
#define EC_HD_STATSSCHE_SOURCE_TAG						(EC_HD_STATSSCHE_BASENO + 8)//Դ㲻ͳƵ㱾 //source tag can not be stat tag itself

/*****************************************************************************************/
/*         Resource Management:  ResMgr_API   (116400 ~ 116500)        */
/*****************************************************************************************/
#define EC_HD_RESMGR_BASENO							(EC_RD_BASENO + 6400)
#define EC_HD_RESMGR_INVALID_NODE_ID				(EC_HD_RESMGR_BASENO + 1)   //벻ϷĽڵID //Invalid node ID
#define EC_HD_RESMGR_INVALID_POINTER				(EC_HD_RESMGR_BASENO + 2)   //ΪNULLָ //Null pointer
#define EC_HD_RESMGR_INVALID_NULL_STRING		(EC_HD_RESMGR_BASENO + 3)   //յַ //Null string
#define EC_HD_RESMGR_INVALID_IP						(EC_HD_RESMGR_BASENO + 4)   //벻ϷIP //Invalid IP
#define EC_HD_RESMGR_INVALID_PORT					(EC_HD_RESMGR_BASENO + 5)   //벻ϷĶ˿ں //Invalid port
#define EC_HD_RESMGR_INVALID_TAG_ID				(EC_HD_RESMGR_BASENO + 6)   //벻ϷTag id //Invalid tag ID
#define EC_HD_RESMGR_INVALID_DB_SRV_ID			(EC_HD_RESMGR_BASENO + 7)   //벻Ϸsrv id //Invalid server ID
#define EC_HD_RESMGR_NOT_CONNECT					(EC_HD_RESMGR_BASENO + 8)   //δӷѶϿ //Not connected to the group management server or disconnected
#define EC_HD_RESMGR_CONNECT_FAILED				(EC_HD_RESMGR_BASENO + 9)   //ʧ //Connect failed
#define EC_HD_RESMGR_NODE_NOT_EXIST				(EC_HD_RESMGR_BASENO + 10) //ڵ㲻 //The node does not exist
#define EC_HD_RESMGR_NOT_STRING_NODE			(EC_HD_RESMGR_BASENO + 11) //ַڵ //Not a string node
#define EC_HD_RESMGR_NOT_TAG_NODE				(EC_HD_RESMGR_BASENO + 12) //Tagڵ //Not a tag node
#define EC_HD_RESMGR_NOT_GROUP_NODE			(EC_HD_RESMGR_BASENO + 13) //Ƿڵ //Not a group node
#define EC_HD_RESMGR_DB_SRV_NOT_EXIST			(EC_HD_RESMGR_BASENO + 14) //ihyperdb //The iHyperDB server does not exist
#define EC_HD_RESMGR_FILE_NAME_LEN						(EC_HD_RESMGR_BASENO + 15) //ļȳ //The length of file name exceeds the limit
#define EC_HD_RESMGR_INVALID_PARAMETER               (EC_HD_RESMGR_BASENO + 16) //ϷĲ //Invalid parameter
#define EC_HD_RESMGR_EXIST_DB_SRV                           (EC_HD_RESMGR_BASENO + 17) //ѾiHyperDB //The iHyperDB server already exists
#define EC_HD_RESMGR_INVALID_ARRAY_SIZE               (EC_HD_RESMGR_BASENO + 18) //Ϸ̵鳤 //Invalid or too short size of array
#define EC_HD_RESMGR_RECORD_EXIST                          (EC_HD_RESMGR_BASENO + 19) //ݿѴͬ¼ //The same record already exists in database
#define EC_HD_RESMGR_NODE_SAME_PARENT              (EC_HD_RESMGR_BASENO + 20) //¸ڵɸڵͬ //The new parent node is the same to the old one
#define EC_HD_RESMGR_WRONG_NODE_TYPE              (EC_HD_RESMGR_BASENO + 21) //Ľڵ //Wrong node type
#define EC_HD_RESMGR_QUERY_RET_EMPTY                  (EC_HD_RESMGR_BASENO + 22) //ѯΪ //Queried result is empty
#define EC_HD_RESMGR_MOVE_TO_CHILD                    (EC_HD_RESMGR_BASENO + 23) //ƶڵ㵽ӽڵʧ //Move a node to child node failed
#define EC_HD_RESMGR_DELETE_ROOT                          (EC_HD_RESMGR_BASENO + 24) //ɾڵ //The root node can not be deleted
#define EC_HD_RESMGR_OVER_LEN                                (EC_HD_RESMGR_BASENO + 25) //ַ //The string length is too long
#define EC_HD_RESMGR_PARENT_ROOT                         (EC_HD_RESMGR_BASENO + 26) //ڵӷǷڵ //The non group node can not be added to a vitual root node
#define EC_HD_RESMGR_OVERLENGTH_ARR_SIZE          (EC_HD_RESMGR_BASENO + 27) //С޷Ϊռ //The size of array is too long, so its space can not be allocated
#define EC_HD_RESMGR_MOVE_TAG_TO_ROOT             (EC_HD_RESMGR_BASENO + 28) //ƶTagڵ㵽ڵ //The tag node can not be moved to the root node
#define EC_HD_RESMGR_MOVE_TO_SELF                       (EC_HD_RESMGR_BASENO + 29) //ƶڵ㵽 //The node can not be moved to itself
#define EC_HD_RESMGR_GROUP_DEPTH                        (EC_HD_RESMGR_BASENO + 30) //Ѿ //The group has already reached the the maximum depth
#define EC_HD_RESMGR_INVALID_NODE_NAME           (EC_HD_RESMGR_BASENO + 31) //벻ϷĽڵ //Invalid node name
#define EC_HD_RESMGR_2HDSRV_COMMTAG             (EC_HD_RESMGR_BASENO + 32) //ѵͬIDTag //The tags with the same ID in two servers have been imported
#define EC_HD_RESMGR_TAG_CLASS_MASK                 (EC_HD_RESMGR_BASENO + 33)//ѯTagClass //The mask of tag class in queried parameter is wrong
#define EC_HD_RESMGR_QUERY_NODE_NAME            (EC_HD_RESMGR_BASENO + 34)//ѯнڵƷǷ //The node name in query parameter is invalid
#define EC_HD_RESMGR_QUERY_TAG_NAME               (EC_HD_RESMGR_BASENO + 35)//ѯTagƷǷ //The tag name in query parameter is invalid
#define EC_HD_RESMGR_QUERY_TAG_DESC                  (EC_HD_RESMGR_BASENO + 36)//ѯTagǷ //The tag description in query parameter is invalid
#define EC_HD_RESMGR_QUERY_LIMIT                           (EC_HD_RESMGR_BASENO + 37)//ѯ޶Ƿ //The limit in query parameter is invalid
#define EC_HD_RESMGR_NO_ENOUGH_BUF               (EC_HD_RESMGR_BASENO + 38) //bufռ̫С //No enough buffer
#define EC_HD_RESMGR_INVALID_CMD_TYPE			(EC_HD_RESMGR_BASENO + 39)  //Ƿ //Invalid command type
#define EC_HD_RESMGR_PKG_NOT_FULL				(EC_HD_RESMGR_BASENO + 40)  //Ϣ //The request message package is incomplete
#define EC_HD_RESMGR_PARSE_PKG_FAILED			(EC_HD_RESMGR_BASENO + 41)  //Ϣʧ //Parse the message package failed
#define EC_HD_RESMGR_SEREAL_PKG_FAILED			(EC_HD_RESMGR_BASENO + 42)  //лϢʧ //Serialize the message package failed
#define EC_HD_RESMGR_BATCH_NUM_OVERFLOW     (EC_HD_RESMGR_BASENO + 43)  //ӿ //The number is too big for batch interface
#define EC_HD_RESMGR_RUNNING_SYNC                     (EC_HD_RESMGR_BASENO + 44)  //ڽͬ //It is now synchronizing
#define EC_HD_RESMGR_AUTO_SYNC_TIME                  (EC_HD_RESMGR_BASENO + 45)  //Զͬʱ̷Ƿ //Invalid time of auto synchronization
#define EC_HD_RESMGR_SYNC_TOKEN                           (EC_HD_RESMGR_BASENO + 46) //ͬƴ //Wrong token of synchronization task
#define EC_HD_RESMGR_SQLITE_LOCK                           (EC_HD_RESMGR_BASENO + 47) //ݿ˱Ժ //Sqlite is locked Please wait a moment
#define EC_HD_RESMGR_SRVIP_NOT_EXIST                           (EC_HD_RESMGR_BASENO + 48) //IP //IP does not exist
#define EC_HD_RESMGR_SRVID_NOT_EXIST                           (EC_HD_RESMGR_BASENO + 49) // //The server does not exist


#define EC_HD_RES_EXCEL_UPLOAD_HAS_NODEID			(EC_HD_RESMGR_BASENO + 50)	//TagʱڵID //When uploading tags of one group, the node ID can not be inputted
#define EC_HD_RES_EXCEL_UPLOAD_NO_GROUPPATH		(EC_HD_RESMGR_BASENO + 51)	//·Ϊ //The group path is null
#define EC_HD_RES_EXCEL_UPLOAD_CREATE_GROUP_NODE_FAIL		(EC_HD_RESMGR_BASENO + 52)	//ڵʧ //Create group node failed
#define EC_HD_RES_EXCEL_UPLOAD_CONVERT_TO_UINT		(EC_HD_RESMGR_BASENO + 53)	//תΪuintʱʧ //Convert type to unit failed
#define EC_HD_RES_EXCEL_UPLOAD_GET_SRVID				(EC_HD_RESMGR_BASENO + 54)	//ȡIDʧ //Get server ID failed
#define EC_HD_RES_EXCEL_UPLOAD_WRONG_TAGTYPE			(EC_HD_RESMGR_BASENO + 55)	//tag //Wrong tag type
#define EC_HD_RES_EXCEL_UPLOAD_NO_NODEID					(EC_HD_RESMGR_BASENO + 56)	//޷ID //No group node ID
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_NODENAME					(EC_HD_RESMGR_BASENO + 57)	//ڵϷ //Invalid node name
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_GROUPPATH					(EC_HD_RESMGR_BASENO + 58)	//·Ϸ //Invalid group path
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_TAGID				(EC_HD_RESMGR_BASENO + 59)	//TagIDϷ //Invalid tag ID
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_TAGID_ZERO				(EC_HD_RESMGR_BASENO + 60)	//TagID0 //The tag ID can not be zero
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_PORT_NULL				(EC_HD_RESMGR_BASENO + 61)	//˿ںŲΪ //The port can not be null
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_IP				(EC_HD_RESMGR_BASENO + 62)	//IPϷ //Invalid IP
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_PORT				(EC_HD_RESMGR_BASENO + 63)	//˿ںŲϷ //Invalid port
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_TAGNAME				(EC_HD_RESMGR_BASENO + 64)	//TagϷ //Invalid tag name
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_DESC				(EC_HD_RESMGR_BASENO + 65)	//TagϷ //Invalid tag description
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_NODEID_ZERO				(EC_HD_RESMGR_BASENO + 66)	//ڵID0 //The node ID can not be zero
#define EC_HD_RES_EXCEL_UPLOAD_INVALID_NODEID				(EC_HD_RESMGR_BASENO + 67)	//ڵIDϷ //Invalid node ID


/*****************************************************************************************/
/*         Config server:  ConfigServer   (116500 ~ 116600)        */
/*****************************************************************************************/
#define EC_HD_CFGSRV_BASENO							(EC_RD_BASENO + 6500)
#define EC_HD_CFGSRV_UNKNOWN_CMD_TYPE				(EC_HD_CFGSRV_BASENO + 1)   //벻Ϸ //Invalid command type
#define EC_HD_CFGSRV_TAG_EXIST						(EC_HD_CFGSRV_BASENO + 2)   //㼺ڣ޷ɲ //The tag already existsCannot complete action
#define EC_HD_CFGSRV_ADJUST_EXPR_TOO_LONG						(EC_HD_CFGSRV_BASENO + 3)   //ıʽ //The adjusted expression is too long

/*****************************************************************************************/
/*         ExpCalc:     (116600 ~ 116700)        */
/*****************************************************************************************/
#define EC_HD_EXPCALC_BASENO							(EC_RD_BASENO + 6600)
#define EC_HD_EXPCALC_TAG_ID_NOT_EXIST					(EC_HD_EXPCALC_BASENO + 1)  //id //The calculated tag ID does not exist
#define EC_HD_EXPCALC_TAG_GROUP_NOT_EXIST				(EC_HD_EXPCALC_BASENO + 2)  //鲻 //The group of calculated tags does not exist
#define EC_HD_EXPCALC_TAG_NO_DATA				        (EC_HD_EXPCALC_BASENO + 3)  //ͨû //The basic tag has no data
#define EC_HD_EXPCALC_DENOM_IS_ZERO                     (EC_HD_EXPCALC_BASENO + 4)  //ʽзĸΪ0 //The denominator in expression is zero
#define EC_HD_EXPCALC_EXPR_UNKNOW_TOKEN                 (EC_HD_EXPCALC_BASENO + 5)  //ʽǷַ //The expression has illegal characters
#define EC_HD_EXPCALC_EXP_PAREN_MISMATCH                (EC_HD_EXPCALC_BASENO + 6)  //ʽŲƥ //The parentheses in expression are mismatched
#define EC_HD_EXPCALC_EXP_SYNTAX_ERROR                  (EC_HD_EXPCALC_BASENO + 7)  //ʽ﷨ //Syntax error in expression
#define EC_HD_EXPCALC_EXP_VAR_FLAG_MISMATCH             (EC_HD_EXPCALC_BASENO + 8)  //ʽʶƥ //The variable flags in expression are mismatched
#define EC_HD_EXPCALC_EXP_VAR_NULL                      (EC_HD_EXPCALC_BASENO + 9)  //ʽΪ //The variable in expression is null
#define EC_HD_EXPCALC_EXP_MUST_HAVE_A_VAR               (EC_HD_EXPCALC_BASENO + 10)  //ʽһͨ //The expression must at least have one basic tag
#define EC_HD_EXPCALC_EXP_UNCLAC_TYPE                   (EC_HD_EXPCALC_BASENO + 11)  //ʽֵ֧ //The expression contains unsupported type
#define EC_HD_EXPCALC_EXPR_UNKNOW_OP                    (EC_HD_EXPCALC_BASENO + 12)  //ʽδ֪ //The expression contains unknown operator
#define EC_HD_EXPCALC_CALC_BREAK						(EC_HD_EXPCALC_BASENO + 13)  //ʽж //The caculation of expression broke
#define EC_HD_EXPCALC_REC_LESS_THAN_HIS_START_TIME		(EC_HD_EXPCALC_BASENO + 14)  //鵽ʷ¼ʱʷ¼ʼʱ //The timestamp of queried history record is earlier than the start time of history record
#define EC_HD_EXPCALC_EXP_IFTHENELSE_MISMATCH           (EC_HD_EXPCALC_BASENO + 15)  //ʽif else  //The identifiers if, then and else in expression are mismatched
#define EC_HD_EXPCALC_EXP_IFTHENELSE_NEED_PAREN         (EC_HD_EXPCALC_BASENO + 16)  //ʽбʶȱ //There is no parentheses after the identifier in the conditional expression
#define EC_HD_EXPCALC_TAG_NOT_EXIST         (EC_HD_EXPCALC_BASENO + 17)  //㲻 //The calculated tag does not exist
#define EC_HD_EXPCALC_EXP_MISMATCH_FUNCTION_ARGS		(EC_HD_EXPCALC_BASENO + 18)  //ʽú //The inner function parameters of expression error
#define EC_HD_EXPCALC_EXP_UNKNOW_FUNCTION				(EC_HD_EXPCALC_BASENO + 19)	 //ʽúδҵ //Can not find inner function
#define EC_HD_EXPCALC_FILEXTREAM_FAIL					(EC_HD_EXPCALC_BASENO + 20)	 //ֵжϴ //The filter condition of inner function error
#define EC_HD_EXPCALC_NO_OUTPUT					(EC_HD_EXPCALC_BASENO + 21)	 // //Do not save calc result


/*****************************************************************************************/
/*         Hdrda:     (116700 ~ 116800)        */
/*****************************************************************************************/
#define EC_HD_HDRDA_BASENO						(EC_RD_BASENO + 6700)
#define EC_HD_HDRDA_INVALID_PARAM				(EC_HD_HDRDA_BASENO + 1)//ӿڴ벻ϷĲ //Invalid parameter from interface
#define EC_HD_HDRDA_MEM_MALLOC					(EC_HD_HDRDA_BASENO + 2)//ڴʧ //Malloc memory failed
#define EC_HD_HDRDA_TAG_NAME					(EC_HD_HDRDA_BASENO + 3)//TagNameȳ //The length of tag name is too long
#define EC_HD_HDRDA_TAG_NO_REC					(EC_HD_HDRDA_BASENO + 4)//Tagûм¼ //The tag has no records
#define EC_HD_HDRDA_TAG_UNREG					(EC_HD_HDRDA_BASENO + 5)//Tagûע //The tag is not registered
#define EC_HD_HDRDA_NODE_UNREG					(EC_HD_HDRDA_BASENO + 6)//ڵδע //The node is not registered
#define EC_HD_HDRDA_NO_LIC						(EC_HD_HDRDA_BASENO + 7)//û̬license //No license of configuration
#define EC_HD_HDRDA_NOT_INIT						(EC_HD_HDRDA_BASENO + 8)//hdrdaûгʼ //Hdrda is not initialized
#define EC_HD_HDRDA_EMPTY_RESULT_SET			(EC_HD_HDRDA_BASENO + 9)//ѯΪ //Queried result is empty
#define EC_HD_HDRDA_ENUM_END_OF_ARRAY			(EC_HD_HDRDA_BASENO + 10)//Ѵﵽѯβ //Enumeration has reached the end of queried result array

/*****************************************************************************************/
/*         Backup:     (116800 ~ 116860)        */
/*****************************************************************************************/
#define EC_HD_BACKUP_BASENO							(EC_RD_BASENO + 6800)
#define EC_HD_BACKUP_DB_PATH_BUILD_FAILED			(EC_HD_BACKUP_BASENO + 1)//ɱļ·ʧ //Generate the directory of backup files failed 
#define EC_HD_BACKUP_DB_OPEN_FAILED					(EC_HD_BACKUP_BASENO + 2)//򿪱ļʧ //Open the backup index file failed
#define EC_HD_BACKUP_DB_CLOSE_FAILED				(EC_HD_BACKUP_BASENO + 3)//رձļʧ //Close the backup index file failed
#define EC_HD_BACKUP_DB_TABLE_CREATE_FAILED			(EC_HD_BACKUP_BASENO + 4)//ʧ //Create the backup index table failed
#define EC_HD_BACKUP_DB_ADD_LOG_FAILED				(EC_HD_BACKUP_BASENO + 5)//ӱ־ʧ //Add the backup log failed
#define EC_HD_BACKUP_DB_INPUT_DATA_INVALID			(EC_HD_BACKUP_BASENO + 6)//Ƿ //Invalid input parameter
#define EC_HD_BACKUP_DB_UPDATE_LOG_FAILED			(EC_HD_BACKUP_BASENO + 7)//±־ʧ //Update the backup log failed
#define EC_HD_BACKUP_DB_QUERY_LOG_FAILED			(EC_HD_BACKUP_BASENO + 8)//ѯ־ʧ //Query the backup log failed
#define EC_HD_BACKUP_INVALID_IP						(EC_HD_BACKUP_BASENO + 9)//ЧIPַ //Invalid IP
#define EC_HD_BACKUP_INVALID_TIME_REGION			(EC_HD_BACKUP_BASENO + 10)//Чʱ //Invalid time interval
#define EC_HD_BACKUP_FAILED_READ_BYTES				(EC_HD_BACKUP_BASENO + 11)//ȡļʧ //Read file failed
#define EC_HD_BACKUP_INVALID_HD_TYPE				(EC_HD_BACKUP_BASENO + 12)//Чʵʱݿ //Invalid iHyperDB type
#define EC_HD_BACKUP_NO_TAG_INDEX					(EC_HD_BACKUP_BASENO + 13)	//ҵݿ //The index of queried data block does not exist
#define EC_HD_BACKUP_NO_ENOUGH_MEM					(EC_HD_BACKUP_BASENO + 14)	//ռ䲻 //No enough memory
#define EC_HD_BACKUP_INVALID_BK_CONFIG_LEN			(EC_HD_BACKUP_BASENO + 15)	//ļʵʷͳȲ //The backup configuration file is inconsistent with the really sent length
#define EC_HD_BACKUP_ARG_PARSE_FAILED				(EC_HD_BACKUP_BASENO + 16)	//вʧ //Parse the command line arguments failed
#define EC_HD_BACKUP_INVALID_ARG					(EC_HD_BACKUP_BASENO + 17)	//ϷĲ //Invalid parameter
#define EC_HD_BACKUP_DUPLICATE_ARG					(EC_HD_BACKUP_BASENO + 18)	//ظĲ //Duplicated parameter
#define EC_HD_BACKUP_ARG_NOT_FOUND					(EC_HD_BACKUP_BASENO + 19)	//δҵ //Parameter was not found
#define EC_HD_BACKUP_FILE_NAME_INVALID				(EC_HD_BACKUP_BASENO + 20)	//ļƲϷ //Invalid file name
#define EC_HD_BACKUP_FILE_NOT_EXIST					(EC_HD_BACKUP_BASENO + 21)	//ļ //The file does not exist
#define EC_HD_BACKUP_COMPRESS_FAILED				(EC_HD_BACKUP_BASENO + 22)	//ѹʧ //Compress failed
#define EC_HD_BACKUP_CANNOT_COMPRESS				(EC_HD_BACKUP_BASENO + 23)	//ܱѹ //Can not be compressed
#define EC_HD_BACKUP_UNCOMPRESS_FAILED				(EC_HD_BACKUP_BASENO + 24)	//ѹʧ //Decompress failed
#define EC_HD_BACKUP_CANNOT_UNCOMPRESS				(EC_HD_BACKUP_BASENO + 25)	//ܱѹ //Can not be decompressed
#define EC_HD_BACKUP_NOT_SET_SRC_HD					(EC_HD_BACKUP_BASENO + 26)		//δñԴʵʱݿ //The source iHyperDB of backup is not set
#define EC_HD_BACKUP_MEM_MALLOC						(EC_HD_BACKUP_BASENO + 27)		//ڴʧ //Malloc memory failed
#define EC_HD_BACKUP_SEREAL_PKG_FAILED				(EC_HD_BACKUP_BASENO + 28)		//лϢʧ //Serialize the message package failed
#define EC_HD_BACKUP_PARSE_PKG_FAILED				(EC_HD_BACKUP_BASENO + 29)		//Ϣʧ //Parse the message package failed
#define EC_HD_BACKUP_UNKNOWN_OPER_TYPE				(EC_HD_BACKUP_BASENO + 30)		//޷ʶıݲ //Unknown backup operation type
#define EC_HD_BACKUP_CACULATE_FAILED				(EC_HD_BACKUP_BASENO + 31)		// //Calculate failed
#define EC_HD_BACKUP_LOCK_EXEC_FAILED				(EC_HD_BACKUP_BASENO + 32)		//ȡִʧ //Acquire the task execution lock failed
#define EC_HD_BACKUP_BKDB_NO_EXIST					(EC_HD_BACKUP_BASENO + 33)		//ݿⲻ //The backup database does not exist
#define EC_HD_BACKUP_BACKUP_DIR_TOO_LONG			(EC_HD_BACKUP_BASENO + 34)		//· //The length of backup directory is too long
#define EC_HD_BACKUP_BACKUP_DIR_NO_ABS				(EC_HD_BACKUP_BASENO + 35)		//·Ǿ· //The backup directory is not the absolute path
#define EC_HD_BACKUP_ALREADY_START					(EC_HD_BACKUP_BASENO + 36)		//ݿ⼺ //The backup is already started
#define EC_HD_BACKUP_ALREADY_STOP					(EC_HD_BACKUP_BASENO + 37)		//ݿ⼺ֹͣ //The backup is already stopped
#define EC_HD_BACKUP_INVALID_LOGID					(EC_HD_BACKUP_BASENO + 38)		//Ƿ־ID //Invalid log ID of backup
#define EC_HD_BACKUP_UNKNOWN_STATUS					(EC_HD_BACKUP_BASENO + 39)		//򱸷ݷ˳±״̬δ֪ //The status of backup task is unknown because the backup server quitted
#define EC_HD_BACKUP_CONFIG_DISCORD					(EC_HD_BACKUP_BASENO + 40)		//ļʵʱݿòһ //The configuration of tags in the backup files is inconsistent with that of iHyperDB server
//error code 
#define EC_RD_BACKUP_RUNMODE_INVALID				(EC_HD_BACKUP_BASENO + 41)			//ݿģʽ //Invalid running mode of backup
#define EC_RD_BACKUP_IP_INVALID				(EC_HD_BACKUP_BASENO + 42)			//IP //Invalid IP
#define EC_RD_BACKUP_PORT_INVALID 				(EC_HD_BACKUP_BASENO + 43)			//˿ںŴ //Invalid port
#define EC_RD_BACKUP_WEEK_INVALID 				(EC_HD_BACKUP_BASENO + 44)			// //Invalid number of weeks
#define EC_RD_BACKUP_HOUR_INVALID 				(EC_HD_BACKUP_BASENO + 45)			//Сʱ //Invalid number of hours
#define EC_RD_BACKUP_DAY_INVALID 				(EC_HD_BACKUP_BASENO + 46)			// //Invalid number of days
#define EC_RD_BACKUP_MONTH_INVALID 				(EC_HD_BACKUP_BASENO + 47)			//· //Invalid number of monthes
#define EC_RD_BACKUP_SCHMODE_INVALID 				(EC_HD_BACKUP_BASENO + 48)			//ģʽ //Invalid mode
#define EC_RD_BACKUP_LOAD_CONFIG_FAILED 				(EC_HD_BACKUP_BASENO + 49)			//ļʧ //Load the configuration file failed
#define EC_RD_BACKUP_TIME_INVALID 				(EC_HD_BACKUP_BASENO + 50)			//ʱ䲻Ϸ //Invalid time
#define EC_RD_BACKUP_FIND_FAILED 				(EC_HD_BACKUP_BASENO + 51)			//ʧ //Query failed
#define EC_RD_BACKUP_DBNAME_EXIST 				(EC_HD_BACKUP_BASENO + 52)			//ݿѴ //The backup database already exists
#define EC_RD_BACKUP_DBPATH_EXIST 				(EC_HD_BACKUP_BASENO + 53)			//·Ѵ //The backup directory already exists
#define EC_RD_BACKUP_USER_INVALID				(EC_HD_BACKUP_BASENO + 54)			//û //Invalid user name
#define EC_RD_BACKUP_PASSWORD_INVALID 				(EC_HD_BACKUP_BASENO + 55)			// //Invalid password
/*****************************************************************************************/
/*         SQL:     (116900 ~ 116950)        */
/*****************************************************************************************/
#define EC_HD_SQL_BASENO							(EC_RD_BASENO + 6900)
#define EC_HD_SQL_INVALID_TIMESTEP_VAL			(EC_HD_SQL_BASENO + 1)			//ЧĲֵʱ //Invalid interpolation time interval
#define EC_HD_SQL_FIELD_NO_SUPPORT_CMP_OPER			(EC_HD_SQL_BASENO + 2)			//ֶβֵ֧ıȽϲ //The current compare operator is not supported by the table fields
#define EC_HD_SQL_NOT_EXIST_FIELD			(EC_HD_SQL_BASENO + 3)				// SQLгֱвڵֶ //Fields no not exsit in the table
#define EC_HD_SQL_OVERFLOW_TIMESTEP_VAL			(EC_HD_SQL_BASENO + 4)			//ֵʱΧ //The interpolation time interval is bigger than the allowed range
#define EC_HD_SQL_INVALID_LIMIT_COUNT			(EC_HD_SQL_BASENO + 5)			//ЧĲѯ //Invalid query limitness of maximum number
#define EC_HD_SQL_PARSE_FAILED			(EC_HD_SQL_BASENO + 6)					//SQLʧ //Parse the SQL failed
#define EC_HD_SQL_DUP_FIELD			(EC_HD_SQL_BASENO + 7)					//SQLSELECTظֶ //Duplicated field
#define EC_HD_ODBC_SQL_TOO_LONG			(EC_HD_SQL_BASENO + 8)					//SQL䳬 //The SQL statement is overlength
#define EC_HD_ODBC_INVALID_TIME_STR			(EC_HD_SQL_BASENO + 9)				//Чʱַ //Invalid time string
#define EC_HD_ODBC_UNPARSE_SQL				(EC_HD_SQL_BASENO + 10)				//δSQL //The SQL was not parsed
#define EC_HD_ODBC_UNSET_SQL				(EC_HD_SQL_BASENO + 11)				//δSQL //The SQL was not set
#define EC_HD_ODBC_QUERY_COND_DIFF_PROP				(EC_HD_SQL_BASENO + 12)		//ѯԲͬ //The query condition differs from the property
#define EC_HD_ODBC_INVALID_TIME_REGION				(EC_HD_SQL_BASENO + 13)		//Чʱ //Invalid time interval
#define EC_HD_ODBC_NO_ENOUGH_ATTR_BUF			(EC_HD_SQL_BASENO + 14)		// DSN, ռ䲻 //No enough buffer to generate DSN
#define EC_HD_ODBC_INVALID_DSN_ATTR			(EC_HD_SQL_BASENO + 15)		// DSNʽȷ //Invalid DSN format
#define EC_HD_ODBC_STMT_ITER_END			(EC_HD_SQL_BASENO + 16)		// STMT //End of iteration in STMT
#define EC_HD_ODBC_STMT_INVALID_FIELD_NUM			(EC_HD_SQL_BASENO + 17)		// Чֶκ //Invalid field number in STMT
#define EC_HD_ODBC_STMT_INVALID_FIELD_VAL			(EC_HD_SQL_BASENO + 18)		// Чֵֶ //Invalid field value in STMT
#define EC_HD_ODBC_STMT_BIND_COL_BUF_NO_ENOUGH			(EC_HD_SQL_BASENO + 19)		//bufȲ //No enough buffer for the bound column in STMT
#define EC_HD_ODBC_STMT_TIME_STR_BUF_NO_ENOUGH			(EC_HD_SQL_BASENO + 20)		//ʱַռ䳤Ȳ //No enough space for the time string in STMT
#define EC_HD_ODBC_STMT_CANNOT_CONVERT_RECVAL			(EC_HD_SQL_BASENO + 21)		// ¼ֵ޷תΪָVAL //Can not convert the record value to the specified variable type in STMT
#define EC_HD_ODBC_FAILED_GET_DSN_ATTR			(EC_HD_SQL_BASENO + 22)		// ޷ȡָDSNӦ //Can not get the specified attributes of DSN
#define EC_HD_ODBC_UNKNOWN_CONN_ATTR			(EC_HD_SQL_BASENO + 23)		// δ֪ //Unknown connection attributes
#define EC_HD_ODBC_INVALID_CONN_ATTR_VALUE			(EC_HD_SQL_BASENO + 24)		// Чֵ //Invalid connection attribute value
#define EC_HD_ODBC_DRV_REMOVE_FAILED			(EC_HD_SQL_BASENO + 25)		// ODBCɾʧ //Remove the ODBC driver failed
#define EC_HD_ODBC_DRV_INSTALL_FAILED			(EC_HD_SQL_BASENO + 26)		// ODBCװʧ //Install the ODBC driver failed
#define EC_HD_ODBC_DRV_FAILED_GET_APP_NAME			(EC_HD_SQL_BASENO + 27)		// ȡӦʧ //The driver got the application name failed
#define EC_HD_ODBC_SET_CONN_ATTR_FAILED_FOR_ALREADY_CONN			(EC_HD_SQL_BASENO + 28)		// Դӣʧ //Set the connection attributes failed because the data source is already connected
#define EC_HD_ODBC_MINUS_TIMESTEP_FAILED			(EC_HD_SQL_BASENO + 29)		// ׼ʱֵʧܣֵΪ //The reference time subtracted the interpolation interval failed, because the difference is negative
#define EC_HD_ODBC_ADD_TIMESTEP_FAILED			(EC_HD_SQL_BASENO + 30)		// ׼ʱӲֵʧܣֵΪ //The reference time adds the interpolation interval failed, because the sum is negative
#define EC_HD_SQL_NO_TAG_NAME			(EC_HD_SQL_BASENO + 31)					//Ϊմ //The tag name must be a string
#define EC_HD_ODBC_UNKNOWN_SQL_FETCH_TYPE (EC_HD_SQL_BASENO + 32)					//δ֪SQLDataSources fetch //Unknown fetch type of SQL data sources
#define EC_HD_ODBC_NO_DATA_SOURCE (EC_HD_SQL_BASENO + 33)					//δҵԴԴô //No data source
#define EC_HD_ODBC_FAILED_QUERY_DATA_SOURCE (EC_HD_SQL_BASENO + 34)					//Դʧ //Query data source failed
#define EC_HD_ODBC_INTER_REGION_NO_REC (EC_HD_SQL_BASENO + 35)					//ֵ //No records in the interpolation interval
#define EC_HD_SQL_INVALID_BUILD_IN_FUNC_FIELD			(EC_HD_SQL_BASENO + 36)				// fivalueffvalueֶοִú// Only fivalue, ffvalue field can exec build in function
#define EC_HD_ODBC_UNKNOWN_BUILD_IN_FUNC (EC_HD_SQL_BASENO + 37)					//޷ʶ //Unknown build in func
#define EC_HD_ODBC_NO_BIND_COL_BUF (EC_HD_SQL_BASENO + 38)					//δл //Please bind col buffer
#define EC_HD_ODBC_FAILED_GET_VERSION				(EC_HD_SQL_BASENO + 39)					// ȡʵʱݿ汾Ϣʧ // Failed to get iHyperDB version
#define EC_HD_ODBC_OPT_NO_IMPL				(EC_HD_SQL_BASENO + 40)					// ֧ // Option no supported
#define EC_HD_ODBC_IVALID_TAGTYPE				(EC_HD_SQL_BASENO + 41)					// Ϸtag // Ivalid tag type


/*****************************************************************************************/
/*         HdODBCSqlView:     (116970 ~ 116990)        */
/*****************************************************************************************/
#define EC_HD_ODBC_BASENO							(EC_RD_BASENO + 6970)
#define EC_HD_ODBC_INVALID_HANDLE			        (EC_HD_ODBC_BASENO + 1) //SQLѯЧ //Invalid handle in SQL query
#define EC_HD_ODBC_INPUT_OVER_MAX_VALUE              (EC_HD_ODBC_BASENO + 2) //SQLѯ֧ʮ //SQL query supports one hundred thousand records maximumly


/*****************************************************************************************/
/*         SysInfoSvc:     (117000 ~ 117050)        */
/*****************************************************************************************/
#define EC_HD_SYSINFO_BASENO							(EC_RD_BASENO + 7000)
#define EC_HD_SYSINFO_COLLECT_INTER_TOO_SMALL			(EC_HD_SYSINFO_BASENO + 1) //Ϣɼ̫ //The interval of collecting system information is too short
#define EC_HD_SYSINFO_INVALID_PREV_TIME					(EC_HD_SYSINFO_BASENO + 1) //ϴͳʱǷ //The statistical time of the last time is invalid

/*****************************************************************************************/
/*         DispatchComm:     (117100 ~ 117200)        */
/*****************************************************************************************/
#define EC_HD_CD_COMM_BASENO                      (EC_RD_BASENO + 7100)
#define EC_HD_CD_COMM_REPO_USER_NOTSAME     	    (EC_HD_CD_COMM_BASENO + 1)  //û˺Ųһ //The user account is not consistent
#define EC_HD_CD_COMM_REPO_SQL_FAILED               (EC_HD_CD_COMM_BASENO + 2)   //sqlִʧ //Execute SQL failed
#define EC_HD_CD_COMM_REPO_PARA_NULL	            (EC_HD_CD_COMM_BASENO + 3) //ΪյĲ //Null parameter
#define EC_HD_CD_COMM_REPO_OVERLEN                 (EC_HD_CD_COMM_BASENO + 4) //ַ //The length of string is too long
#define EC_HD_CD_COMM_REPO_BAD_USER           (EC_HD_CD_COMM_BASENO + 5)  //߷Ƿ //Invalid user

#define EC_HD_CD_COMM_REPO_NODE_NAME_EXISTED		(EC_HD_CD_COMM_BASENO + 11) //ͬƵĽڵѴ //The node with the same name already exists
#define EC_HD_CD_COMM_REPO_NODE_IP_EXISTED			(EC_HD_CD_COMM_BASENO + 12) //ͬIPĽڵѴ //The node with the same IP already exists
#define EC_HD_CD_COMM_REPO_NODE_NAME_ISNULL			(EC_HD_CD_COMM_BASENO + 13) //ڵΪ //The node name is null
#define EC_HD_CD_COMM_REPO_NODE_DEL_CHECKOUT		(EC_HD_CD_COMM_BASENO + 14) //ڵ㱻ǩܱɾ //The node can not be deleted because it is checked out
#define EC_HD_CD_COMM_REPO_NODE_TYPE_UNKOWN		    (EC_HD_CD_COMM_BASENO + 15) //ڵʹ //Unknown node type
#define EC_HD_CD_COMM_REPO_NODE_NOT_EXISTED			(EC_HD_CD_COMM_BASENO + 16) //ڵ㲻 //The node does not exist
#define EC_HD_CD_COMM_REPO_NODE_IP_ISNULL			(EC_HD_CD_COMM_BASENO + 17) //ڵIPΪ //The node IP is null
#define EC_HD_CD_COMM_REPO_NODE_HAS_CHECKOUT     	(EC_HD_CD_COMM_BASENO + 18) //ڵѱǩ //The node is already checked out
#define EC_HD_CD_COMM_REPO_NODE_NO_CHECKOUT     	(EC_HD_CD_COMM_BASENO + 19) //ڵδǩ //The node is not checked out
#define EC_HD_CD_COMM_REPO_NODE_WEB_EXISTED			(EC_HD_CD_COMM_BASENO + 20) // Ψһwebڵ //The only web server node already exists
#define EC_HD_CD_COMM_REPO_NODE_IMAGE_EXISTED		(EC_HD_CD_COMM_BASENO + 21) //ڵѰͬ //The node has bound the same picture
#define EC_HD_CD_COMM_REPO_HDB_NAME_EXISTED	        (EC_HD_CD_COMM_BASENO + 22) //ͬƵIHDѴ //The iHyperDB server with the same name already exists
#define EC_HD_CD_COMM_REPO_HDB_NOT_EXISTED	        (EC_HD_CD_COMM_BASENO + 23) //ӦIHD //The corresponding iHyperDB server does not exist


#define EC_HD_CD_COMM_REPO_ZTIMAGE_NAME_EXISTED		(EC_HD_CD_COMM_BASENO + 31) //ͬƵĻѴ //The picture with the same name already exists
#define EC_HD_CD_COMM_REPO_ZTIMAGE_NOT_EXISTED	    (EC_HD_CD_COMM_BASENO + 32) //̬治 //The configuration picture does not exist
#define EC_HD_CD_COMM_REPO_ZTIMAGE_HAS_CHECKOUT     (EC_HD_CD_COMM_BASENO + 33) //ѱǩ //The configuration picture has been checked out
#define EC_HD_CD_COMM_REPO_ZTIMAGE_NO_CHECKOUT      (EC_HD_CD_COMM_BASENO + 34) //δǩ //The configuration picture is not checked out


#define EC_HD_CD_COMM_REPO_GALLERY_NAME_EXISTED		(EC_HD_CD_COMM_BASENO + 41) //ͬƵͼѴ //The gallery with the same name already exists
#define EC_HD_CD_COMM_REPO_GALLERY_NOT_EXISTED	    (EC_HD_CD_COMM_BASENO + 42) //̬ͼⲻ //The configuration gallery does not exist
#define EC_HD_CD_COMM_REPO_GALLERY_HAS_CHECKOUT     (EC_HD_CD_COMM_BASENO + 43) //ͼѱǩ //The gallery has been checked out
#define EC_HD_CD_COMM_REPO_GALLERY_NO_CHECKOUT      (EC_HD_CD_COMM_BASENO + 44) //ͼδǩ //The gallery is not checked out

#define EC_HD_CD_COMM_REPO_ZTSCRIPT_NAME_EXISTED	(EC_HD_CD_COMM_BASENO + 51) //ͬƵĽűѴ //The script with the same name already exists
#define EC_HD_CD_COMM_REPO_ZTSCRIPT_NOT_EXISTED	    (EC_HD_CD_COMM_BASENO + 52) //̬ű //The configuration script does not exist
#define EC_HD_CD_COMM_REPO_ZTSCRIPT_HAS_CHECKOUT    (EC_HD_CD_COMM_BASENO + 53) //űѱǩ //The script has been checked out
#define EC_HD_CD_COMM_REPO_ZTSCRIPT_NO_CHECKOUT     (EC_HD_CD_COMM_BASENO + 54) //űδǩ //The script is not checked out

#define EC_HD_CD_COMM_REPO_WEBPKG_NAME_EXISTED	    (EC_HD_CD_COMM_BASENO + 58) //ͬƵwebѴ //The web release package with the same name already exists
#define EC_HD_CD_COMM_REPO_WEBPKG_NOT_EXISTED	    (EC_HD_CD_COMM_BASENO + 59) //web //The release package does not exist

#define EC_HD_CD_COMM_OPEN_FILE_FAILED	    (EC_HD_CD_COMM_BASENO + 60) //ļʧ //Open file failed
#define EC_HD_CD_COMM_FILE_PATH_NO_EXIST	    (EC_HD_CD_COMM_BASENO + 61) //ļ· //The file path does not exist
#define EC_HD_CD_COMM_COPY_FILE                          (EC_HD_CD_COMM_BASENO + 62) //ļʧ //Copy file failed
#define EC_HD_CD_COMM_WRITE_FILE                         (EC_HD_CD_COMM_BASENO + 63) //ļдʧ //Write file failed
#define EC_HD_CD_COMM_REMOVE_FILE                    (EC_HD_CD_COMM_BASENO + 64)  //ļƳʧ //Remove file failed
#define EC_HD_CD_COMM_LOAD_DLL                         (EC_HD_CD_COMM_BASENO + 65)  //ض̬ʧ //Load dynamic database failed
#define EC_HD_CD_COMM_FILESYSTEM                       (EC_HD_CD_COMM_BASENO + 66)  //ļϵͳ //The operation of file system is wrong
#define EC_HD_CD_COMM_CREATE_FOLDER               (EC_HD_CD_COMM_BASENO + 67)  //·ʧ //Create path failed
#define EC_HD_CD_COMM_FILE_PATH_EXIST               (EC_HD_CD_COMM_BASENO + 68)  //ļ· //The file path already exists
#define EC_HD_CD_COMM_ACE_ERROR                        (EC_HD_CD_COMM_BASENO + 69)  //ACEָĴ //ACE specified error
#define EC_HD_CD_COMM_FAILED_LIST_SUB_DIR               (EC_HD_CD_COMM_BASENO + 70)  //ȡĿ¼ʧ //Get subdirectory failed
#define EC_HD_CD_COMM_READ_FILE                          (EC_HD_CD_COMM_BASENO + 71)  //ȡļʧ //Read file failed
#define EC_HD_CD_COMM_DLL_FUNCTION                 (EC_HD_CD_COMM_BASENO + 72)  //ȡ̬⺯ַʧ //Load function address of dynamic database failed
#define EC_HD_CD_COMM_VERSION                             (EC_HD_CD_COMM_BASENO + 73)  //汾Ų //Incompatible version number
#define EC_HD_CD_COMM_STRING_BUFFER_LEN       (EC_HD_CD_COMM_BASENO + 74)  //ַ̫ //The buffer is too short for string operation
#define EC_HD_CD_COMM_XML_ERROR                         (EC_HD_CD_COMM_BASENO + 75)  //XMLϢʽ //Wrong XML format of request message
#define EC_HD_CD_COMM_DISK_SPACE                           (EC_HD_CD_COMM_BASENO + 76)  //̿ÿռ䲻 //No enough disk space available
#define EC_HD_CD_COMM_INVALID_ID                            (EC_HD_CD_COMM_BASENO + 77)  //ǷID //Invalid ID
#define EC_HD_CD_COMM_SQL_EMPTY                           (EC_HD_CD_COMM_BASENO + 78)  //յݿָ //Empty handle pointer of database
#define EC_HD_CD_COMM_CREATE_PATH                       (EC_HD_CD_COMM_BASENO + 79) // ļʧܣļƳ //Create folder failed, please check the length of folder name
#define EC_HD_CD_COMM_DISPATCH                            (EC_HD_CD_COMM_BASENO + 80)  // ַʧ //Dispatch failed
#define EC_HD_CD_COMM_PUSH_SECTION                  (EC_HD_CD_COMM_BASENO + 81)  // Sectionʧ //Set Section failed when packaging
#define EC_HD_CD_COMM_UPDATE_SECTION             (EC_HD_CD_COMM_BASENO + 82)  // Sectionʧ //Update Section failed when packaging
#define EC_HD_CD_COMM_OUTPUT_TO_BUFFER      (EC_HD_CD_COMM_BASENO + 83)  // Ϊַʧ //Package the result buffer to string failed
#define EC_HD_CD_COMM_ENCODE_PACKET              (EC_HD_CD_COMM_BASENO + 84)  // ʧ //Package failed
#define EC_HD_CD_COMM_UNCOMPRESS_FILE             (EC_HD_CD_COMM_BASENO + 85)  // ѹļʧ //Decompress files failed
#define EC_HD_CD_COMM_GENERATE_MD5                (EC_HD_CD_COMM_BASENO + 86)  // MD5ʧ //Generate MD5 failed
#define EC_HD_CD_COMM_RECV_RESPONSE                (EC_HD_CD_COMM_BASENO + 87)  // Ϣʧ //Receive the network message failed
/*****************************************************************************************/
/*         DispatchClient:     (117200 ~ 117300)        */
/*****************************************************************************************/
#define EC_HD_CD_CLIENT_BASENO                      (EC_RD_BASENO + 7200)
#define EC_HD_CD_CLIENT_INITIALIZE  (EC_HD_CD_CLIENT_BASENO + 1)  //DRAPIʼʧ //Initialize DRAPI failed
#define EC_HD_CD_CLIENT_GENID  (EC_HD_CD_CLIENT_BASENO + 2)  //ݰƥ //The packet does not match
#define EC_HD_CD_CLIENT_PORT  (EC_HD_CD_CLIENT_BASENO + 3)  //ӿڲ벻ϷĶ˿ں //Invalid port in interface parameters
#define EC_HD_CD_CLIENT_TIMEOUT  (EC_HD_CD_CLIENT_BASENO + 4)  //ʱòϷ //Invalid timeout set
#define EC_HD_CD_CLIENT_USERNAME  (EC_HD_CD_CLIENT_BASENO + 5)  //ӿڲ벻ϷĲ //Invalid username in interface parameters
#define EC_HD_CD_CLIENT_USERINFO  (EC_HD_CD_CLIENT_BASENO + 6)  //ӿڲ벻ϷĲϢ //Invalid user information in interface parameters
#define EC_HD_CD_CLIENT_DSN  (EC_HD_CD_CLIENT_BASENO + 7)  //ӿڲ벻ϷԴ //Invalid data source name in interface parameters
#define EC_HD_CD_CLIENT_INCOMPLETE  (EC_HD_CD_CLIENT_BASENO + 8)  //ӿڲ벻걸Ϣ //Incomplete information in interface parameters
#define EC_HD_CD_CLIENT_DESC  (EC_HD_CD_CLIENT_BASENO + 9)  //ӿڲ벻Ϸ //Invalid description in interface parameters
#define EC_HD_CD_CLIENT_NODENAME  (EC_HD_CD_CLIENT_BASENO + 10)  //ӿڲ벻ϷĽڵ //Invalid node name in interface parameters
#define EC_HD_CD_CLIENT_NODETYPE  (EC_HD_CD_CLIENT_BASENO + 11)  //ӿڲ벻ϷĽڵ //Invalid node type in interface parameters
#define EC_HD_CD_CLIENT_PATH  (EC_HD_CD_CLIENT_BASENO + 12)  //ӿڲ벻Ϸ· //Invalid path in interface parameters
#define EC_HD_CD_CLIENT_FOLDER  (EC_HD_CD_CLIENT_BASENO + 13)  //ӿڲ벻Ϸļ //Invalid folder name in interface parameters
#define EC_HD_CD_CLIENT_FILE  (EC_HD_CD_CLIENT_BASENO + 14)  //ӿڲ벻Ϸļ //Invalid file name in interface parameters
#define EC_HD_CD_CLIENT_REQTYPE  (EC_HD_CD_CLIENT_BASENO + 15)  //ӿڲ벻Ϸ //Invalid request type in interface parameters
#define EC_HD_CD_CLIENT_DISTRIBUTE  (EC_HD_CD_CLIENT_BASENO + 16)  //ӿڲ벻һµķַ //Inconsistent distribution parameters in interface parameters
#define EC_HD_CD_CLIENT_LOCAL_FILE_NO_EXIST (EC_HD_CD_CLIENT_BASENO + 17)  //ļ //The local file does not exist
#define EC_HD_CD_CLIENT_INVALID_AUTHORITY   (EC_HD_CD_CLIENT_BASENO + 18)   //ûûзַȨ //No authority of distribution
#define EC_HD_CD_CLIENT_DISTRIBUTE_CANCLE	(EC_HD_CD_CLIENT_BASENO + 19)   //ַȡַδ //The distribution is not completed because it is cancelled
#define EC_HD_CD_CLIENT_OTHER_CONN_EXIST	(EC_HD_CD_CLIENT_BASENO + 20)   //ڲͬIPͶ˿ںŵ //Other connection with different IP and port already exists
#define EC_HD_CD_CLIENT_RUN_ZTDESIGN  (EC_HD_CD_CLIENT_BASENO + 21)  //̬༭ʧ //Start up the configuration designer failed
#define EC_HD_CD_CLIENT_RUN_GALLERYDESIGN  (EC_HD_CD_CLIENT_BASENO + 22 ) //ͼ༭ʧ //Start up the gallery designer failed


/*****************************************************************************************/
/*         DispatchSrv:     (117300 ~ 117400)        */
/*****************************************************************************************/
#define EC_HD_CD_SRV_BASENO                           (EC_RD_BASENO + 7300)
#define EC_HD_CD_SRV_INIT_DB_FAILED					  (EC_HD_CD_SRV_BASENO + 1)		//ʼRepoDBʧ //Initialize the repository database failed
#define EC_HD_CD_SRV_UNKNOWN_OBJ_TYPE					  (EC_HD_CD_SRV_BASENO + 2)		//δ֪Ķ //Unknown object type
#define EC_HD_CD_SRV_UNKNOWN_OPERATE_TYPE					  (EC_HD_CD_SRV_BASENO + 3)		//δ֪Ĳ //Unknown operation type
#define EC_HD_CD_SRV_PACKET_NO_EXIST_FILE					  (EC_HD_CD_SRV_BASENO + 4)		//ݰļ //There is no file in the packet
#define EC_HD_CD_SRV_EMPYT_PFN                                                (EC_HD_CD_SRV_BASENO + 5)    //صΪ //The callback function is null
#define EC_HD_CD_SRV_FILE_EXISTED					(EC_HD_CD_SRV_BASENO + 6)    //ͬļ //The file with the same name already exists in the server
#define EC_HD_CD_SRV_DIR_HAS_FILE					(EC_HD_CD_SRV_BASENO + 7)    //Ŀ¼ļ //There are files in the directory
#define EC_HD_CD_SRV_AGENT_RESPONSE_XML    (EC_HD_CD_SRV_BASENO + 8)  //AgentӦXMLϢʽ //Wrong format of the xml message responsed by the Agent
#define EC_HD_CD_SRV_AGENT_XML_ROOT            (EC_HD_CD_SRV_BASENO + 9)  //AgentӦXMLϢ޸Ԫ //There is no root in the XML message responsed by the Agent
#define EC_HD_CD_SRV_AGENT_XML_REQTYPE              (EC_HD_CD_SRV_BASENO + 10)  //AgentӦXMLϢreqtype //There is no attribute of request type in XML message responsed by the Agent
#define EC_HD_CD_SRV_AGENT_XML_OBJECT         (EC_HD_CD_SRV_BASENO + 11)  //AgentӦXMLϢobject //There is no attribute of object in XML message responsed by the Agent
#define EC_HD_CD_SRV_AGENT_XML_RESULT         (EC_HD_CD_SRV_BASENO + 12)  //AgentӦXMLϢresult //There is no attribute of result in XML message responsed by the Agent

/*****************************************************************************************/
/*         DispatchParser:     (117400 ~ 117500)        */
/*****************************************************************************************/
#define EC_HD_CD_PARSER_BASENO                           (EC_RD_BASENO + 7400)
#define EC_HD_CD_PARSER_UNKNOWN_OBJ_NAME				(EC_HD_CD_PARSER_BASENO + 1)//δ֪Ķ //Unknown object name
#define EC_HD_CD_PARSER_FAILED_QUERY_ELEMENT_NAME				(EC_HD_CD_PARSER_BASENO + 2)//ȡxmlԪʧ //Get the XML element name failed
#define EC_HD_CD_PARSER_FAILED_PARSE_XMLSTR				(EC_HD_CD_PARSER_BASENO + 3)//xml stringʧ //Parse XML string failed
#define EC_HD_CD_PARSER_FAILED_QUERY_ATTR				(EC_HD_CD_PARSER_BASENO + 4)//ȡʧ //Get attributes failed
#define EC_HD_CD_PARSER_UNKNOWN_OPERATOR_NAME			(EC_HD_CD_PARSER_BASENO + 5)//δ֪Ĳ //Unknown operation name
#define EC_HD_CD_PARSER_OBJ_NAME_DISAGREE				(EC_HD_CD_PARSER_BASENO + 6)//xml string ڵƥ //The root name of xml string dismatches the parsed object
#define EC_HD_CD_PARSER_UNKNOWN_DISPATCH_OBJ_NAME	(EC_HD_CD_PARSER_BASENO + 7)//δ֪ķַ //Unknown dispatched object name
#define EC_HD_CD_PARSER_FAILED_QUERY_ELEM				(EC_HD_CD_PARSER_BASENO + 8)//ȡԪʧ //Get the element failed
#define EC_HD_CD_PARSER_INVLID_PARAM                       (EC_HD_CD_PARSER_BASENO + 9)  //Ƿ //Invalid parameter
#define EC_HD_CD_PARSER_FILEEMPTY                              (EC_HD_CD_PARSER_BASENO + 10)  //ļΪ //The file is empty
#define EC_HD_CD_PARSER_PACKTAIL                              (EC_HD_CD_PARSER_BASENO + 11)  //յݰβ //The tail of the received packet has error
#define EC_HD_CD_PARSER_PACKET_LEN                        (EC_HD_CD_PARSER_BASENO + 12)  //ݰȷǷ //Invalid length of packet
#define EC_HD_CD_PARSER_PACKET_NO_SECTION        (EC_HD_CD_PARSER_BASENO + 13)  //ݰаݽڵĸΪ0 //The count of sections in the packet is zero
#define EC_HD_CD_PARSER_NO_FILE                                 (EC_HD_CD_PARSER_BASENO + 14)  //ļΪ //The file name is null


/*****************************************************************************************/
/*         DispatchNetQueue:     (117500 ~ 117600)        */
/*****************************************************************************************/
//netqueue
#define EC_HD_CD_NETQUEUE       (EC_RD_BASENO + 7500)
#define EC_HD_CD_NET_UNKNOWN            (EC_HD_CD_NETQUEUE + 1)           //NetQueueδ֪ʹ //NetQueue: unknown error
#define EC_HD_CD_NET_LISTENFAILED			(EC_HD_CD_NETQUEUE + 2)			//NetQueueCVNDK˿ʧ //NetQueue: listen to the port failed
#define EC_HD_CD_NET_SENDFAILED				(EC_HD_CD_NETQUEUE + 3)			//NetQueueʧ //NetQueue: send data failed
#define EC_HD_CD_NET_RECVFAILED				(EC_HD_CD_NETQUEUE + 4)			//NetQueueʧ //NetQueue: receive data failed
#define EC_HD_CD_NET_FINALIZEFAILED			 (EC_HD_CD_NETQUEUE + 5)			//NetQueueֹCVNDKʧ //NetQueue: finalize the server failed
#define EC_HD_CD_NET_QUEUEERROR				(EC_HD_CD_NETQUEUE + 6)			//NetQueueCVNDKеQueueش //NetQueue: queue related errors
#define EC_HD_CD_NET_CONNECTFAILED			(EC_HD_CD_NETQUEUE + 7)			//NetQueueʧ //NetQueue: connect failed
#define EC_HD_CD_NET_GET_PORT_FAILED		       (EC_HD_CD_NETQUEUE + 8)			//NetQueueȡָӦõĶ˿ʧ //NetQueue: get the specified application port failed
#define EC_HD_CD_NET_RECV_TIMEOUT			       (EC_HD_CD_NETQUEUE + 9)			//NetQueueݳʱ //NetQueue: receive data timeout
#define EC_HD_CD_NET_NOT_INIT				             (EC_HD_CD_NETQUEUE + 10)			//NetQueueCVNDKδʼ //NetQueue: not initialized
#define EC_HD_CD_NET_INVALID_PARAMETER		         (EC_HD_CD_NETQUEUE + 11)			//NetQueueЧĲ //NetQueue: invalid parameter
#define EC_HD_CD_NET_MALLOC_FAILED			               (EC_HD_CD_NETQUEUE + 12)			//NetQueueռʧ //NetQueue: malloc space failed
#define EC_HD_CD_NET_PUTQ_FAILED			                 (EC_HD_CD_NETQUEUE + 13)			//NetQueueݷ͵ȫдQueueʧ //NetQueue: put data to the queue failed
#define EC_HD_CD_NET_LOCAL_QUEUE_NOT_FOUND	  (EC_HD_CD_NETQUEUE + 14)			//NetQueueQueueδҵ //NetQueue: can not find the local queue
#define EC_HD_CD_NET_CONNECT_NOT_EXIST		         (EC_HD_CD_NETQUEUE + 15)			//NetQueueԶQueueӲ //NetQueue: the connection to the remote queue does not exist
#define EC_HD_CD_NET_ACQUIRE_MUTEX_FAILED	          (EC_HD_CD_NETQUEUE + 16)			//NetQueueȡȫʧ //NetQueue: acquire the global lock failed
#define EC_HD_CD_NET_INITFAILED			(EC_HD_CD_NETQUEUE + 17)			//NetQueueCVNDKʼʧ //NetQueue: initialize failed
#define EC_HD_CD_NET_REG_LOCAL_QUE                      (EC_HD_CD_NETQUEUE + 18)  //ע᱾Queueʧ //NetQueue: register the local queue failed
#define EC_HD_CD_NET_REG_REMOTE_QUE                   (EC_HD_CD_NETQUEUE + 19)  //עԶQueueʧ //NetQueue: register the remote queue failed
#define EC_HD_CD_NET_QUEUE_ID_DIFF                          (EC_HD_CD_NETQUEUE + 20)  //ԶQueueID뱾IDƥ //NetQueue: the remote queue ID dismatches the local queue ID


/************************************************************************/
/*                      ZTPlay (117600 - 117700)                        */
/************************************************************************/
#define EC_HD_CD_ZTPLAY      (EC_RD_BASENO + 7600)
#define EC_HD_CD_ZTPLAY_STARTTIME_INVALID    (EC_HD_CD_ZTPLAY + 1)   //뿪ʼʱϷ //Invalid start time
#define EC_HD_CD_ZTPLAY_ENDTIME_INVALID      (EC_HD_CD_ZTPLAY + 2)   //ֹʱϷ //Invalid end time
#define EC_HD_CD_ZTPLAY_PLAYSEG_INVALID      (EC_HD_CD_ZTPLAY + 3)   //벥żϷ //Invalid playing time interval
#define EC_HD_CD_ZTPLAY_VALUEMODE_INVALID    (EC_HD_CD_ZTPLAY + 4)   //ֵģʽϷֻ֧01 //Invalid interpolation mode, only 0 or 1 is supported
#define EC_HD_CD_ZTPLAY_BACK_COLOR           (EC_HD_CD_ZTPLAY + 5)   //뱳ɫϷ //Invalid background color
#define EC_HD_CD_ZTPLAY_TEXT_COLOR           (EC_HD_CD_ZTPLAY + 6)   //ıɫϷ //Invalid font color
#define EC_HD_CD_ZTPLAY_PLAY_PERCENT         (EC_HD_CD_ZTPLAY + 7)   //벥ŵİٷֱȲϷ //Invalid percent of playing point
#define EC_HD_CD_ZTPLAY_SEPPD_UP_RATE        (EC_HD_CD_ZTPLAY + 8)   //ļʲϷ //Invalid rate of acceleration

/************************************************************************/
/*                      COM_Interface (117700 - 117800)                        */
/************************************************************************/
#define EC_HD_COM      (EC_RD_BASENO + 7700)
#define EC_HD_COM_SERVER_INVALID    (EC_HD_COM + 1)   //Ϸ //Invalid server parameter
#define EC_HD_COM_POINTER_INVALID      (EC_HD_COM + 2)   //ָϷ //Invalid pointer
#define EC_HD_COM_SHUZU_SIZE_INVALID      (EC_HD_COM + 3)   //СϷ //Invalid size of array
#define EC_HD_COM__INVALID2    (EC_HD_COM + 4)   //ֵģʽϷֻ֧01 //Invalid interpolation mode, only 0 or 1 is supported
#define EC_HD_COM__INVALID3          (EC_HD_COM + 5)   //뱳ɫϷ //Invalid background color
#define EC_HD_COM__INVALID4           (EC_HD_COM + 6)   //ıɫϷ //Invalid font color
#define EC_HD_COM__INVALID5         (EC_HD_COM + 7)   //벥ŵİٷֱȲϷ //Invalid percent of playing point
#define EC_HD_COM__INVALID6        (EC_HD_COM + 8)   //ļʲϷ //Invalid rate of acceleration

/************************************************************************/
/*                       HD3  (117800 ~ 119499)                         */         
/************************************************************************/
#define EC_HD3_BASE    (EC_RD_BASENO + 7800)
/* HD3 API */
#define EC_HD3_API_BASE    (EC_HD3_BASE)
#define EC_HD3_OBJECT_EXIST		(EC_HD3_BASE + 1) //ĶѴ //The added object has been existed
// delete #define EC_HD3_API_QUERY_END    (EC_HD3_API_BASE + 2)  // ѯ  // query end
#define EC_HD3_API_BATCH_REQUEST    (EC_HD3_API_BASE + 3)  // ʧܣе󶼳ɹ  // batch requests failed, not every request success
#define EC_HD3_API_NOT_CONNECT    (EC_HD3_API_BASE + 4)  // APIδ  // api not connected
#define EC_HD3_API_EMPTY_SEND_PACK    (EC_HD3_API_BASE + 5)  // ͰΪ  // empty send package
#define EC_HD3_API_EMPTY_RECV_PACK    (EC_HD3_API_BASE + 6)  // հΪ  // empty receive package
#define EC_HD3_API_INVALID_RESULTSET_HANDLE    (EC_HD3_API_BASE + 7)  // ЧĽ  // invalid resultset handle
#define EC_HD3_API_INVALID_TAG_CLASS (EC_HD3_API_BASE + 8)  // ЧTag  // invalid tag class
#define EC_HD3_API_UNSET_QUERY_PARAM  (EC_HD3_API_BASE + 9)  // δòѯ  // unset query parameter
#define EC_HD3_API_UNSUPPORT_REQUEST    (EC_HD3_API_BASE + 10)  // ֵ֧Ŀͻ  // un-supported request
#define EC_HD3_API_INVALID_COLLECTOR_NAME    (EC_HD3_API_BASE + 11)  // ɼǷ  // invalid collector name
#define EC_HD3_API_INVALID_COLLECTOR_DESC    (EC_HD3_API_BASE + 12)  // ɼǷ  // invalid collector description
#define EC_HD3_API_INVALID_COLLECTOR_EXT_PARAM    (EC_HD3_API_BASE + 13)  // ɼչǷ  // invalid collector ext param
#define EC_HD3_API_INVALID_DEVICE_NAME    (EC_HD3_API_BASE + 14)  // 豸Ƿ  // invalid device name
#define EC_HD3_API_INVALID_DEVICE_ADDR    (EC_HD3_API_BASE + 15)  // 豸ַǷ  // invalid device addr
#define EC_HD3_API_INVALID_DEVICE_DESC    (EC_HD3_API_BASE + 16)  // 豸Ƿ  // invalid device description
#define EC_HD3_API_INVALID_DEVICE_EXT_PARAM    (EC_HD3_API_BASE + 17)  // 豸չǷ  // invalid device ext param
#define EC_HD3_API_INVALID_SCANGROUP_NAME    (EC_HD3_API_BASE + 18)  // ɨǷ  // invalid scan group name
#define EC_HD3_API_INVALID_SCANGROUP_DESC    (EC_HD3_API_BASE + 19)  // ɨǷ  // invalid scan group description
#define EC_HD3_API_INVALID_SCANGROUP_EXT_PARAM    (EC_HD3_API_BASE + 20)  // ɨչǷ  // invalid scan group ext param
#define EC_HD3_API_INVALID_DATANODE_NAME    (EC_HD3_API_BASE + 21)  // ݽڵǷ  // invalid datanode name
#define EC_HD3_API_INVALID_DATANODE_DESC    (EC_HD3_API_BASE + 22)  // ݽڵǷ  // invalid datanode description
#define EC_HD3_API_INVALID_DATANODE_ADDR    (EC_HD3_API_BASE + 23)  // ݽڵַǷ  // invalid datanode address
#define EC_HD3_API_INVALID_DATANODE_MACHINE    (EC_HD3_API_BASE + 24)  // ݽڵǷ  // invalid datanode machine name
#define EC_HD3_API_BUCKET_TAGID    (EC_HD3_API_BASE + 25)  // ݽڵͰTagID  // bucket tagid according to data server error
#define EC_HD3_API_DATANODE_NOT_EXIST    (EC_HD3_API_BASE + 26)  // ݽڵ㲻 // datanode not exist
#define EC_HD3_API_SWITCH_CONFIGNODE    (EC_HD3_API_BASE + 27)  // лýڵ  // forbidden switch config node
#define EC_HD3_API_INNER_LOGIC_ERROR    (EC_HD3_API_BASE + 28)  // ڲ߼  // inner logic error
#define EC_HD3_API_INVALID_DIGITALSET_STATE_VALUE    (EC_HD3_API_BASE + 29)  // ״ֵ̬Ƿ  // invalid digitalset state value
#define EC_HD3_API_INVALID_VERSION_REGION    (EC_HD3_API_BASE + 30)  // 汾  // invalid version region
#define EC_HD3_API_INVALID_STRING_RECORD_BUFFER  (EC_HD3_API_BASE + 31)  // ַ͵ļ¼δ仺  // invalid string-record buffer
#define EC_HD3_API_USR_CHAR_LEN  (EC_HD3_API_BASE + 32)  // ûַ̫С  // user alloc char length is too small
#define EC_HD3_API_USR_ARRAY_SIZE  (EC_HD3_API_BASE + 33)  // û鳤̫С // user alloc array length is too small

#define EC_HD3_CC_BASE						(EC_RD_BASENO + 7900)
#define EC_HD3_CC_DATANODE_EXIST			(EC_HD3_CC_BASE + 1)//ݽڵѾ //data node already exist	
#define EC_HD3_CC_DATANODE_NOT_EXIST		(EC_HD3_CC_BASE + 2)//ݽڵ㲻 //data node not exist
#define EC_HD3_CC_DATANODE_MAIN_BACK_IP	(EC_HD3_CC_BASE + 3)//ݽڵIPͬ //data node host ip is the same as backup ip
#define EC_HD3_CC_DATANODE_LICENSE			(EC_HD3_CC_BASE + 4)//ڵLicenseϷ //data node license tag capcity not correct
#define EC_HD3_CC_NAME_NOT_EXIST			(EC_HD3_CC_BASE + 5)//ֲ //name not exist
#define EC_HD3_CC_QUERY_ITEM_NOT_EXIST			(EC_HD3_CC_BASE + 6)//ѯ //query item not exist
#define EC_HD3_CC_LOAD_XML				(EC_HD3_CC_BASE + 7)//XMLʧ //load xml failed
#define EC_HD3_CC_XML_ELEMENT				(EC_HD3_CC_BASE + 8)//XMLԪʧ //load xml element failed
#define EC_HD3_CC_XML_ATTRIBUTE				(EC_HD3_CC_BASE + 9)//XMLʧ //load xml attribute failed
#define EC_HD3_CC_LOG_CATEGORY			(EC_HD3_CC_BASE + 10)//ʼ־ʧ //logc init failed
#define EC_HD3_CC_DEL_TAG_FAILED			(EC_HD3_CC_BASE + 11)//ɾʧ //delete tags failed
#define EC_HD3_CC_QUERY_TAG_FAILED			(EC_HD3_CC_BASE + 12)//ѯʧ //query tags failed
#define EC_HD3_CC_ADD_TAG_FAILED			(EC_HD3_CC_BASE + 13)//ӵʧ //add tags failed
#define EC_HD3_CC_MODIFY_TAG_FAILED			(EC_HD3_CC_BASE + 14)//޸ĵʧ //modify tags failed
#define EC_HD3_CC_NAME_EXIST				(EC_HD3_CC_BASE + 15)//Ѿ //name has exist
#define EC_HD3_CC_ADD_MASK_ALARM_FAILED				(EC_HD3_CC_BASE + 16)//ӱʧ //add alarm failed
#define EC_HD3_CC_QUERY_MASK_ALARM_FAILED				(EC_HD3_CC_BASE + 17)//ѯʧ //query alarm failed
#define EC_HD3_CC_DELETE_NODE				(EC_HD3_CC_BASE + 18)//ɾڵʧܣڵѾ //delete node failed, there are tags on this node
#define EC_HD3_CC_DATANODE_NUM_MAX			(EC_HD3_CC_BASE + 19)//ݽڵﵽ128 //data node num reach 128	
#define EC_HD3_CC_AM_SOURCE_CLASS			(EC_HD3_CC_BASE + 20)//Դ㲻Ϊ //alarm source tag cannot be alarm tag
#define EC_HD3_CC_DATANODE_TAG_CAPACITY			(EC_HD3_CC_BASE + 21)//ڵTagϷСΪ1Ϊ5000000 //invalid datanode tag capacity must be in [1,5000000]
#define EC_HD3_CC_CALC_EXPR_HAS_STRING_OR_BLOB			(EC_HD3_CC_BASE + 22)//ʽstringblob͵ĵ // tag which type is string or blob exist in calc expr
#define EC_HD3_CC_NO_RY						(EC_HD3_CC_BASE + 23)//û//no ry config in configcenter
#define EC_HD3_CC_RY_BACKUP						(EC_HD3_CC_BASE + 24)//Ϊ// configcenter is backup machine
#define EC_HD3_CC_RY_UNAVILABLE						(EC_HD3_CC_BASE + 25)//Ϊ// configcenter is unavilable
#define EC_HD3_CC_RY_NOT_BACKUP						(EC_HD3_CC_BASE + 26)//ԶĲΪ// remote configcenter is not backup
#define EC_HD3_CC_RY_CFG_MUST_HOST_AND_BACKUP			(EC_HD3_CC_BASE + 27)//ͬʱ// host and backup configcenter must online
#define EC_HD3_CC_DATANODE_NOT_AVAILABLE		(EC_HD3_CC_BASE + 28)//ݽڵ㲻//data node not available 
/************************************************************************/
/*                       API  (119500 ~ 119999)                         */         
/************************************************************************/
#define EC_HD_API_BASENO						(EC_RD_BASENO + 9500)

/* invalid input parameter */
#define EC_HD_API_INVALID_PARAM_BASENO			(EC_HD_API_BASENO)
#define EC_HD_API_INVALID_POINTER				(EC_HD_API_INVALID_PARAM_BASENO + 1)//ӿڲΪNULLָ //Null pointer in interface parameters
#define EC_HD_API_INVALID_SERVERID				(EC_HD_API_INVALID_PARAM_BASENO + 2)//ӿڲ벻ϷHDHANDLE //Invalid iHyperDB handle in interface parameters
#define EC_HD_API_INVALID_PORT					(EC_HD_API_INVALID_PARAM_BASENO + 3)//ӿڲ벻ϷĶ˿ں //Invalid port in interface parameters
#define EC_HD_API_INVALID_IP					(EC_HD_API_INVALID_PARAM_BASENO + 4)//ӿڲ벻ϷIP //Invalid IP in interface parameters
#define EC_HD_API_INVALID_TAG_NAME				(EC_HD_API_INVALID_PARAM_BASENO + 5)//ӿڲ벻ϷTag //Invalid tag name in interface parameters
#define EC_HD_API_INVALID_TAG_DESC				(EC_HD_API_INVALID_PARAM_BASENO + 6)//ӿڲ벻ϷTag //Invalid tag description in interface parameters
#define EC_HD_API_INVALID_TAG_TYPE				(EC_HD_API_INVALID_PARAM_BASENO + 7)//ӿڲ벻ϷTag //Invalid tag type in interface parameters
#define EC_HD_API_INVALID_TAG_COMP_TYPE			(EC_HD_API_INVALID_PARAM_BASENO + 8)//ӿڲ벻ϷTagѹ //Invalid tag compression type in interface parameters
#define EC_HD_API_INVALID_TAG_ARCHIVEING		(EC_HD_API_INVALID_PARAM_BASENO + 9)//ӿڲ벻ϷTagǷ鵵 //Invalid tag property of archivement in interface parameters
#define EC_HD_API_INVALID_TAG_SCAN				(EC_HD_API_INVALID_PARAM_BASENO + 10)//ӿڲ벻ϷTagǷɨ //Invalid tag property of scanning in interface parameters
#define EC_HD_API_INVALID_TAG_COMP_DEV			(EC_HD_API_INVALID_PARAM_BASENO + 11)//ӿڲ벻ϷTagѹ //Invalid tag compression deviation in interface parameters
#define EC_HD_API_INVALID_TAG_ID				(EC_HD_API_INVALID_PARAM_BASENO + 12)//ӿڲ벻ϷTagID //Invalid tag ID in interface parameters
#define EC_HD_API_INVALID_TAG_IS_DELETE			(EC_HD_API_INVALID_PARAM_BASENO + 13)//ӿڲ벻ϷTagǷɾ //Invalid tag property of deletion in interface parameters
#define EC_HD_API_INVALID_TAG_COMP_DEV_PERCENT	(EC_HD_API_INVALID_PARAM_BASENO + 14)//ӿڲ벻ϷTagѹٷֱ //Invalid tag compression deviation percent in interface parameters
#define EC_HD_API_INVALID_TAG_EXC_MAX			(EC_HD_API_INVALID_PARAM_BASENO + 15)//ӿڲ벻ϷTagʱ //Invalid maximum time of tag exception test in interface parameters
#define EC_HD_API_INVALID_TAG_EXC_DEV			(EC_HD_API_INVALID_PARAM_BASENO + 16)//ӿڲ벻ϷTag //Invalid deviation of tag exception testTag in interface parameters
#define EC_HD_API_INVALID_TAG_EXC_MAX_MIN		(EC_HD_API_INVALID_PARAM_BASENO + 17)//ӿڲ벻ϷTagʱСڻСʱ //The maximum time of tag exception test is less than or equals to the minimum time in interface parameters
#define EC_HD_API_INVALID_TAG_SPAN				(EC_HD_API_INVALID_PARAM_BASENO + 18)//ӿڲ벻ϷTag //Invalid tag span in interface parameters
#define EC_HD_API_INVALID_TAG_COMP_MAX			(EC_HD_API_INVALID_PARAM_BASENO + 19)//ӿڲ벻Ϸѹʱ //Invalid compression timeout in interface parameters
#define EC_HD_API_INVALID_TAG_COMP_MIN			(EC_HD_API_INVALID_PARAM_BASENO + 20)//ӿڲ벻Ϸѹ //Invalid compression precision in interface parameters
#define EC_HD_API_INVALID_TAG_COMP_MAX_MIN		(EC_HD_API_INVALID_PARAM_BASENO + 21)//ӿڲ벻ϷTagѹʱѹȣѹȴѹʱ //Invalid tag compression timeout or compression precision in interface parameters; For example, the compression precision is bigger than the compression timeout
#define EC_HD_API_INVALID_TAG_SCAN_PERIOD		(EC_HD_API_INVALID_PARAM_BASENO + 22)//ӿڲ벻Ϸɨ //Invalid tag scan period in interface parameters
#define EC_HD_API_INVALID_TAG_CHANGER			(EC_HD_API_INVALID_PARAM_BASENO + 23)//ӿڲ벻ϷTag޸ //Invalid tag changer in interface parameters
#define EC_HD_API_INVALID_TAG_CREATOR			(EC_HD_API_INVALID_PARAM_BASENO + 24)//ӿڲ벻ϷTag //Invalid tag creator in interface parameters
#define EC_HD_API_INVALID_TAG_ENG_UINTS			(EC_HD_API_INVALID_PARAM_BASENO + 25)//ӿڲ벻ϷTag̵λ //Invalid tag engineering unit in interface parameters
#define EC_HD_API_INVALID_TAG_INSTURMENT_POINT  (EC_HD_API_INVALID_PARAM_BASENO + 26)//ӿڲ벻ϷTag豸 //Invalid tag instrument point name in interface parameters
#define EC_HD_API_INVALID_TAG_INTERFACE_NAME	(EC_HD_API_INVALID_PARAM_BASENO + 27)//ӿڲ벻ϷTagɼӿ //Invalid tag acquisition interface name in interface parameters
#define EC_HD_API_INVALID_TAG_REC_GROUP			(EC_HD_API_INVALID_PARAM_BASENO + 28)//ӿڲ벻ϷTag¼Ȩ //Invalid tag record authority group in interface parameters
#define EC_HD_API_INVALID_TAG_REC_OWNER			(EC_HD_API_INVALID_PARAM_BASENO + 29)//ӿڲ벻ϷTag¼ //Invalid tag record owner in interface parameters
#define EC_HD_API_INVALID_TAG_TAG_GROUP			(EC_HD_API_INVALID_PARAM_BASENO + 30)//ӿڲ벻ϷTagȨ //Invalid tag authority group in interface parameters
#define EC_HD_API_INVALID_TAG_OWNER				(EC_HD_API_INVALID_PARAM_BASENO + 31)//ӿڲ벻ϷTag //Invalid tag owner in interface parameters
#define EC_HD_API_INVALID_RECORD				(EC_HD_API_INVALID_PARAM_BASENO + 40)//ӿڲ벻Ϸĵļ¼粻Ϸļ¼ʱ䣬Ϸļ¼ȣϷļ¼¼ֵΪNULL //Invalid tag record in interface parameters; For example, invalid record time, invalid record length, invalid record quality or the record value is null
#define EC_HD_API_INVALID_RECORD_TIMESTAMP		(EC_HD_API_INVALID_PARAM_BASENO + 41)//ӿڲ벻Ϸļ¼ʱ //Invalid record timestamp in interface parameters
#define EC_HD_API_INVALID_RDTIMESTAMP			(EC_HD_API_INVALID_PARAM_BASENO + 42)//ӿڲ벻Ϸʱ //Invalid timestamp in interface parameters
#define EC_HD_API_INVALID_TIMEOUT				(EC_HD_API_INVALID_PARAM_BASENO + 44)//ӿڲ벻Ϸĳʱ //Invalid timeout in interface parameters
#define EC_HD_API_INVALID_RECCOUNT				(EC_HD_API_INVALID_PARAM_BASENO + 45)//ӿڲ벻Ϸļ¼ //Invalid record count in interface parameters
#define EC_HD_API_INVALID_REC_VALUE_LEN			(EC_HD_API_INVALID_PARAM_BASENO + 47)//ӿڲ벻Ϸļ¼ֵĳȣѯʱ¼ȲСڸ͵󳤶ȣ¼ʱ¼ȱڼ¼ʵʳ //Invalid length of record value in interface parameters; When querying records, the record length can not be less than the maximum length of current type; When saving records, the record length must equal to the record real length
#define EC_HD_API_INVALID_TAGCOUNT				(EC_HD_API_INVALID_PARAM_BASENO + 50)//ӿڲ벻Ϸĵĸ //Invalid tag count in interface parameters
#define EC_HD_API_INVALID_QUERYITME_ITEMID		(EC_HD_API_INVALID_PARAM_BASENO + 51)//ѯӿڲ벻ϷĲѯID //Invalid ID of the query item in conditional query interface parameters
#define EC_HD_API_INVALID_QUERYITME_RELATION	(EC_HD_API_INVALID_PARAM_BASENO + 52)//ѯӿڲ벻ϷĲѯϵ //Invalid query relation in conditional query interface parameters
#define EC_HD_API_INVALID_QUERYITME_VALUE_LEN	(EC_HD_API_INVALID_PARAM_BASENO + 53)//ѯӿڲ벻ϷĲѯֵ //Invalid value of the query item in conditional query interface parameters
#define EC_HD_API_INVALID_QUERY_ITEM_COUNT		(EC_HD_API_INVALID_PARAM_BASENO + 54)//ѯӿڲ벻ϷĲѯĸ //Invalid count of query items in conditional query interface parameters
#define EC_HD_API_INVALID_INTERFACE_NAME		(EC_HD_API_INVALID_PARAM_BASENO + 55)//ӿڲ벻ϷĲɼӿ //Invalid acquisition interface name in interface parameters
#define EC_HD_API_INVALID_MASK_TAG_NAME			(EC_HD_API_INVALID_PARAM_BASENO + 60)//ӿڲ벻Ϸ룬ӵʱ벻 //Invalid mask in interface parameters; For example, there is tag name in mask when adding tag
#define EC_HD_API_INVALID_MASK_TAG_TYPE			(EC_HD_API_INVALID_PARAM_BASENO + 61)//ӿڲ벻Ϸ룬ӵʱ벻 //Invalid mask in interface parameters; For example, there is tag type in mask when adding tag
#define	EC_HD_API_INVALID_MASK_CHANGE_DATE		(EC_HD_API_INVALID_PARAM_BASENO + 62)//ӿڲ벻Ϸ룬޸ĵʱ޸ //Invalid mask in interface parameters; For example, there is modify date in mask when modifying tag
#define	EC_HD_API_INVALID_MASK_CREATION_DATE	(EC_HD_API_INVALID_PARAM_BASENO + 63)//ӿڲ벻Ϸ룬޸ĵʱĴ //Invalid mask in interface parameters; For example, there is create date in mask when modifying tag
#define	EC_HD_API_INVALID_MASK_TAGID			(EC_HD_API_INVALID_PARAM_BASENO + 64)//ӿڲ벻Ϸ룬޸ĵʱID //Invalid mask in interface parameters For example, there is tag ID in mask when modifying tag
#define	EC_HD_API_INVALID_MASK_EXC				(EC_HD_API_INVALID_PARAM_BASENO + 65)//ӿڲ벻Ϸ룬ӻ޸ĵʱûͬʱı //Invalid mask in interface parameters; For example, there are no upper or lower limits of the alarm in mask when adding or modifying tag
#define EC_HD_API_INVALID_MASK_COMP				(EC_HD_API_INVALID_PARAM_BASENO + 66)//ӿڲ벻Ϸ룬ӻ޸ĵʱûͬʱѹʱѹ //Invalid mask in interface parameters; For example, there are no compression timeout or compression precision in mask when adding or modifying tag
#define EC_HD_API_INVALID_DIGITAL_SET_NAME		(EC_HD_API_INVALID_PARAM_BASENO + 67)//ӿڲ벻Ϸ״̬ //Invalid digital set name in interface parameters
#define EC_HD_API_INVALID_DIGITAL_SET_STATE_NAME	(EC_HD_API_INVALID_PARAM_BASENO + 68)//ӿڲ벻Ϸ״̬״̬ //Invalid digital set state name in interface parameters
#define EC_HD_API_INVALID_DIGITAL_SET_STATE_COUNT	(EC_HD_API_INVALID_PARAM_BASENO + 69)//ӿڲ벻Ϸ״̬״̬ //Invalid count of digital set state names in interface parameters
#define EC_HD_API_INVALID_DIGITAL_SET_COUNT		(EC_HD_API_INVALID_PARAM_BASENO + 70)//ӿڲ벻Ϸ״̬Ƶĸ //Invalid count of digital set names in interface parameters
#define EC_HD_API_INVALID_DIGITAL_SET_FIGURE	(EC_HD_API_INVALID_PARAM_BASENO + 71)//ӿڲֵ͵DigitalSet //Numerical digital set in interface parameters
#define EC_HD_API_INVALID_STARTTIME_ENDTIME		(EC_HD_API_INVALID_PARAM_BASENO + 72)//ʼʱڽʱ //The start time is greater than the end time
#define EC_HD_API_INVALID_MASK_SOURCE_TAG		(EC_HD_API_INVALID_PARAM_BASENO + 73)//ӿڲ벻Ϸ룬ӱʱ֣޸ıʱ벻ܰ //Invalid mask in interface parameters; There must be detected source tag name in mask when adding alarm tag; There can not be detected source tag name in mask when modifying alarm tag
#define EC_HD_API_INVALID_TAG_PROP_AUTOACK		(EC_HD_API_INVALID_PARAM_BASENO + 74)//ӿڲ벻ϷıԶȷ //Invalid tag property of alarm auto acknowledgement in interface parameters
#define EC_HD_API_INVALID_ALARM_GROUP_NAME_LEN	(EC_HD_API_INVALID_PARAM_BASENO + 75)//ӿڲ벻Ϸı,Ϊַ߳ȳƵ󳤶 //Invalid length of alarm group name in interface parameters; For example, the name is null or the length of name is bigger than the maximum length of alarm group name
#define EC_HD_API_INVALID_ALARM_GROUP_DESC_LEN	(EC_HD_API_INVALID_PARAM_BASENO + 76)//ӿڲ벻Ϸı //Invalid length of alarm group description in interface parameters
#define EC_HD_API_INVALID_ALARM_GROUP_ID		(EC_HD_API_INVALID_PARAM_BASENO + 77)//ӿڲ벻ϷıID, IDΪ0 //Invalid alarm group ID in interface parameters; For example, the ID is zero
#define EC_HD_API_INVALID_GROUP_NUM				(EC_HD_API_INVALID_PARAM_BASENO + 78)//ӿڲ벻Ϸı //Invalid count of alarm groups in interface parameters
#define EC_HD_API_INVALID_TAG_NUM				(EC_HD_API_INVALID_PARAM_BASENO + 79)//ӿڲ벻Ϸĵ //Invalid count of tags in interface parameters
#define EC_HD_API_INVALID_TAG_PROP_TEST_ACTION	(EC_HD_API_INVALID_PARAM_BASENO + 80)//ӻ޸ıʱɶԵTESTACTIONԱͬʱӻͬʱ޸ģTEST1ACTION1ͬʱӻ޸ //When adding or modifying the alarm tag, the properties of TEST and ACTION in pairs must be added or modified at the same time; For example, TEST1 and ACTION1 must be added or modified at the same time
#define EC_HD_API_INVALID_MONITOR_TYPE			(EC_HD_API_INVALID_PARAM_BASENO + 81)//Ϸļӵ //Invalid type of monitoring tag
#define EC_HD_API_INVALID_TAG_ACCESS			(EC_HD_API_INVALID_PARAM_BASENO + 82)//ϷĵȨ //Invalid tag authority
#define EC_HD_API_INVALID_REC_ACCESS			(EC_HD_API_INVALID_PARAM_BASENO + 83)//Ϸļ¼Ȩ //Invalid record authority

#define EC_HD_API_INVALID_SEC_USER_NAME         (EC_HD_API_INVALID_PARAM_BASENO + 85)//ӿڲ벻Ϸ û  //Invalid user name in interface parameters
#define EC_HD_API_INVALID_SEC_USER_DESC         (EC_HD_API_INVALID_PARAM_BASENO + 86)//ӿڲ벻Ϸ û  //Invalid user description in interface parameters
#define EC_HD_API_INVALID_SEC_PASSWORD          (EC_HD_API_INVALID_PARAM_BASENO + 87)//ӿڲ벻Ϸ û  //Invalid user password in interface parameters
#define EC_HD_API_INVALID_SEC_GROUP_NAME        (EC_HD_API_INVALID_PARAM_BASENO + 88)//ӿڲ벻Ϸ   //Invalid group name in interface parameters
#define EC_HD_API_INVALID_SEC_GROUP_DESC        (EC_HD_API_INVALID_PARAM_BASENO + 89)//ӿڲ벻Ϸ   //Invalid group description in interface parameters
#define EC_HD_API_INVALID_SEC_TRUST_NAME        (EC_HD_API_INVALID_PARAM_BASENO + 90)//ӿڲ벻Ϸ   //Invalid trust name in interface parameters
#define EC_HD_API_INVALID_SEC_TRUST_IP          (EC_HD_API_INVALID_PARAM_BASENO + 91)//ӿڲ벻Ϸ IP  //Invalid trust IP in interface parameters
#define EC_HD_API_INVALID_SEC_START_ID          (EC_HD_API_INVALID_PARAM_BASENO + 92)//ӿڲ벻Ϸ ѯʼID  //Invalid query start ID in interface parameters
#define EC_HD_API_INVALID_SEC_QUERY_NUMBER      (EC_HD_API_INVALID_PARAM_BASENO + 93)//ӿڲ벻Ϸ ѯĿ  //Invalid query number in interface parameters
#define EC_HD_API_INVALID_SEC_USER_POINTER      (EC_HD_API_INVALID_PARAM_BASENO + 94)//ӿڲ벻Ϸ ûָ  //Invalid user pointer in interface parameters
#define EC_HD_API_INVALID_SEC_GROUP_POINTER     (EC_HD_API_INVALID_PARAM_BASENO + 95)//ӿڲ벻Ϸ ָ  //Invalid group pointer in interface parameters
#define EC_HD_API_INVALID_SEC_TRUST_POINTER     (EC_HD_API_INVALID_PARAM_BASENO + 96)//ӿڲ벻Ϸ ָ  //Invalid trust pointer in interface parameters
#define EC_HD_API_INVALID_SEC_ITEM_TYPE         (EC_HD_API_INVALID_PARAM_BASENO + 97)//ӿڲ벻Ϸ ȫ  //Invalid safety item type in interface parameters
#define EC_HD_API_INVALID_SEC_ITEM_POINTER      (EC_HD_API_INVALID_PARAM_BASENO + 98)//ӿڲ벻Ϸ ȫָ  //Invalid sfety item pointer in interface parameters
#define EC_HD_API_INVALID_SEC_ITEM_SEC          (EC_HD_API_INVALID_PARAM_BASENO + 99)//ӿڲ벻Ϸ TagȫȨ  //Invalid tag security permissions in interface parameters

#define EC_HD_API_RECV_TAG_COUNT				    (EC_HD_API_INVALID_PARAM_BASENO + 101)//ѯյTagĿԤȷĶ //The count of received tags is more than that of alloted in advance in conditional query
#define EC_HD_API_RECV_END_TAGID				    (EC_HD_API_INVALID_PARAM_BASENO + 102)//ѯEndTagIDСStartTagID //The end tag ID is smaller than the start tag ID in conditional query
#define EC_HD_API_CONVERT_TIME_TO_SECOND		    (EC_HD_API_INVALID_PARAM_BASENO + 106)//ʱתΪʱʱʧ //Convert relative time to absolute time failed
#define EC_HD_API_MAP							    (EC_HD_API_INVALID_PARAM_BASENO + 107)//޷ҵAPIڲMAP //The internal cache MAP in API can not be found
#define EC_HD_API_SAVE_SNAPSHOTS_FAILED			    (EC_HD_API_INVALID_PARAM_BASENO + 109)//ʧܣеĶɹ //Save snapshots failed; Not all snapshots were saved successfully
#define EC_HD_API_QUERY_SNAPSHOTS_FAILED		    (EC_HD_API_INVALID_PARAM_BASENO + 110)//ѯʧܣеĶɹ //Query snapshots failed;Not all snapshots were queried successfully
#define EC_HD_API_QUERY_INTERP_REC_FAILED		    (EC_HD_API_INVALID_PARAM_BASENO + 111)//¼ĲֵѯʧܣеĶɹ //Interpolation query of records failed; Not all interpolation query successfully
#define EC_HD_API_LEN_RECV						    (EC_HD_API_INVALID_PARAM_BASENO + 113)//APIӷ˽յݰȲȷ //The length of packet that API received from the server is incorrect
#define EC_HD_API_MUTEX_INIT					    (EC_HD_API_INVALID_PARAM_BASENO + 114)//ʼʧ //Initialize the lock failed
#define EC_HD_API_DIGITAL_SET_NOT_EXIST			    (EC_HD_API_INVALID_PARAM_BASENO + 115)//״̬ڿͻ˻в //The digital set does not exist in the client cache
#define EC_HD_API_DIGITAL_SET_STATE_COUNT_NOT_ENOUGH	(EC_HD_API_INVALID_PARAM_BASENO + 116)//ѯ״̬ʱһβ꣬ûĿռ䲻 //All the states of the digital set must be queryed in one time; The space allocated by the user is not enough
#define EC_HD_API_INVALID_PROCCOMM_HANDLE		    (EC_HD_API_INVALID_PARAM_BASENO + 117)//APIBuffer̼ͨŵľΪ //The handle of the interprocess communication between buffer and API is null
#define EC_HD_API_TIME_OUT						    (EC_HD_API_INVALID_PARAM_BASENO + 118)//ڵAPIӿڵĹз˳ʱĽܺͷ //There is timeout in the call of the API interfaces, such as network receiving and sending
#define EC_HD_API_DIGITALSET_STATE_TOO_LARGER	    (EC_HD_API_INVALID_PARAM_BASENO + 119)//ֵ͵DigitalSet״̬ڻ״̬ //The state of numerical digital set equals or is bigger than the count of states
#define EC_HD_API_CONVERT_SECOND_TO_TIME		    (EC_HD_API_INVALID_PARAM_BASENO + 120)//ʱתΪʱʧ //Convert the absolute time to relative time failed
#define EC_HD_API_NOT_ENOUGH_SPACE				    (EC_HD_API_INVALID_PARAM_BASENO + 121)//ѯʱĿռ䲻 //No enough space allocated in query
#define EC_HD_API_RECV_VALUE					    (EC_HD_API_INVALID_PARAM_BASENO + 122)//APIյķ˵ݰеֵȷ //The value in the packet that API received from the server is incorrect
#define EC_HD_API_AM_QUERY_GROUP_NAMES_FAILED	    (EC_HD_API_INVALID_PARAM_BASENO + 123)//ѯʧܣеĲѯɹ //Query alarm group names failed; Not all queries succeeded
#define EC_HD_API_AM_QUERY_SNAPSHOTS_FAILED		    (EC_HD_API_INVALID_PARAM_BASENO + 124)//ѯʵʱ¼ʧܣеĲѯɹ //Query real time alarm records failed;Not all queries succeeded
#define EC_HD_API_AM_QUERY_TAG_NAMES_FAILED		    (EC_HD_API_INVALID_PARAM_BASENO + 125)//ѯʧܣеĲѯɹ	 //Query multiple alarm tag names failed; Not all queries succeeded
#define EC_HD_API_QUERY_END						    (EC_HD_API_INVALID_PARAM_BASENO + 126)//ѯ //The iterator of query ended
#define EC_HD_API_QUERY_ALARM_GROUP_PROPS_FAILED	(EC_HD_API_INVALID_PARAM_BASENO + 127)//ѯʧܣеĲѯɹ //Query properties of multiple alarm groups failed; Not all queries succeeded
#define EC_HD_API_INVALID_QUERY_TAG_NUM             (EC_HD_API_INVALID_PARAM_BASENO + 128)//ҳѯ벻ϷTagѯ //Invalid count of queried tags in page-turn conditional query
#define EC_HD_API_INVALID_BUF_LEN                   (EC_HD_API_INVALID_PARAM_BASENO + 129)//ϷĻ //Invalid length of buffer
#define EC_HD_API_HOST_BACKUP_NOT_EXIST             (EC_HD_API_INVALID_PARAM_BASENO + 130)//ļϢ //There is no information of the host and backup servers in the cache file
#define EC_HD_API_HOST_BACKUP_ADDR                  (EC_HD_API_INVALID_PARAM_BASENO + 131)//ַûָIPַ //There are no specified IP addresses in the configuration of the host and backup servers
#define EC_HD_API_CONNECT_FAILED					(EC_HD_API_INVALID_PARAM_BASENO + 132)//ʧ //Connect to the network failed
#define EC_HD_API_INVALID_MASK_STATS_SOURCE_TAG_NAME		(EC_HD_API_INVALID_PARAM_BASENO + 133)//Ϸ룬ûаص //Invalid mask;There is no monitored source tag name in mask
#define EC_HD_API_INVALID_MASK_STATS_TYPE				(EC_HD_API_INVALID_PARAM_BASENO + 134)//Ϸ룬ûаͳ //Invalid mask; There is no statistical type in mask
#define EC_HD_API_INVALID_MASK_STATS_SAMPLE_MODE		(EC_HD_API_INVALID_PARAM_BASENO + 135)//Ϸ룬ûаͳģʽ //Invalid mask; There is no statistical mode in mask
#define EC_HD_API_INVALID_MASK_STATS_COUNT_PARAM1		(EC_HD_API_INVALID_PARAM_BASENO + 136)//Ϸ룬ûаCountParam1 //Invalid mask; There is no count parameter 1 in mask
#define EC_HD_API_INVALID_MASK_STATS_COUNT_PARAM2		(EC_HD_API_INVALID_PARAM_BASENO + 137)//Ϸ룬ûаCountParam2 //Invalid mask; There is no count parameter 2 in mask
#define EC_HD_API_INVALID_STATS_TYPE					(EC_HD_API_INVALID_PARAM_BASENO + 138)//Ϸͳ //Invalid statistical type
#define EC_HD_API_INVALID_STATS_START_DATE				(EC_HD_API_INVALID_PARAM_BASENO + 139)//ϷͳƲʼ //Invalid statistical sampling start date
#define EC_HD_API_INVALID_STATS_SAMPLE_MODE			(EC_HD_API_INVALID_PARAM_BASENO + 140)//ϷͳƲģʽ //Invalid statistical sampling mode
#define EC_HD_API_INVALID_STATS_SAMPLE_INTERVAL		(EC_HD_API_INVALID_PARAM_BASENO + 141)//ϷͳƲ(ȼģʽ) //Invalid statistical sampling interval(Equal interval mode)
#define EC_HD_API_INVALID_STATS_BEGIN_END_OFFSET			(EC_HD_API_INVALID_PARAM_BASENO + 142)//ϷͳƲʼʱͽʱ(ͬʱģʽ) //Invalid statistical sampling start date and end time (mode of the same time)
#define EC_HD_API_INVALID_STATS_CALC_PERIOD					(EC_HD_API_INVALID_PARAM_BASENO + 143)//ϷͳƼ //Invalid statistical calc cycle
#define EC_HD_API_INVALID_STATS_PERIOD					(EC_HD_API_INVALID_PARAM_BASENO + 144)//Ϸͳ //Invalid statistical cycle
#define EC_HD_API_INVALID_STATS_PHASE					(EC_HD_API_INVALID_PARAM_BASENO + 145)//Ϸͳλ //Invalid statistical phase
#define EC_HD_API_INVALID_STATS_PCT_GOOD				(EC_HD_API_INVALID_PARAM_BASENO + 146)//ϷͳСŶ //Invalid statistical minimum confidence
#define EC_HD_API_INVALID_STATS_COUNT_CHG_VALUES		(EC_HD_API_INVALID_PARAM_BASENO + 147)//ȷ //Invalid counting parameter of changed values
#define EC_HD_API_GOOD_PERCENT_TOO_LOW				(EC_HD_API_INVALID_PARAM_BASENO + 148)//ΪGoodĵָζ //The count of points whose qualities are good are less than the specified confidence
#define EC_HD_API_INVALID_WEIGHT_MODE				(EC_HD_API_INVALID_PARAM_BASENO + 149)//ͳƽӿڷǷȨģʽ //Invalid weight mode in statistical interface
#define EC_HD_API_INVALID_QUALITY_MODE				(EC_HD_API_INVALID_PARAM_BASENO + 150)//ͳƽӿڷǷģʽ //Invalid quality mode in statistical interface
#define EC_HD_API_INVALID_COUNT_CONDITION_VALUE		(EC_HD_API_INVALID_PARAM_BASENO + 151)//CountͳƵ㣬Ƿֵ //Invalid condition value for counting statistical tag
#define EC_HD_API_NO_DATA_IN_TIME_REGION		(EC_HD_API_INVALID_PARAM_BASENO + 152)//ָʱ //There is no data in the specified time interval
#define EC_HD_API_INVALID_STATS_BAD_MODE		(EC_HD_API_INVALID_PARAM_BASENO + 153)//Ϸģʽ //Invalid mode of discarding bad points
#define EC_HD_API_INVALID_STATS_SAMPLE_MONTH_BEGIN_DAY		(EC_HD_API_INVALID_PARAM_BASENO + 154)//ϷͳʼգʼշΧΪ1-31 //Invalid start date for monthly statistics; The range of staring date is from 1 to 31
#define EC_HD_API_INVALID_STATS_SAMPLE_MONTH_END_DAY		(EC_HD_API_INVALID_PARAM_BASENO + 155)//ϷͳƽգշΧΪ1-31 //Invalid end date for monthly statistics; The range of end date is from 1 to 31
#define EC_HD_API_INVALID_MASK_STATS_SAMPLE_BEGIN_END_OFFSET (EC_HD_API_INVALID_PARAM_BASENO + 156)//ͳƺͳտʼʱսʱ //There must be start date and end date in mask for dayly and monthly statistics
#define EC_HD_API_INVALID_MASK_STATS_SAMPLE_START_DATE  (EC_HD_API_INVALID_PARAM_BASENO + 157)//ͳʼʱ //There must be sampling start date in statistical mask
#define EC_HD_API_INVALID_MASK_STATS_SAMPLE_INTERVAL	 (EC_HD_API_INVALID_PARAM_BASENO + 158)// //There must be sampling interval mask
#define EC_HD_API_INVALID_MASK_STATS_SAMPLE_MONTH_BEGIN_END_DAY   (EC_HD_API_INVALID_PARAM_BASENO + 159)	//ͳ¿ʼ½ //There must be start date and end date in monthly statistics mask
#define EC_HD_API_INVALID_MASK_CALC_MODE		(EC_HD_API_INVALID_PARAM_BASENO + 160)//Ϸ룬ûаģʽ //Invalid mask; There is no calculation mode in mask
#define EC_HD_API_INVALID_MASK_CALC_PERIOD		(EC_HD_API_INVALID_PARAM_BASENO + 161)//Ϸ룬ûа //Invalid mask;There is no calculation period in mask
#define EC_HD_API_INVALID_MASK_CALC_EXPR		(EC_HD_API_INVALID_PARAM_BASENO + 162)//Ϸ룬ûаʽ //Invalid mask; There is no calculation expression in mask

#define EC_HD_API_INVALID_CALC_MODE			(EC_HD_API_INVALID_PARAM_BASENO + 163)//Ϸļģʽ //Invalid calculation mode
#define EC_HD_API_INVALID_CALC_PERIOD			(EC_HD_API_INVALID_PARAM_BASENO + 164)//Ϸļ //Invalid calculation period
#define EC_HD_API_INVALID_CALC_EXPR			(EC_HD_API_INVALID_PARAM_BASENO + 165)//Ϸļʽ //Invalid calculation expression
#define EC_HD_API_INVALID_TAG_IDS				(EC_HD_API_INVALID_PARAM_BASENO + 166)//TagIDIDظ //There are duplicated IDs in the array of tag IDs
#define EC_HD_API_INVALID_COLLECTOR_TYPE		(EC_HD_API_INVALID_PARAM_BASENO + 167)//ϷĲɼ //Invalid collector type
#define EC_HD_API_INVALID_REC_INTERP_MODE		(EC_HD_API_INVALID_PARAM_BASENO + 168)//Ϸļ¼ֵģʽ //Invalid interpolation mode of records
#define EC_HD_API_INVALID_TAG_PROP_TIME_DEADBAND		(EC_HD_API_INVALID_PARAM_BASENO + 169)//ӿڲ벻Ϸıʱ //Invalid tag property of alarm time deadband in interface parameters
#define EC_HD_API_INVALID_TAG_PROP_VALUE_DEADBAND	(EC_HD_API_INVALID_PARAM_BASENO + 170)//ӿڲ벻Ϸıֵ //Invalid tag property of alarm value deadband in interface parameters

#define EC_HD_API_INVALID_MASK_CALC_CALCHISTORY		(EC_HD_API_INVALID_PARAM_BASENO + 171)//Ϸ룬ûаǷʷ //Invalid mask; Whether the historical data should be calculated is not included in mask
#define EC_HD_API_INVALID_MASK_CALC_STARTTIME		(EC_HD_API_INVALID_PARAM_BASENO + 172)//Ϸ룬ûа㿪ʼʱ //Invalid mask; There is no calculation start time in mask
#define EC_HD_API_INVALID_MASK_CALC_HAVEENDTIME		(EC_HD_API_INVALID_PARAM_BASENO + 173)//Ϸ룬ûаǷнʱ //Invalid mask; Whether there is the end time is not included in mask
#define EC_HD_API_INVALID_MASK_CALC_ENDTIME		(EC_HD_API_INVALID_PARAM_BASENO + 174)//Ϸ룬ûаʱ //Invalid mask; There is no calculation end time in mask

#define EC_HD_API_INVALID_CALC_CALCHISTORY		(EC_HD_API_INVALID_PARAM_BASENO + 175)//ϷǷʷ //Invalid parameter of whether the historical data should be calculated
#define EC_HD_API_INVALID_CALC_STARTTIME		(EC_HD_API_INVALID_PARAM_BASENO + 176)//Ϸļ㿪ʼʱ //Invalid calculation start time
#define EC_HD_API_INVALID_CALC_HAVEENDTIME		(EC_HD_API_INVALID_PARAM_BASENO + 177)//ϷǷнʱ //Invalid parameter of whether there is the end time
#define EC_HD_API_INVALID_CALC_ENDTIME		(EC_HD_API_INVALID_PARAM_BASENO + 178)//ϷĽʱ //Invalid calculation end time
#define EC_HD_API_INVALID_ADD_TAG_NUM		(EC_HD_API_INVALID_PARAM_BASENO + 179)//Tag̫ //The count of newly added tags is too many
#define EC_HD_API_DUPLICATE_STATE_VALUE		(EC_HD_API_INVALID_PARAM_BASENO + 180)//ظ״ֵ̬ //Duplicated state value
#define EC_HD_API_DUPLICATE_TAG_NAME		(EC_HD_API_INVALID_PARAM_BASENO + 181)//ظTag //Duplicated tag name
#define EC_HD_API_STATE_VALUE_NO_EXIST		(EC_HD_API_INVALID_PARAM_BASENO + 182)//״̬ڸ״ֵ̬ //The state value does not exist in the digital set
#define EC_HD_API_CT_INVALID_CT_STATUS_VALUE	(EC_HD_API_INVALID_PARAM_BASENO + 183) //ϷĲɼ״ֵ̬ //Invalid status value of the collector
#define EC_HD_API_CT_INVALID_DEVICE_STATUS_VALUE	(EC_HD_API_INVALID_PARAM_BASENO + 184) //Ϸ豸״ֵ̬ //Invalid status value of the device
#define EC_HD_API_CT_QUERY_STATUS_INFO_FAILED		(EC_HD_API_INVALID_PARAM_BASENO + 185) //ѯɼ豸״̬Ϣʧ //Query the status information of the collector or device failed
#define EC_HD_API_PT_ADD_TAGS_FAILED		(EC_HD_API_INVALID_PARAM_BASENO + 186) //еĵ㶼ӳɹ //Not all tags were added successfully

#define EC_HD_API_INVALID_MASK_SPC_SOURCE_TAG_NAME	(EC_HD_API_INVALID_PARAM_BASENO + 187)//ûаԴ //There is no SPC source tag name in mask
#define EC_HD_API_INVALID_MASK_SPC_CTRL_CHART_TYPE	(EC_HD_API_INVALID_PARAM_BASENO + 188)//ûаͼ //There is no control chart type in mask
#define EC_HD_API_INVALID_MASK_SPC_RULE	(EC_HD_API_INVALID_PARAM_BASENO + 189)//ûа //There is no pattern tests in mask
#define EC_HD_API_INVALID_SPC_CTRL_CHART_TYPE		(EC_HD_API_INVALID_PARAM_BASENO + 190)//ϷĿͼ //Invalid control chart type
#define EC_HD_API_INVALID_SPC_TRIGGLE_MODE		(EC_HD_API_INVALID_PARAM_BASENO + 191)//ϷĴģʽ //Invalid trigger mode
#define EC_HD_API_INVALID_SPC_SAMPLE_SIZE		(EC_HD_API_INVALID_PARAM_BASENO + 192)//ϷĲ //Invalid sampling size
#define EC_HD_API_INVALID_SPC_SAMPLE_INTERVAL		(EC_HD_API_INVALID_PARAM_BASENO + 193)//ϷĲ //Invalid sampling interval
#define EC_HD_API_INVALID_SPC_RULE1_M		(EC_HD_API_INVALID_PARAM_BASENO + 194)//Ϸ1Mֵ //Invalid M value of pattern test 1
#define EC_HD_API_INVALID_SPC_RULE2_M		(EC_HD_API_INVALID_PARAM_BASENO + 195)//Ϸ2Mֵ //Invalid M value of pattern test 2
#define EC_HD_API_INVALID_SPC_RULE3_M		(EC_HD_API_INVALID_PARAM_BASENO + 196)//Ϸ3Mֵ //Invalid M value of pattern test 3
#define EC_HD_API_INVALID_SPC_RULE4_M		(EC_HD_API_INVALID_PARAM_BASENO + 197)//Ϸ4Mֵ //Invalid M value of pattern test 4
#define EC_HD_API_INVALID_SPC_RULE5_M		(EC_HD_API_INVALID_PARAM_BASENO + 198)//Ϸ5Mֵ //Invalid M value of pattern test 5
#define EC_HD_API_INVALID_SPC_RULE5_N		(EC_HD_API_INVALID_PARAM_BASENO + 199)//Ϸ5Nֵ //Invalid N value of pattern test 5
#define EC_HD_API_INVALID_SPC_RULE6_M		(EC_HD_API_INVALID_PARAM_BASENO + 200)//Ϸ6Mֵ //Invalid M value of pattern test 6
#define EC_HD_API_INVALID_SPC_RULE6_N		(EC_HD_API_INVALID_PARAM_BASENO + 201)//Ϸ6Nֵ //Invalid N value of pattern test 6
#define EC_HD_API_INVALID_SPC_RULE7_M		(EC_HD_API_INVALID_PARAM_BASENO + 202)//Ϸ7Mֵ //Invalid M value of pattern test 7
#define EC_HD_API_INVALID_SPC_RULE8_M		(EC_HD_API_INVALID_PARAM_BASENO + 203)//Ϸ8Mֵ //Invalid M value of pattern test 8
#define EC_HD_API_INVALID_SPC_DAFAULT_VALUE		(EC_HD_API_INVALID_PARAM_BASENO + 204)//ϷĿĬֵ //Invalid default values of control limits
#define EC_HD_API_SPC_QUERY_TAG_NAMES_FAILED		(EC_HD_API_INVALID_PARAM_BASENO + 205)//ѯTagûȫɹ //When querying a plurality of tag names, not all succeeded
#define EC_HD_API_SPC_QUERY_SNAPSHOTS_FAILED		(EC_HD_API_INVALID_PARAM_BASENO + 206)//ѯʵʱSPC¼ʧܣеĲѯɹ //Query real time SPC alarm records failed; Not all queries succeeded
#define EC_HD_API_QUERY_TAG_IDS_FAILED				(EC_HD_API_INVALID_PARAM_BASENO + 207)//ѯTagIDʧܣеĲѯɹ //Query a plurality of tag IDs failed; Not all queries succeeded
#define EC_HD_API_INVALID_QUERY_ITEM        (EC_HD_API_INVALID_PARAM_BASENO + 208)//ѯΪ //The query conditions are empty
#define EC_HD_API_QUERY_TAGS_BAISC_INFO_FAILED				(EC_HD_API_INVALID_PARAM_BASENO + 209)//ƲѯTagϢʧܣеĲѯɹ //Query multiple tag basic informations by tag names failed; Not all queries succeeded
#define EC_HD_API_QUERY_TAGS_PROP_FAILED				(EC_HD_API_INVALID_PARAM_BASENO + 210)//IDѯTagʧܣеĲѯɹ //Query multiple tag basic properties by tag IDs failed; Not all queries succeeded
#define EC_HD_API_OPC_RELEASE_TAGS_FAILED				(EC_HD_API_INVALID_PARAM_BASENO + 211)//OPCʧܣеĵöɹ //Set multiple tags to be released by OPC failed; Not all settings succeeded 
#define EC_HD_API_OPC_UNRELEASE_TAGS_FAILED				(EC_HD_API_INVALID_PARAM_BASENO + 212)//ȡOPCʧܣȲеĵȡɹ //Cancel the OPC release states of multiple tags failed; Not all cancel succeeded 
#define EC_HD_API_OPC_QUERY_TAGS_STATE_FAILED			(EC_HD_API_INVALID_PARAM_BASENO + 213)//IDѯOPC״̬ʧܣеĲѯɹ //Query the OPC release states of multiple tags by IDs failed; Not all queried succeeded
#define EC_HD_API_OPC_SET_TAGS_STATE_FAILED				(EC_HD_API_INVALID_PARAM_BASENO + 214)//öOPC״̬ʧܣеöɹ //Set the OPC release states of multiple tags failed; Not all settings succeeded 
#define EC_HD_API_STATS_CALC_INVALID_TIMEREGION_NUM				(EC_HD_API_INVALID_PARAM_BASENO + 215)//ЧͳƼʱ //Invalid stats calc time region num 
#define EC_HD_API_STATS_CALC_NULL_TIMEREGION_PTR				(EC_HD_API_INVALID_PARAM_BASENO + 216)// ʱָΪָ //Null time region ptr 
#define EC_HD_API_STATS_INVALID_PERCENT_GOOD_VAL				(EC_HD_API_INVALID_PARAM_BASENO + 217)// Чζ //Invalud percent good value 
#define EC_HD_API_STATS_INVALID_SAMPLE_TYPE						(EC_HD_API_INVALID_PARAM_BASENO + 218)// ЧĲ //Invalud sample type
#define EC_HD_API_STATS_INVALID_INTER_PERIOD						(EC_HD_API_INVALID_PARAM_BASENO + 219)// ЧĲֵ //Invalid interpolate period
#define EC_HD_API_STATS_INVALID_INTER_OFFSET						(EC_HD_API_INVALID_PARAM_BASENO + 220)// ЧĲֵƫ //Invalud interpolate offset
#define EC_HD_API_STATS_CALC_SAMPLE_END							(EC_HD_API_INVALID_PARAM_BASENO + 221)// ͳƼ //Stats calce sample end
#define EC_HD_API_STATS_CALC_NO_SUPPORT_MULTI_TIMEREGION							(EC_HD_API_INVALID_PARAM_BASENO + 222)// ͳƷֶ֧ʱ //Stats type no support multi time region
#define EC_HD_API_STATS_CALC_PERIOD_OR_OFFSET_GT_TIMEREGION							(EC_HD_API_INVALID_PARAM_BASENO + 223)// ͳƼƫƴʱ //Stats period or offset great than timeregion range
#define EC_HD_API_STATS_CALC_INVALID_FIL_FAIL_MODE							(EC_HD_API_INVALID_PARAM_BASENO + 224)// Чͳƹʧܴģʽ //Invalid expr filter failed mode
#define EC_HD_API_STATS_CALC_NO_SUPPORT_INTERSECT_TIMEREGION							(EC_HD_API_INVALID_PARAM_BASENO + 225)// ֧ͳʱн //No support intersect timeregion
#define EC_HD_API_STATS_STATS_TIME_TYPE                   (EC_HD_API_INVALID_PARAM_BASENO + 226)// Чͳʱ //Invalid stats time type
#define EC_HD_API_STATS_SAMPLE_INTERVAL_AND_SCAN_PERIOD  (EC_HD_API_INVALID_PARAM_BASENO + 227)// ͳʱɨڱСڼ //Scan Peirod for statistic tag Time must be less than Interval
#define EC_HD_API_STATS_INTERP_PERIOD_AND_INTERP_OFFSET  (EC_HD_API_INVALID_PARAM_BASENO + 228)// ͳƵƫСڲ //Sample Offset must be less than Sample Period for statistic tag
#define EC_HD_API_STATS_SAMPLE_MODE_SUPPORT_STATS_TYPE  (EC_HD_API_INVALID_PARAM_BASENO + 229)// ͳͲڳַ֧Χ //Statistics type is not supported by time mode Forever
#define EC_HD_API_STATS_INTERP_PERIOD_AND_SCAN_PERIOD  (EC_HD_API_INVALID_PARAM_BASENO + 230)// ͳƵֵڱСɨ // Interp Period must be less than Scan Peirod for statistic tag
#define EC_HD_API_STATS_CONVER_TYPE  (EC_HD_API_INVALID_PARAM_BASENO + 231)// ͳƵ㲻Ϸת // Invalid conversion type for statistic tag
#define EC_HD_API_STATS_CONVERSION  (EC_HD_API_INVALID_PARAM_BASENO + 232)// ͳƵ㲻Ϸתϵ,תϵС1 // Invalid conversion param for statistic tag
#define EC_HD_API_STATS_INTERP_PERIOD_AND_SAMPLE_INTERVAL  (EC_HD_API_INVALID_PARAM_BASENO + 233)// ͳƵֵڱСͳʱ // Interp Period must be less than Scan Peirod for statistic tag
#define EC_HD_API_STATS_FOREVER_BEGIN_TIMESTAMP (EC_HD_API_INVALID_PARAM_BASENO + 234)// ͳƵForverģʽ֧ÿʼʱ // Forever mode not support begin timestamp
#define EC_HD_API_INVALID_SEC_AUTH_ITEM_NAME	    (EC_HD_API_INVALID_PARAM_BASENO + 235)//ϷȨ //Invalid authority item name
#define EC_HD_API_INVALID_SEC_AUTH_ITEM_DESC	    (EC_HD_API_INVALID_PARAM_BASENO + 236)//ϷȨ //Invalid authority item desc
#define EC_HD_API_INVALID_SEC_AUTH_TYPE	    (EC_HD_API_INVALID_PARAM_BASENO + 237)//ϷȨȨ //Invalid authority item auth type
#define EC_HD_API_INVALID_COLLECTOR_ID	    (EC_HD_API_INVALID_PARAM_BASENO + 238)//ϷɼID //Invalid collector id
#define EC_HD_API_INVALID_DEVICE_ID	    (EC_HD_API_INVALID_PARAM_BASENO + 239)//Ϸ豸ID //Invalid device id
#define EC_HD_API_INVALID_SCAN_GROUP_ID	    (EC_HD_API_INVALID_PARAM_BASENO + 240)//ϷɨID //Invalid scan group id 
#define EC_HD_API_IP_NOT_EXIST	    (EC_HD_API_INVALID_PARAM_BASENO + 241)//IP //IP Not Exist 
#define EC_HD_API_RY_NOT_ENABLE				 (EC_HD_API_INVALID_PARAM_BASENO + 242)//û //Ry Not Enable
#define EC_HD_API_STATS_CALC_PERIOD_BEGIN_TIMESTAMP (EC_HD_API_INVALID_PARAM_BASENO + 243)// ڴ0ʱͳƵȼÿ졢ÿģʽ֧ü¼ʱΪʼƫ // interval, everyday, everymonth mode not support begin timestamp when calcperiod > 0
#define EC_HD_API_INVALID_MASK_STATS_SAMPLE_TYPE		(EC_HD_API_INVALID_PARAM_BASENO + 244)//Ϸ룬ûаͳƲ //Invalid mask; There is no statistical sample type in mask
#define EC_HD_API_INVALID_MASK_STATS_CALC_PERIOD		(EC_HD_API_INVALID_PARAM_BASENO + 245)//Ϸ룬ûаͳƼ //Invalid mask; There is no statistical calc period in mask
#define EC_HD_API_CALC_NOTIFY_HIS		(EC_HD_API_INVALID_PARAM_BASENO + 246)//֪ͨģʽ֧ʷ //Calc mode not support calc history
#define EC_HD_API_DATANODE_PORT		(EC_HD_API_INVALID_PARAM_BASENO + 247)//ݽڵ˿ںŲĵĶ˿ںͬ //DataNode port cannot be equal to configcenter port
#define EC_HD_API_RY_YES		(EC_HD_API_INVALID_PARAM_BASENO + 248)//ã봫ȷ2ַ //ConfigCenter is ry, need two ry addr
#define EC_HD_API_RY_NO		(EC_HD_API_INVALID_PARAM_BASENO + 249)//ûܴ࣬2ַ //ConfigCenter is not ry, do not need two ry addr

#define EC_HD_API_INVALID_MASK_SYNC (EC_HD_API_INVALID_PARAM_BASENO + 250)//ӿڲ벻Ϸ룬ӵʱ벻ͬͬʽ // Invalid mask; For examplethere is lack of sync type mask when adding tags
#define EC_HD_API_INVALID_MASK_PERIOD (EC_HD_API_INVALID_PARAM_BASENO + 251)//ӿڲ벻Ϸ룬ӵʱ벻ͬͬ// Invalid mask; For examplethere is lack of sync period mask when adding tags
#define EC_HD_API_INVALID_MASK_COMP_DEV (EC_HD_API_INVALID_PARAM_BASENO + 251)//ӿڲ벻Ϸ룬ӵʱ벻ͬѹ// Invalod mask; For examplethere is lack of compression ration mask when adding tags
#define EC_HD_API_INVALID_TAG_CLOUD_SYNC (EC_HD_API_INVALID_PARAM_BASENO + 252)//ӿڲ벻Ϸͬʽ// Invalid sync type in interface parameters
#define EC_HD_API_INVALID_TAG_CLOUD_PERIOD (EC_HD_API_INVALID_PARAM_BASENO + 253)//ӿڲ벻Ϸͬ// Invalid sync period in interface parameters
#define EC_HD_API_INVALID_TAG_CLOUD_COMP_DEV (EC_HD_API_INVALID_PARAM_BASENO + 253)//ӿڲ벻Ϸѹ// Invalid compression ratio in interface parameters

#define EC_HD_API_UT_GET_CAPACITY_FAILED (EC_HD_API_INVALID_PARAM_BASENO + 254)//ѯݽڵԴʹʧܣеĲѯɹ // Query data node resource usage failed:Not all queries succeeded
#define EC_HD_API_UT_INVALID_AVEUSAGE_TIME (EC_HD_API_INVALID_PARAM_BASENO + 255)//鵵ļƽʹʱЧĿǰ޷//The average usage time of a single archive file is invalid and cannot be calculated at present 
#define EC_HD_API_UT_INVALID_CURR_ARCINDEX (EC_HD_API_INVALID_PARAM_BASENO + 256)//ǰʹù鵵ļЧĿǰ޷ȡ//The currently used archive file index is invalid and cannot be obtained at present 
#endif //ERROR_CODE_H_
